/*                                                                       
 * Copyright (c) 2003 Century Software, Inc.   All Rights Reserved.     
 *                                                                       
 * This file is part of the PIXIL Operating Environment                 
 *                                                                       
 * The use, copying and distribution of this file is governed by one    
 * of two licenses, the PIXIL Commercial License, or the GNU General    
 * Public License, version 2.                                           
 *                                                                       
 * Licensees holding a valid PIXIL Commercial License may use this file 
 * in accordance with the PIXIL Commercial License Agreement provided   
 * with the Software. Others are governed under the terms of the GNU   
 * General Public License version 2.                                    
 *                                                                       
 * This file may be distributed and/or modified under the terms of the  
 * GNU General Public License version 2 as published by the Free        
 * Software Foundation and appearing in the file LICENSE.GPL included   
 * in the packaging of this file.                                      
 *                                                                       
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING  
 * THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A            
 * PARTICULAR PURPOSE.                                                  
 *                                                                       
 * RESTRICTED RIGHTS LEGEND                                             
 *                                                                     
 * Use, duplication, or disclosure by the government is subject to      
 * restriction as set forth in paragraph (b)(3)(b) of the Rights in     
 * Technical Data and Computer Software clause in DAR 7-104.9(a).       
 *                                                                      
 * See http://www.pixil.org/gpl/ for GPL licensing       
 * information.                                                         
 *                                                                      
 * See http://www.pixil.org/license.html or              
 * email cetsales@centurysoftware.com for information about the PIXIL   
 * Commercial License Agreement, or if any conditions of this licensing 
 * are not clear to you.                                                
 */


#include <FL/Fl_Pixmap.H>
static char *image_pause[] = {
    "32 32 -26 1",
    " \377\377\377!\307\307\351\"uu\253#\212\212\324$\246\246\327%\323\323\353&//H\
\'\270\270\350(\247\247\350)ff\225*\233\233\344+LLl,\203\203\272-\203\203\312.\
\214\214\314/mm{0\227\227\317" "1\265\265\334" "2\332\332\357" "3)):4\201\201\
\276" "5\250\250\307" "6?\?W7\211\211\307" "8XX\177"
	"9\223\223\334",
    "                                ",
    "            2%%%2               ",
    "         22%%%%!!!!             ",
    "       22%%!!!!!!\'\'\'\'           ",
    "       %%!!\'\'\'\'1\'\'\'\'\'\'          ",
    "     %%!!11$$$*(((((\'((         ",
    "    %!!\'$$0999999*((((((        ",
    "   !!!1$09.#.##999**(((90       ",
    "   !!1$0.7######999**(*07       ",
    "  !\'1$0.#-#-####999****.,\"      ",
    "  111$0.-&&&&#&&&&9***9.\"\"      ",
    " !11$0.--&&&&#&&&&99***7\")      ",
    " 11$$07--&&&&#&&&&99**9,\")/     ",
    " $$$0.---&&&&#&&&&9***9,)8+     ",
    " 5$00.---&&&&#&&&&99**.\")+6     ",
    " $0007---&&&&#&&&&99**.\"86+     ",
    "  ...7---&&&&#&&&&99*9,)+&      ",
    "  7777---&&&&#&&&&9*9.\"863      ",
    "  ,4444----####99999.4)63&      ",
    "   \"\"444--#-####999.-)+3&       ",
    "   \"))\"\"4--####99#74)+&3&       ",
    "    ))))\"\"--7##.-4\")+&33        ",
    "     +888))\"\"\"\"\"\")+6333         ",
    "      ++++88888++63333          ",
    "       66&6&66&&33333           ",
    "         3333333333             ",
    "            6336                ",
    "                                ",
    "                                ",
    "                                ",
    "                                ",
    "                                "
};
static Fl_Pixmap pixmap_pause(image_pause);

static char *image_play[] = {
    "32 32 -25 1",
    " \377\377\377!\307\307\351\"uu\254#**;$\246\246\327%\323\323\353&\215\215\
\326\'\270\270\350(MMp)\247\247\350*ff\225+\204\204\313,\202\202\272-\233\233\
\344.88Q/\213\213\313" "0\227\227\317" "1\265\265\334" "2\332\332\357" "3\200\200\
\300" "4\250\250\307" "5WW\177" "6BB\\7\0\0\0"
	"8\223\223\335",
    "                                ",
    "            2%%%                ",
    "          2%%%%!!!!             ",
    "        2%%!!!!!!\'\'\'\'           ",
    "      2%%!!\'\'\'\'1\'\'\'\'\'\'          ",
    "     %%!!11$$$-)))))\'))         ",
    "    %!!\'$$088&888-))))))        ",
    "    !!1$08&/&&&&88--)))80       ",
    "   !!1$0&//&/&&&888--)-0/       ",
    "   \'1$0&/++(+&&&&88----/,\"      ",
    "  111$0/++&77(+&&88----/\"\"      ",
    "  11$0/++++77775&888--8/\"*      ",
    " 11$$0+++++7777775&8--8,\"*      ",
    " $$$0/+++++77777777*8-8,*5(     ",
    " 4$00/++++37777777775-&\"*(6     ",
    " $000/+++++77777776+--/\"56(     ",
    " 10///+++++777776+88-8,*(.      ",
    "  ,//++++++777.3&8888/\"5.#      ",
    "  ,,,33++++7.3&&&888&3*6##      ",
    "   \"\"333+++3&+&&888&,*(##       ",
    "   \"**\"\"3+++&&&&&&/3*(##.       ",
    "    ****\"\"3+//&/+3\"*(###        ",
    "     (555*\"\"\"\"\"\"\"*(6###         ",
    "      6((((5555((.####          ",
    "       6.......######           ",
    "         ##########             ",
    "            6##6                ",
    "                                ",
    "                                ",
    "                                ",
    "                                ",
    "                                "
};
static Fl_Pixmap pixmap_play(image_play);

static char *image_rew[] = {
    "32 32 -24 1",
    " \377\377\377!uu\255\"\223\223\333#\307\307\351$\215\215\326%\246\246\326&\
\323\323\353\'HHf(ff\226)\270\270\350*\251\251\351+\202\202\272,\203\203\312-8\
8R.\236\236\344/\227\227\317" "0\210\210\317" "1\265\265\334" "2\332\332\357" "3\
\200\200\277" "4WW~5\212\212\306" "6\0\0\0"
	"7)):",
    "                                ",
    "                                ",
    "          2&&&&####             ",
    "         &&######))))           ",
    "       &&##))))1))))))          ",
    "      &##11%%.%.****)**         ",
    "     ##)1./\"\"$\"\"\"..****.        ",
    "    ##1%/\"$0$$$\"\"\"..**../       ",
    "   ##1%/$00000$$\"\"\"..../5       ",
    "   )1%/$5,0000$$$\"\"....5+!      ",
    "  111%/0,,003\'$$$\"\"04.\"5!!      ",
    "  11%/5,,,(766$$$(-66.\"5!(      ",
    " 1%%%/0!\'666663\'76666.\"+!(\'     ",
    " %%%/(766666666666666.\"+(4\'     ",
    " %%/466666666666666666$!(\'\'     ",
    " %///5476666667666666.5!4\'\'     ",
    "  5/50,,!\'6666$!\'6666\"+(\'-      ",
    "  5555,,,,,476$$$\"(76$!4-7      ",
    "  +3333,,,000!$$\"\"\"\"3+(\'77      ",
    "   !!333,,000$$$$\"\"$+(\'77       ",
    "   !((!!3,00$$$$\"$03(477-       ",
    "    ((((!!3,00$00+!(\'777        ",
    "     4444((!!!!!((4-777         ",
    "      \'\'\'\'444444\'-7777          ",
    "       --------777777           ",
    "         7777777777             ",
    "            \'77-                ",
    "                                ",
    "                                ",
    "                                ",
    "                                ",
    "                                "
};
static Fl_Pixmap pixmap_rew(image_rew);

static char *image_stop[] = {
    "32 32 -26 1",
    " \377\377\377!\307\307\351\"uu\253#\246\246\327$\323\323\353%\214\214\325&//I\
\'\270\270\350(\247\247\350)ff\225*\233\233\344+LLl,\203\203\272-\350\350\364.\
\203\203\312/\212\212\316" "0\227\227\317" "1\265\265\334" "2\332\332\357" "3)):4\
\201\201\276" "5\250\250\307" "6?\?W7\210\210\310" "8XX\177"
	"9\223\223\334",
    "                                ",
    "           -2$$$2               ",
    "         22$$$$!!!!             ",
    "       22$$!!!!!!\'\'\'\'           ",
    "      2$$!!\'\'\'\'1\'\'\'\'\'\'          ",
    "     $$!!11###*(((((\'((         ",
    "     !!\'##099%999*((((((        ",
    "    !!1#09%/%%%999**(((90       ",
    "   !!1#0%////%%%999**(*07       ",
    "   \'1#0%77//%/%%999****/,\"      ",
    "  111#0/..&&&&&&&&9***0/\"\"      ",
    "  11#0/...&&&&&&&&99***7\")      ",
    " 11##07...&&&&&&&&99**9,\")      ",
    " ###0/....&&&&&&&&9***9,)8+     ",
    " 5#00/....&&&&&&&&99**%\")+6     ",
    " #000/....&&&&&&&&99**/\"86+     ",
    " 10//7....&&&&&&&&99*9,)+&      ",
    "  7777....&&&&&&&&9*9/\"863      ",
    "  ,4444...7///%%9999%4)63&      ",
    "   \"\"\"44..///%%%9%9%,)+3&       ",
    "   \")\"\"\"4../%%%%9%/4)+&3&       ",
    "    )8))\"\"..//%/74\")+&33        ",
    "     8888))\"\"\"\"\"\")+6333         ",
    "      ++++88888++63333          ",
    "       66&6&66&&33333           ",
    "         3333333333             ",
    "            6336                ",
    "                                ",
    "                                ",
    "                                ",
    "                                ",
    "                                "
};
static Fl_Pixmap pixmap_stop(image_stop);

static char *image_ffwd[] = {
    "32 32 -25 1",
    " \377\377\377!&&7\"tt\254#\307\307\351$\213\213\325%\246\246\327&\323\323\
\353\'LLn(gg\226)\270\270\350*\247\247\350+\200\200\270,\233\233\343-11F.\206\
\206\315/\214\214\312" "0\201\201\302" "1\227\227\317" "2\265\265\334" "3\332\332\
\357" "4XX\200" "5\250\250\307" "6AA[7\0\0\0"
	"8\222\222\333",
    "                                ",
    "            3&&&3               ",
    "         33&&&&####             ",
    "       33&&######))))           ",
    "      3&&##))))2))))))          ",
    "     &&##22%%%,*****)**         ",
    "    &##)%%188888,,******        ",
    "    ##2%18$$$$$888,,***,1       ",
    "   ##2%18.$.$$$$888,,*,1/       ",
    "   )2%1/....$$$$888,,,,/+\"      ",
    "  222%1\'+....$\'0888,,,,/+\"      ",
    "  22%1/77-(..$77-(88,,,0\"(      ",
    " 22%%1.77777\'07777!4$,1+\"4      ",
    " %%%1/.77777777777777-(+(4\'     ",
    " 5%11/07777777777777777\'(\'6     ",
    " %111/.777777!777777!($\"46\'     ",
    " 2////077776\".777760,8+(\'-      ",
    "  ///.07!4.$$$7!(88,8/\"46!      ",
    "  ++000\"0...$$\"8$8888+(6!-      ",
    "   \"\"++0....$$$8888$0(\'-!       ",
    "   \"((\"\"00..$$$$8$/0(\'-!-       ",
    "    ((((\"+0...$$.0\"(\'-!-        ",
    "     \'444((\"\"\"\"\"((\'6!!!         ",
    "      6\'\'\'44444\'\'6!!!!          ",
    "       66---66--!!!!-           ",
    "         !!!!!!!!!!             ",
    "            6--6                ",
    "                                ",
    "                                ",
    "                                ",
    "                                ",
    "                                "
};
static Fl_Pixmap pixmap_ffwd(image_ffwd);

static char *image_add[] = {
    "48 24 -32 1",
    " \377\377\377!\251\251\327\"ee\226#ss\252$LLs%&&8&\271\271\347\'\312\312\367(\
\326\326\367)\233\233\317*\222\222\331+\207\207\325,XX\203-88U.\315\315\356/\
\234\234\343" "0\206\206\272" "1\202\202\313" "2\270\270\365" "3\273\273\337" "4\
\303\303\360" "5\252\252\355" "6\324\324\352" "7\305\305\345" "8\206\206\310"
	"9\
\314\314\347:||\276;\220\220\314<DD`=\17\17\27>\31\31\'?\242\242\350",
    "  666669999999999............(((((((((((\'4      ",
    "  9666977777777777777747\'9.......(((((\'\'2?      ",
    "  799973333333&&&&&&&&3&&&&44444\'\'\'\'.\'\'2?0      ",
    "  33333!!!!!!!!!!!!5!555&5&5&&&2&244442?0\"      ",
    "  !3!!););;;*;**:\"******;:////0)555222)0\"$      ",
    "  !!!);888811111%>#1++++\"%+***%#/?\?55?0#,<      ",
    "  !!!);88881111:=,-+1+1\"\"%**#1%#/?\?55?0#,<      ",
    "  !!));88881111$<+>:+#=$=%+---=#/?\?55?0#,<      ",
    "  !!!);88181111><\"%$1-,+,%:=**=#/?\?55?0#,<      ",
    "  !!!);8888111#=%%%>+%\"+\"%\"%**%#/?\?55?0#,<      ",
    "  !!!);8888111$-11+>#-$+$%1=++=#/?\?55?0#,<      ",
    "  !));0#:#####=\"#:#<%#%%%%:$>%=\"+;**);#\"<<      ",
    "  );0#\",,,,,,,,,,,,,,,,,,,,\",\"\"\"\"\"\"\"#\",<-%      ",
    "  0#\"$<------------------<--<-<<<<<$<<-%%-      ",
    "  #,<-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%-%      ",
    "  ,<%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%-%-%%-      ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                "
};

static Fl_Pixmap pixmap_add(image_add);

static char *image_cancel[] = {
    "48 24 -32 1",
    " \377\377\377!dd\225\"\251\251\326#\243\243\346$\221\221\325%\272\272\346&\
\211\211\330\'&&8(\314\314\367)YY\205*\326\326\367+\203\203\314,88U-\315\315\
\356.\207\207\273/\234\234\317" "0\274\274\337" "1HHj2\231\231\341" "3WW|4\304\
\304\357" "5\276\276\366" "6\324\324\352" "7\305\305\346"
	"8MMt9\6\6\t:\314\314\
\347;BB_<\27\27#=zz\275>\257\257\347?rr\246",
    "  66666::::::::::------------**********((5      ",
    "  :666:777777777777777444--------*****((5#      ",
    "  7:::7000000%%%%%%%%%%%%%%5444(4(((((45#.      ",
    "  0000>\"\"\"\"\"\"\"\"\"\"\"\">\">>>>>>>>>%%5554455#.!      ",
    "  \"0\"\"//.?\?$$$$$$$$$$$$22222#####>>/2>2.!8      ",
    "  \"\"\"/$89\'<,++++++++&&&&&&&$$2222##))#.?3;      ",
    "  \"\"\"/=9?++\'8++!!++?=!=&&&?=$$2=+##))#.?3;      ",
    "  \"\"//8,+++++=<;,<+\'<89!&,,\'12,;,;#))#.?3;      ",
    "  \"\"\"/81.++++=?!89+\')+88=<&&8+<?\?<+))#.?3;      ",
    "  \"\"\"/3\'+++!8=<,19+\'!&11!\'&$$?<833$3)#.?3;      ",
    "  \"\"\"/.91+?<8!\'+!9+\'!&88=9+=<&9$232))#.?3;      ",
    "  \"//$.!\'99;=?\'<,9?\')=;;=8<<!+8<<;$88$?!1;      ",
    "  /$.?!333)33))))))))))))))))!!!!!!!?!3;,\'      ",
    "  .?!3;,,,,,,,,,,,,,,,,;,;;;;;;;;1111;,\'\',      ",
    "  ?);,\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\',\'\
      ",
    "  );\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\',\',\'\
\'      ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                "
};
static Fl_Pixmap pixmap_cancel(image_cancel);

static char *image_del[] = {
    "48 24 -32 1",
    " \377\377\377!dd\225\"\251\251\327#rr\247$MMu%\271\271\347&&&8\'\313\313\367(\
XX\204)\326\326\367*\211\211\330+\233\233\320,\222\222\325-\202\202\315.\231\
\231\344/\202\202\266" "0\315\315\357" "1\270\270\365" "2\273\273\337" "399V4\302\
\302\362" "5\252\252\355" "6\325\325\351" "7\306\306\347" "8\314\314\347"
	"9\220\
\220\313:\r\r\24;DD`<\206\206\310=xx\272>\211\211\300?\242\242\350",
    "  666668888888888880000000000)))))))))))\'4      ",
    "  8666877777777777777777700000000)))))\'\'1?      ",
    "  788772222222%%%%%%%%%%4%%44447\'\'\'0\'\'41\"/      ",
    "  22222\"\"\"\"\"\"\"\"\"\"\"\"5\"5\"5\"%5%5%%11%44441?/!      ",
    "  \"2\"\"++,,9,,,,<#!#/,,.,..../+?\?555111+/!$      ",
    "  \"\"\"+9<<<<<---!:&&:3******,&#...?\?55?>#(;      ",
    "  \"\"\"+9<<<<----!&---&$**##**&!...?\?55?>#(;      ",
    "  \"\"\"+9<<<<----!&---(&*3333,&#...?\?55?>#(;      ",
    "  \"\"\"+9<<-<----(&--*!&=:!!:=&#...?\?55?>#(;      ",
    "  \"\"++9<<<<----!&---$3!:$$$=&#,..?\?55?>#(;      ",
    "  \"\"\"+9<<<<<---!&--=:!-:-*$*&#..?\?\?55?>#(;      ",
    "  \"++9/==#=#=#=(::::$==$:&3=&!-<*9,,,9#!;3      ",
    "  +9/#!((((((((($$((((((((!(!(!!!!#!#!(;3&      ",
    "  >#!$;33333333333333333333;3;;;;;;;;;3&&3      ",
    "  #(;3&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&3&      ",
    "  !;&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&3&3&&3      ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                "
};
static Fl_Pixmap pixmap_del(image_del);

static char *image_delall[] = {
    "48 24 -32 1",
    " \377\377\377!\250\250\325\"\204\204\313#&&8$\313\313\367%\273\273\343&vv\
\261\'\245\245\341(\326\326\367)\233\233\317*\212\212\331+XX\203,cc\230-88U.\
\221\221\317/\207\207\274" "0\315\315\357" "1\270\270\365" "2\260\260\341" "3\302\
\302\362" "4\250\250\360" "5\325\325\351" "6\305\305\347" "7bb\214" "8}}\301"
	"9\
\314\314\347:\13\13\22;DDa<\34\34+=\231\231\336>nn\237?NNv",
    "  555559999999999990000000000((((((((((($3      ",
    "  9555966666666666666666600000000((((($$1\'      ",
    "  69996%%%%%%%%%%%%%%%%%3%%3333$$$$0$$31\'/      ",
    "  %%%%2!!!!!!!\'!\'\'\'\'2\'22222222)21333331\'/7      ",
    "  !22!)))/>>>8.......=&.====.\'#+4.4111=/7?      ",
    "  !!!).\"\",:##:-\"\"\"\"*\"*#,***8:8-+7<444\'/>+;      ",
    "  !!!)./\"7#\"\"\"#?\"\">>*\"#,****8-?+-=444\'/>+;      ",
    "  !!!).\"\",#\"\"\"+#\"----\"#,**8#-?<#+#-44\'/>+;      ",
    "  !!!).\"\"7#\"\"\",#&:,,:>#,**\"?+?-?,++44\'/>+;      ",
    "  !!!)./\",#\"\"\"?-,:?;?&#,****+#?\?</444\'/>+;      ",
    "  !!!).\"\"7#\"\"&:,8:8\"?8#,***8<*-+8<444\'/>+;      ",
    "  !))./&&+::::;&&;<<-&#+88888\"#?....=.&7?-      ",
    "  )./>7++++?+++++++++++++++777,7,,>>>7+;-#      ",
    "  /&7?;------------------;-;-;;;;;;;;;-##-      ",
    "  &7;-##################################-#      ",
    "  7;#####<#<#<#<####################-#-##-      ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                "
};
static Fl_Pixmap pixmap_delall(image_delall);

static char *image_ok[] = {
    "48 24 -32 1",
    " \377\377\377!\242\242\350\"\251\251\327#ff\226$\271\271\347%\312\312\367&\'\
\'8\'ss\251(\326\326\367)\231\231\344*\226\226\315+\221\221\331,\205\205\323-\
\315\315\356.99U/\206\206\273" "0XX\206" "1\270\270\365" "2\273\273\337" "3FFi4\
\303\303\360" "5\252\252\355" "6\324\324\352" "7\305\305\345"
	"8YYz9KKu:\314\314\
\347;\13\13\21<CC_=zz\300>\33\33*?\204\204\312",
    "  66666::::::::::------------(((((((((((%4      ",
    "  :666:77777777777777747%:-------(((((%%1!      ",
    "  7:::72222222$$$$$$$$2$$$$44444%%%%-%%1!/      ",
    "  22222\"\"\"\"\"\"\"\"\"\"\"\"5\"555$5$5$$$1$144441!/#      ",
    "  \"2\"\"****+*++++++#\'+++//))+\'!!!555111)/#9      ",
    "  \"\"\"**?\?\?\?\?\?\?\?\?9;&>;\',99,?>0+)))!!55!/\'8<      ",
    "  \"\"\"**?\?\?\?\?\?\?\?\';\',,0>,99?>0++)))!!55!/\'8<      ",
    "  \"\"\"**?\?\?\?\?\?\?\?9.?,,,;\'9<>9++))))!!55!/\'8<      ",
    "  \"\"\"**?\?\?\?\?\?\?\?33,?,,&#3;&>,++)))!!55!/\'8<      ",
    "  \"\"\"**?\?\?\?\?\?\?\?9&,,,,;=9&,<.+))))!!55!/\'8<      ",
    "  \"\"\"**/?\?\?\?\?\?,=;3,=.&,99++>0+))!!!55!/\'8<      ",
    "  \"\"**/\'=\'\'\'\'\'\'=#&;;&\'=<3==\';\'?\?,+++**\'#3<      ",
    "  *//\'#080000000000000000000#0######\'#8<.&      ",
    "  /\'#8<..................<.<.<<<<<333<.&&.      ",
    "  \'8<.&&&&&&&&&&&>&&&&&&&&&&&&&&&&&&&&&.&&      ",
    "  8<&&>&>&>&>&>&>&&&&&&&&&&&&&&&&&&&&&&&&.      ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                "
};
static Fl_Pixmap pixmap_ok(image_ok);

static char *image_list[] = {
    "48 24 -32 1",
    " \377\377\377!\251\251\327\"NNu#cc\225$\271\271\347%&&8&\313\313\367\'XX\203(\
\326\326\367)\231\231\344*\234\234\317+ss\247,\207\207\326-\224\224\332.\202\
\202\315/\315\315\357" "0\202\202\264" "199V2\270\270\365" "3\273\273\337" "4\302\
\302\362" "5\252\252\355" "6\325\325\351" "7\306\306\347" "8\206\206\310"
	"9\314\
\314\347:\220\220\315;\3\3\5<DD`=zz\277>\211\211\300?\242\242\347",
    "  66666999999999999//////////(((((((((((&4      ",
    "  96669777777777777777777////////(((((&&2?      ",
    "  799773333333$$$$$$$$$$4$$44447&&&/&&42!0      ",
    "  33333!!!!!!!!!!!!5!5!5!$5$5$$22$44442?0#      ",
    "  !3!!*:-:::-:8+:--:+---)-))?\?\?\?555222*0#\"      ",
    "  !!!*:>888...#%...,%,,,,,,#\"-)))?\?55?>+\'<      ",
    "  !!!*:8888...#%....#,,#+,.11.)))?\?55?>+\'<      ",
    "  !!**:8888...#%....;.%<1%=%%+-))?\?55?>+\'<      ",
    "  !!!*:88.8...#%....;,;\".#,\"\"-)))?\?55?>+\'<      ",
    "  !!!*:8888...#%...,;,+1;1.\"\"-)))?555?>+\'<      ",
    "  !!!*:88888..#%....;,%.,%#\"\"-))?\?\?55?>+\'<      ",
    "  !**:0=+++=++\';;;;\';=\"%%1=\';\"88,:---:+#<1      ",
    "  *:0+#\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'\'#########+#\'<1%      ",
    "  >+#\"<1111111111111111111111<<<<<<\"<<1%%1      ",
    "  +\'<1%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%1%      ",
    "  \'<%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%1%1%%1      ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                ",
    "                                                "
};
static Fl_Pixmap pixmap_list(image_list);
