/*                                                                       
 * Copyright (c) 2003 Century Software, Inc.   All Rights Reserved.     
 *                                                                       
 * This file is part of the PIXIL Operating Environment                 
 *                                                                       
 * The use, copying and distribution of this file is governed by one    
 * of two licenses, the PIXIL Commercial License, or the GNU General    
 * Public License, version 2.                                           
 *                                                                       
 * Licensees holding a valid PIXIL Commercial License may use this file 
 * in accordance with the PIXIL Commercial License Agreement provided   
 * with the Software. Others are governed under the terms of the GNU   
 * General Public License version 2.                                    
 *                                                                       
 * This file may be distributed and/or modified under the terms of the  
 * GNU General Public License version 2 as published by the Free        
 * Software Foundation and appearing in the file LICENSE.GPL included   
 * in the packaging of this file.                                      
 *                                                                       
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING  
 * THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A            
 * PARTICULAR PURPOSE.                                                  
 *                                                                       
 * RESTRICTED RIGHTS LEGEND                                             
 *                                                                     
 * Use, duplication, or disclosure by the government is subject to      
 * restriction as set forth in paragraph (b)(3)(b) of the Rights in     
 * Technical Data and Computer Software clause in DAR 7-104.9(a).       
 *                                                                      
 * See http://www.pixil.org/gpl/ for GPL licensing       
 * information.                                                         
 *                                                                      
 * See http://www.pixil.org/license.html or              
 * email cetsales@centurysoftware.com for information about the PIXIL   
 * Commercial License Agreement, or if any conditions of this licensing 
 * are not clear to you.                                                
 */

//
// "$Id: nximage.h,v 1.3 2003/09/11 18:06:04 jasonk Exp $"
//
// Image header file for the Fast Light Tool Kit (FLTK).
//
// Copyright 1998-1999 by Bill Spitzak and others.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
// Please report all bugs and problems to "fltk-bugs@easysw.com".
//

#ifndef NXIMAGE_INCLUDED
#define NXIMAGE_INCLUDED

class Fl_Widget;
struct Fl_Menu_Item;

struct NxImage
{
    const uchar *array;
    int w, h, d, ld;
    ulong id;			// for internal use
    int _volatile_data;
    FL_EXPORT NxImage(const uchar * bits, int W, int H, int D = 3, int LD =
		      0):array(bits), w(W), h(H), d(D), ld(LD), id(0)
    {
	_volatile_data = 0;
    }
    FL_EXPORT ~ NxImage();
    FL_EXPORT void label(Fl_Widget *);
    FL_EXPORT void label(Fl_Menu_Item *);
    FL_EXPORT void draw(int X, int Y, int W, int H, int cx = 0, int cy = 0);
    FL_EXPORT void draw(int X, int Y)
    {
	draw(X, Y, w, h, 0, 0);
    }
    FL_EXPORT void setvdata(int flag)
    {
	_volatile_data = flag;
    }
};

#endif

//
// End of "$Id: nximage.h,v 1.3 2003/09/11 18:06:04 jasonk Exp $".
//
