/*                                                                       
 * Copyright (c) 2003 Century Software, Inc.   All Rights Reserved.     
 *                                                                       
 * This file is part of the PIXIL Operating Environment                 
 *                                                                       
 * The use, copying and distribution of this file is governed by one    
 * of two licenses, the PIXIL Commercial License, or the GNU General    
 * Public License, version 2.                                           
 *                                                                       
 * Licensees holding a valid PIXIL Commercial License may use this file 
 * in accordance with the PIXIL Commercial License Agreement provided   
 * with the Software. Others are governed under the terms of the GNU   
 * General Public License version 2.                                    
 *                                                                       
 * This file may be distributed and/or modified under the terms of the  
 * GNU General Public License version 2 as published by the Free        
 * Software Foundation and appearing in the file LICENSE.GPL included   
 * in the packaging of this file.                                      
 *                                                                       
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING  
 * THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A            
 * PARTICULAR PURPOSE.                                                  
 *                                                                       
 * RESTRICTED RIGHTS LEGEND                                             
 *                                                                     
 * Use, duplication, or disclosure by the government is subject to      
 * restriction as set forth in paragraph (b)(3)(b) of the Rights in     
 * Technical Data and Computer Software clause in DAR 7-104.9(a).       
 *                                                                      
 * See http://www.pixil.org/gpl/ for GPL licensing       
 * information.                                                         
 *                                                                      
 * See http://www.pixil.org/license.html or              
 * email cetsales@centurysoftware.com for information about the PIXIL   
 * Commercial License Agreement, or if any conditions of this licensing 
 * are not clear to you.                                                
 */



#ifndef HARDCODEDIMAGE_INCLUDED

#define HARDCODEDIMAGE_INCLUDED	1

#include "device.h"

#ifdef DEFAULT_WALLPAPER
#undef DEFAULT_WALLPAPER
#define DEFAULT_WALLPAPER	"default.gif"
#endif

static MWUCHAR hardcodedimage[] =
    { 0x47, 0x49, 0x46, 0x38, 0x39, 0x61, 0xf0, 0x0, 0x3c, 0x0, 0x84, 0x0,
    0x0, 0xdf, 0xea, 0xf7, 0x0, 0x5a, 0xbf, 0x10, 0x64, 0xc3, 0x20, 0x6f,
    0xc7, 0x30, 0x79, 0xcb, 0x40,
    0x83, 0xcf, 0x50, 0x8e, 0xd3, 0x60, 0x98, 0xd7, 0x70, 0xa2, 0xdb, 0x80,
    0xad, 0xdf, 0x8f, 0xb7,
    0xe3, 0x9f, 0xc1, 0xe7, 0xaf, 0xcb, 0xeb, 0xbf, 0xd6, 0xef, 0xcf, 0xe0,
    0xf3, 0xef, 0xf5, 0xfb,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff,
    0x21, 0xf9, 0x4, 0x1, 0xa, 0x0, 0x1f, 0x0, 0x2c, 0x0, 0x0, 0x0, 0x0, 0xf0,
    0x0, 0x3c, 0x0, 0x0, 0x5,
    0xfe, 0xe0, 0x27, 0x8e, 0x64, 0x69, 0x9e, 0x68, 0xaa, 0xae, 0x6c, 0xeb,
    0xbe, 0x70, 0x2c, 0xcf,
    0x74, 0x6d, 0xdf, 0x78, 0xae, 0xef, 0x7c, 0xef, 0xff, 0xc0, 0xa0, 0x70,
    0x48, 0x2c, 0x1a, 0x8f,
    0xc8, 0xa4, 0x72, 0xc9, 0x6c, 0x3a, 0x9f, 0xd0, 0xa8, 0x74, 0x4a, 0xad,
    0x5a, 0xaf, 0xd8, 0xac,
    0x76, 0xcb, 0xed, 0x7a, 0x49, 0x5, 0x0, 0xe0, 0xf0, 0x2d, 0x9b, 0x97, 0x6,
    0x88, 0x1a, 0x32, 0x6,
    0x16, 0x12, 0x8a, 0x46, 0x83, 0x91, 0x38, 0x10, 0x72, 0x7, 0xc5, 0x79,
    0xef, 0x33, 0x34, 0xe, 0x5,
    0xd, 0x6b, 0x6c, 0x5, 0x3b, 0x5, 0xc, 0x83, 0x89, 0x10, 0xf, 0xb, 0x77,
    0x23, 0x5, 0x8a, 0x8a, 0x85,
    0x23, 0x9, 0x10, 0x64, 0x2f, 0x82, 0x93, 0x95, 0x91, 0x9c, 0x10, 0xd,
    0x94, 0x6a, 0x9, 0x2f, 0x6a,
    0x93, 0x8f, 0x9d, 0xf, 0xd, 0x8, 0x25, 0xb, 0x6b, 0xc, 0x2b, 0x3, 0x6a,
    0x0, 0x55, 0x88, 0xb1, 0x5,
    0x81, 0x83, 0xd, 0xa5, 0x35, 0xb4, 0x10, 0xb, 0x6, 0x3, 0x8f, 0xa, 0xf,
    0x6b, 0x8e, 0x1f, 0x90,
    0x8b, 0x72, 0xc9, 0xca, 0xc5, 0x1f, 0x9b, 0x97, 0x2d, 0x99, 0x22, 0x7,
    0xca, 0xc9, 0x6b, 0xd4, 0x72,
    0x7a, 0x22, 0x9b, 0xa2, 0x2e, 0xa4, 0x25, 0xc7, 0xa8, 0xd, 0x71, 0xd,
    0xc3, 0x6a, 0xf, 0xcf, 0x3,
    0xe5, 0x10, 0xc0, 0x29, 0xac, 0x10, 0x6, 0x53, 0x80, 0xb7, 0xd6, 0xb6,
    0x82, 0xf4, 0x34, 0x4, 0xe,
    0x6a, 0xe, 0xcc, 0x24, 0x3, 0x82, 0xf, 0xc0, 0xa8, 0xf9, 0xd4, 0x62, 0xd3,
    0x83, 0x7e, 0x29, 0xa2,
    0xa5, 0x58, 0xb3, 0x62, 0xdb, 0x28, 0x8, 0xba, 0x8c, 0xd, 0x34, 0x61,
    0x40, 0x9f, 0x37, 0x11, 0x8,
    0xd6, 0x2c, 0x48, 0x1, 0xb, 0x82, 0xab, 0x28, 0xff, 0x6, 0xd6, 0xc3, 0x55,
    0xc0, 0x0, 0x0, 0x92,
    0x31, 0xfe, 0xd2, 0xed, 0x63, 0xc1, 0x80, 0xa0, 0x88, 0x63, 0x2e, 0x1b,
    0xae, 0x39, 0x8, 0xd, 0xa2,
    0xa, 0x86, 0x2a, 0x1c, 0x76, 0xb3, 0x29, 0xd0, 0x13, 0xa, 0x8b, 0x1f,
    0x45, 0x58, 0x5c, 0x87, 0x82,
    0xd5, 0x3, 0x76, 0x50, 0x4c, 0xe, 0x5a, 0x30, 0x40, 0x29, 0xbd, 0x3, 0x27,
    0x5b, 0x21, 0x65, 0x61,
    0x31, 0x60, 0xc1, 0x9e, 0x31, 0x73, 0xe, 0x3a, 0xca, 0x42, 0x21, 0xa,
    0x9c, 0x29, 0x74, 0xb6, 0xb8,
    0x68, 0xca, 0xe7, 0x89, 0x34, 0x6a, 0x7a, 0xf6, 0x42, 0x31, 0x8c, 0xdb,
    0x13, 0x5, 0x6d, 0xa0, 0x2e,
    0x1d, 0x20, 0x57, 0x6a, 0x5d, 0x35, 0x4c, 0x59, 0x6c, 0xb2, 0x34, 0x3,
    0xa6, 0x8b, 0xbd, 0x2b, 0x57,
    0x78, 0x3d, 0x1, 0x16, 0x85, 0x58, 0x16, 0x64, 0x5f, 0x4e, 0xfc, 0x9a,
    0x96, 0x4, 0xaf, 0xa9, 0xda,
    0xd8, 0x44, 0x19, 0x1a, 0x57, 0x5d, 0x2f, 0xba, 0x51, 0xf1, 0x62, 0x9e,
    0xab, 0xa2, 0x9c, 0xac,
    0xbe, 0x8b, 0xf5, 0x7a, 0x54, 0xe7, 0x40, 0x30, 0x4f, 0xc6, 0x10, 0x64,
    0x42, 0x70, 0x8b, 0xf8,
    0xb4, 0x62, 0xb3, 0x84, 0x1b, 0x8f, 0x50, 0xb9, 0xb6, 0xc4, 0xb0, 0x88,
    0x4b, 0x86, 0xae, 0x71,
    0x50, 0x28, 0x81, 0xe5, 0x8d, 0x77, 0x7b, 0x11, 0xf0, 0xbd, 0x14, 0xc5,
    0x31, 0x8, 0xd9, 0x64, 0xf8,
    0x2d, 0xb8, 0x9a, 0x0, 0x69, 0x15, 0x83, 0x4d, 0x14, 0x3e, 0x71, 0x78,
    0x45, 0x62, 0x89, 0xb0, 0xa5,
    0x2f, 0x32, 0xb1, 0x57, 0x97, 0x82, 0xec, 0x4c, 0x74, 0x27, 0xca, 0xd5,
    0x4c, 0xdd, 0x83, 0x4, 0x3,
    0x88, 0x6b, 0x1c, 0x5e, 0x2e, 0x68, 0x89, 0xbd, 0xf0, 0x40, 0x83, 0xf,
    0xbb, 0xfa, 0x83, 0xf3, 0xdd,
    0x9, 0x5d, 0x6b, 0x4f, 0xad, 0xb5, 0xfe, 0xce, 0x88, 0xcb, 0x99, 0x90,
    0x51, 0x6d, 0x25, 0x44, 0xe5,
    0x52, 0x47, 0x90, 0x29, 0xfe, 0x61, 0x4f, 0x27, 0x9e, 0xf4, 0x66, 0x1e,
    0x7a, 0xea, 0x2d, 0x2, 0x61,
    0x7c, 0x27, 0x2c, 0x98, 0xa0, 0xb, 0x1, 0xca, 0xc4, 0xcd, 0x7d, 0x6a,
    0xb8, 0x47, 0x42, 0x74, 0x25,
    0x4c, 0xc7, 0x5d, 0x28, 0xf, 0x1, 0x18, 0x1a, 0x9, 0xf7, 0x71, 0x65, 0xc2,
    0x71, 0x97, 0xb0, 0xc2,
    0xda, 0x12, 0x80, 0x31, 0xe8, 0x11, 0x30, 0x80, 0x9d, 0x97, 0x9e, 0x3a,
    0x2f, 0x9a, 0x30, 0x54, 0xd,
    0xc7, 0xf0, 0x66, 0xcb, 0x8f, 0xb6, 0x40, 0x56, 0x89, 0x5b, 0x1c, 0x12,
    0xf8, 0xa1, 0x7e, 0x21,
    0xca, 0x66, 0x18, 0x89, 0xff, 0x7d, 0x73, 0xa2, 0x7d, 0xee, 0xd0, 0x84,
    0x2, 0x2d, 0x1, 0x41, 0x62,
    0x55, 0x13, 0x4, 0xc8, 0x18, 0x9, 0x53, 0x3, 0xb8, 0x63, 0x8e, 0x2a, 0x9,
    0x0, 0x50, 0x8, 0x3, 0xa5,
    0xa1, 0xc6, 0x9f, 0x7c, 0x9d, 0xbc, 0x38, 0x24, 0x8a, 0xea, 0x6c, 0x54,
    0x2, 0x88, 0x24, 0x88, 0xf8,
    0x1e, 0x93, 0x63, 0xe9, 0x77, 0xc, 0x0, 0x9, 0x24, 0xb0, 0x40, 0x3, 0x99,
    0xe5, 0xc5, 0x51, 0x7b,
    0xfa, 0x3c, 0xc3, 0xc4, 0x82, 0x5a, 0x26, 0xc2, 0xa5, 0x97, 0x92, 0x7d,
    0x60, 0x40, 0x39, 0x39,
    0x8a, 0x30, 0x8, 0x8f, 0xb1, 0xe4, 0x29, 0xa9, 0xa4, 0x11, 0xad, 0xc9,
    0xa6, 0x46, 0x6f, 0x22, 0x19,
    0xa7, 0x92, 0xd4, 0xd1, 0xd9, 0x9a, 0x89, 0x91, 0xa4, 0x72, 0xe1, 0x88,
    0xf8, 0x39, 0x91, 0x65,
    0xa1, 0x9c, 0x9c, 0xf7, 0x41, 0x97, 0x10, 0xf0, 0xf3, 0x1, 0x2f, 0x6a,
    0x5c, 0xf8, 0x28, 0xd, 0x19,
    0x6a, 0x95, 0x63, 0x91, 0x6e, 0x8a, 0x0, 0xe7, 0x8, 0x72, 0x92, 0x50,
    0xdd, 0x4d, 0x44, 0x61, 0xf5,
    0x81, 0x97, 0x59, 0xad, 0x90, 0x19, 0x6e, 0x49, 0x7c, 0x87, 0xea, 0x3e,
    0x79, 0x2e, 0xa8, 0x2a,
    0x30, 0x8b, 0x2a, 0x92, 0xeb, 0xa6, 0x9c, 0xfe, 0xc2, 0x50, 0x2b, 0x7d,
    0x8d, 0x1e, 0x50, 0x9c,
    0xae, 0x9a, 0xf2, 0x5a, 0xed, 0x9c, 0xfe, 0xd5, 0xb9, 0xe2, 0x62, 0x43,
    0x35, 0x6a, 0x5c, 0xaf,
    0x48, 0x64, 0xa6, 0xa5, 0xab, 0xb3, 0x59, 0x4, 0xc0, 0x1d, 0x88, 0x6e,
    0x75, 0xc2, 0x8e, 0xb4, 0x3e,
    0x89, 0x2d, 0xa, 0xda, 0x62, 0xfa, 0xc1, 0xae, 0x8e, 0x7e, 0xeb, 0x2b,
    0x5e, 0xf, 0x8d, 0xb, 0x9b,
    0x3a, 0x82, 0x5a, 0xe7, 0x2f, 0x12, 0xcb, 0x96, 0x69, 0x42, 0x3, 0xa2,
    0x84, 0xc1, 0x20, 0x85, 0x23,
    0x78, 0x9, 0xb1, 0xb5, 0xf6, 0x2e, 0x69, 0xee, 0x7, 0xf9, 0x2, 0xcc, 0xef,
    0x7, 0xe8, 0x46, 0x36,
    0xdf, 0xb9, 0x67, 0x96, 0xe5, 0xd2, 0xa9, 0x8b, 0x20, 0x84, 0x1a, 0x14,
    0xcb, 0x9a, 0x3c, 0x82,
    0xb2, 0xc, 0x26, 0x37, 0x42, 0xc6, 0xd3, 0x52, 0xfc, 0x71, 0xa7, 0x17,
    0x37, 0xb3, 0xd4, 0xc6, 0x1d,
    0x63, 0xf7, 0x19, 0xb, 0x69, 0x28, 0x2c, 0x32, 0x9, 0x19, 0xef, 0x6c,
    0x70, 0xc8, 0x4c, 0xa0, 0xea,
    0xb3, 0x9, 0xf1, 0x72, 0x52, 0xec, 0x7, 0xe5, 0x5c, 0x19, 0xc3, 0xb5,
    0x16, 0xaf, 0x90, 0x34, 0xb2,
    0xde, 0x12, 0x6d, 0x42, 0x47, 0xc1, 0xae, 0xf0, 0x5d, 0xcc, 0xd8, 0x65,
    0x45, 0x6c, 0x9d, 0x56,
    0x2b, 0x81, 0x6a, 0xcd, 0x31, 0xa6, 0x7a, 0x2, 0xcb, 0x35, 0xa7, 0x0,
    0x35, 0xcd, 0x2c, 0xc4, 0x4b,
    0x75, 0xbf, 0x61, 0x17, 0xe8, 0x69, 0xa, 0xc3, 0x14, 0xdc, 0xb5, 0x8e,
    0xfa, 0x2, 0x1b, 0x37, 0xc2,
    0x85, 0xd6, 0x3c, 0xa0, 0x96, 0x6c, 0xad, 0x31, 0xb1, 0x71, 0xc2, 0x32,
    0x97, 0xb6, 0x8, 0xb0, 0xbe,
    0xcd, 0xf1, 0xc1, 0x23, 0xc, 0xa8, 0x22, 0x7d, 0x42, 0xff, 0x6c, 0x2,
    0xc1, 0x43, 0xa3, 0x5c, 0xe8,
    0xd2, 0x2b, 0xa3, 0x8a, 0x2, 0x87, 0xf, 0x28, 0xfe, 0x81, 0x30, 0xfe,
    0x85, 0x8b, 0x76, 0xb8, 0x50,
    0x6b, 0x28, 0x9e, 0xb3, 0x8, 0x51, 0x39, 0x30, 0x2a, 0xc6, 0x6a, 0xd8,
    0x7d, 0xb7, 0x9, 0x24, 0x77,
    0xb, 0x37, 0x14, 0x84, 0x2a, 0xbd, 0x3a, 0xd3, 0x9a, 0x6f, 0x8e, 0x23,
    0xa, 0x8, 0xc, 0x13, 0x53,
    0x8f, 0x40, 0x6, 0x3f, 0x95, 0xa5, 0x2d, 0x58, 0x64, 0x3a, 0xe3, 0x23,
    0x70, 0x9e, 0xe3, 0x21, 0x0,
    0x9f, 0xb0, 0xf6, 0xdf, 0x8f, 0xef, 0x7, 0x45, 0xd9, 0x5b, 0xa9, 0x92,
    0x47, 0x51, 0x46, 0xab, 0x30,
    0x0, 0xac, 0x74, 0x48, 0xba, 0x20, 0x0, 0x10, 0x1f, 0x97, 0xe6, 0xbf,
    0xa3, 0x8f, 0x70, 0x9b, 0xde,
    0x2e, 0x10, 0xa0, 0xae, 0x1c, 0x7b, 0x66, 0x76, 0xf1, 0xda, 0xaf, 0x96,
    0x1a, 0xdb, 0xde, 0x47,
    0xc4, 0x3e, 0xde, 0x0, 0x4, 0xd8, 0xc3, 0x75, 0xd2, 0x9d, 0x78, 0x78,
    0xc2, 0x0, 0xa, 0x10, 0x8f,
    0x39, 0x18, 0x60, 0xb7, 0xfc, 0x5d, 0x83, 0x1a, 0x82, 0x9a, 0x86, 0xeb,
    0x52, 0xe0, 0x1c, 0xc5,
    0x25, 0x3, 0x6, 0x7, 0x80, 0xd5, 0x1a, 0x0, 0xa0, 0x80, 0xdb, 0x19, 0xd0,
    0x65, 0x26, 0x68, 0x89,
    0x1c, 0x54, 0x51, 0x21, 0x39, 0x44, 0xa1, 0x76, 0x8b, 0x50, 0x5, 0xfe,
    0xbe, 0xa7, 0x0, 0x5b, 0xc0,
    0x65, 0x59, 0x10, 0xe0, 0x20, 0x86, 0x80, 0x74, 0xbb, 0x22, 0xb4, 0xd0,
    0x6, 0x3, 0x0, 0x12, 0x1f,
    0x72, 0x20, 0x3e, 0x4f, 0xc4, 0xf0, 0x24, 0x4c, 0x99, 0x7, 0xa, 0x13,
    0xf1, 0xc2, 0x19, 0xfa, 0x70,
    0xa, 0x54, 0x12, 0xa1, 0x65, 0x1a, 0xa6, 0x2e, 0x14, 0x72, 0xed, 0x87,
    0x48, 0xbc, 0x2, 0x2a, 0x9a,
    0x82, 0xa7, 0x1b, 0xcd, 0x44, 0x14, 0xc1, 0x41, 0xd5, 0x85, 0x6a, 0xb8,
    0xc3, 0x2a, 0x5a, 0xf1,
    0x8a, 0x58, 0xcc, 0xa2, 0x16, 0xe9, 0x87, 0x4, 0x60, 0xf0, 0xc2, 0x46,
    0x11, 0x52, 0xfe, 0x55, 0x14,
    0x19, 0xf4, 0xbe, 0xe0, 0x99, 0xf1, 0x8c, 0x68, 0x4c, 0xa3, 0x1a, 0xd7,
    0xc8, 0xc6, 0x36, 0xba,
    0xf1, 0x8d, 0x70, 0x8c, 0xa3, 0x2d, 0xa4, 0x70, 0x80, 0x4, 0x10, 0x0,
    0x51, 0x6d, 0x40, 0x94, 0xaa,
    0x22, 0xd4, 0x89, 0xa3, 0x25, 0xf1, 0x8f, 0x54, 0x8, 0xc9, 0x22, 0xe,
    0xc0, 0xaa, 0x9, 0x12, 0x52,
    0x8f, 0x64, 0xe0, 0x63, 0x22, 0xfc, 0x8, 0xc8, 0x46, 0x42, 0xa1, 0x90,
    0xb1, 0x20, 0x24, 0xac, 0xc6,
    0x0, 0x49, 0x36, 0x24, 0xd2, 0x32, 0xb1, 0x68, 0xe1, 0x2, 0x0, 0xe0, 0x80,
    0x5, 0x4e, 0xe3, 0x1,
    0x0, 0x60, 0xc0, 0xe0, 0x74, 0x95, 0x8c, 0x82, 0x4d, 0xe3, 0x81, 0x24,
    0x40, 0x80, 0xa, 0x1b, 0xc0,
    0x8e, 0x3a, 0x3a, 0x8f, 0x3c, 0x67, 0x4b, 0x6, 0x6, 0x45, 0x60, 0x40,
    0x39, 0xa8, 0xcc, 0x38, 0xc,
    0x0, 0x0, 0x2a, 0x16, 0xd8, 0xc, 0x41, 0x0, 0xa0, 0x11, 0x27, 0xc8, 0x5f,
    0xf8, 0xfe, 0x0, 0x12,
    0x3c, 0x2, 0x82, 0x50, 0xe0, 0xab, 0x64, 0x1e, 0x7, 0xc1, 0xc8, 0x12,
    0x20, 0xa0, 0x34, 0x59, 0x4a,
    0xd0, 0x2, 0x1c, 0x10, 0x9f, 0x3, 0x30, 0x82, 0x30, 0x3f, 0x82, 0x4c, 0xc,
    0x1d, 0xb0, 0x0, 0x0,
    0x7d, 0x46, 0x5b, 0x1c, 0x4, 0x5f, 0x85, 0x1c, 0x80, 0xb9, 0x54, 0xd4,
    0xa3, 0x58, 0x5, 0xf0, 0x91,
    0xe7, 0xde, 0x73, 0xe, 0x11, 0x54, 0xc4, 0x7f, 0x1f, 0x20, 0xa7, 0x23,
    0x7a, 0x67, 0xb7, 0x2, 0x80,
    0xf2, 0x48, 0xe5, 0x2b, 0x42, 0xfe, 0x6, 0x31, 0x6, 0x1d, 0x36, 0xc8,
    0x9f, 0x94, 0x64, 0xc5, 0x11,
    0x5, 0x4, 0x80, 0x51, 0x59, 0xb3, 0x4, 0xe9, 0x40, 0x8, 0x17, 0x19, 0x76,
    0x2, 0x71, 0x6a, 0xd0,
    0x18, 0x91, 0x7b, 0x49, 0x40, 0x3a, 0x57, 0xa1, 0x49, 0x40, 0x62, 0x45,
    0x98, 0x53, 0x41, 0xfe,
    0x96, 0xfa, 0x81, 0x9b, 0x38, 0x7c, 0xc3, 0x69, 0x2f, 0x91, 0xc3, 0x25,
    0xec, 0xe9, 0x80, 0x7c,
    0x1a, 0xc1, 0x9f, 0x3e, 0x22, 0x54, 0x2e, 0xfc, 0xd9, 0x80, 0x5b, 0x52,
    0x47, 0xc, 0x39, 0x82, 0xc3,
    0xc2, 0x72, 0xe4, 0x9, 0x91, 0x56, 0xa8, 0x51, 0x8, 0x70, 0x5, 0x4, 0xb2,
    0x34, 0xac, 0x46, 0x31,
    0x34, 0x1, 0x4b, 0xcb, 0x5, 0x1, 0xe, 0x40, 0xce, 0x15, 0x85, 0xa3, 0xa5,
    0x2e, 0x98, 0x6, 0x34,
    0x68, 0xa, 0xa0, 0x5c, 0x7c, 0xe6, 0xf, 0xc, 0xb5, 0x2, 0x4b, 0x6d, 0xb1,
    0xbe, 0x91, 0x78, 0xa4,
    0x2f, 0x14, 0x4d, 0xa5, 0x1f, 0xc5, 0x19, 0x22, 0xc1, 0x98, 0x6b, 0x35,
    0xa5, 0x61, 0x40, 0x46,
    0x12, 0x4, 0x9, 0x72, 0xea, 0x3, 0x37, 0xb9, 0xd0, 0xd6, 0x11, 0x3, 0xa1,
    0x1c, 0x90, 0x4e, 0x9,
    0x83, 0xb0, 0x80, 0xc, 0x5b, 0xff, 0x10, 0x86, 0x7d, 0x99, 0x34, 0x9,
    0x53, 0xd, 0x4e, 0x4b, 0x4b,
    0x12, 0x3, 0x3a, 0xa0, 0xe, 0x37, 0xd7, 0x8c, 0x18, 0x23, 0x17, 0x6a,
    0xae, 0x5, 0x3c, 0xc0, 0x7a,
    0xf, 0x80, 0x67, 0x54, 0x7b, 0xb9, 0xb0, 0x42, 0x4, 0xf0, 0x95, 0xda,
    0x33, 0x19, 0x37, 0x7d, 0xe5,
    0x3f, 0x48, 0x8, 0x6a, 0xb2, 0xdf, 0xf8, 0x44, 0x18, 0x88, 0xb9, 0x58,
    0x2c, 0xe8, 0xb5, 0x0, 0x77,
    0x99, 0x65, 0xb, 0xec, 0xc9, 0x27, 0x46, 0xe6, 0xf, 0x0, 0x72, 0x8, 0xac,
    0x74, 0xbc, 0x7a, 0x2e,
    0x76, 0xbc, 0xc3, 0xa8, 0xb6, 0x89, 0x8, 0x2c, 0xe7, 0x60, 0xd4, 0x64,
    0x20, 0x4, 0xa8, 0x45, 0x9,
    0x7, 0x6a, 0x4d, 0x16, 0x6, 0x72, 0x92, 0x43, 0xb4, 0x6c, 0xdd, 0xd7,
    0x53, 0xef, 0xca, 0x84, 0xe0,
    0x30, 0x65, 0x1a, 0xeb, 0x54, 0x41, 0x1, 0x5c, 0x1a, 0x43, 0xc5, 0x79,
    0x8e, 0x0, 0xab, 0x2b, 0x5,
    0xb2, 0x47, 0xf0, 0x57, 0x2, 0xe8, 0x56, 0x17, 0xc, 0xce, 0xfb, 0xd1,
    0xff, 0x5c, 0x1a, 0xa4, 0x15,
    0x10, 0x60, 0x8e, 0xc, 0x14, 0xc1, 0x0, 0xd8, 0x61, 0x5d, 0x2f, 0x4, 0xc7,
    0xa5, 0x8e, 0x4c, 0xaf,
    0xf, 0xad, 0xc9, 0x2e, 0xf5, 0xba, 0xf7, 0xbd, 0xf0, 0x8d, 0xaf, 0x7c,
    0xe7, 0x4b, 0xdf, 0xfa, 0xda,
    0xf7, 0xbe, 0xf8, 0xcd, 0xaf, 0x7e, 0xf7, 0xcb, 0xdf, 0xfe, 0xfa, 0xf7,
    0xbf, 0x0, 0xe, 0xb0, 0x80,
    0x7, 0xdc, 0x84, 0x10, 0x0, 0x0, 0x3b
};


#define	SIZE_hardcodedimage	1987



#endif /* ! HARDCODEDIMAGE_INCLUDED */
