/*                                                                       
 * Copyright (c) 2003 Century Software, Inc.   All Rights Reserved.     
 *                                                                       
 * This file is part of the PIXIL Operating Environment                 
 *                                                                       
 * The use, copying and distribution of this file is governed by one    
 * of two licenses, the PIXIL Commercial License, or the GNU General    
 * Public License, version 2.                                           
 *                                                                       
 * Licensees holding a valid PIXIL Commercial License may use this file 
 * in accordance with the PIXIL Commercial License Agreement provided   
 * with the Software. Others are governed under the terms of the GNU   
 * General Public License version 2.                                    
 *                                                                       
 * This file may be distributed and/or modified under the terms of the  
 * GNU General Public License version 2 as published by the Free        
 * Software Foundation and appearing in the file LICENSE.GPL included   
 * in the packaging of this file.                                      
 *                                                                       
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING  
 * THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A            
 * PARTICULAR PURPOSE.                                                  
 *                                                                       
 * RESTRICTED RIGHTS LEGEND                                             
 *                                                                     
 * Use, duplication, or disclosure by the government is subject to      
 * restriction as set forth in paragraph (b)(3)(b) of the Rights in     
 * Technical Data and Computer Software clause in DAR 7-104.9(a).       
 *                                                                      
 * See http://www.pixil.org/gpl/ for GPL licensing       
 * information.                                                         
 *                                                                      
 * See http://www.pixil.org/license.html or              
 * email cetsales@centurysoftware.com for information about the PIXIL   
 * Commercial License Agreement, or if any conditions of this licensing 
 * are not clear to you.                                                
 */


/* GIMP RGB C-Source image dump (gray_grid_240.c) */

static const struct
{
    unsigned int width;
    unsigned int height;
    unsigned int bytes_per_pixel;	/* 3:RGB, 4:RGBA */
    unsigned char pixel_data[240 * 120 * 3 + 1];
}
gimp_image =
{
240, 120, 3,
	"rrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrr"
	"rrrrrrrrrrrrrrrooouuurrrwwwIIIrrrrrrssssssqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq"
	"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqquuutttqqqnnnsssssssssssssssmmmpppqqqrrrxxx"
	"pppBBBqqqiiitttqqqqqqqqqqqqqqqpppsssqqqjjjpppqqqtttsssqqqkkkmmmppptttppp"
	"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqvvvooorrrCCCxxxqqqqqqqqqqqqqqq"
	"qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqrrrrrrrrrrrrrrrrrrrrrrrrrrrrrr"
	"qqqqqqqqqqqqqqqrrrvvvoooyyyIIIqqqqqqqqqqqqqqqqqqqqqqqqqqqrrrrrrrrrrrrrrr"
	"rrrrrrrrrrrrrrrqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq"
	"qqqCCCrrrjjjuuuqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqrrrrrrrrrrrrrrr"
	"rrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrvvvooorrrCCCxxxqqqqqqqqqqqqqqq"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\246\246\246"
	"\254\254\254\247\247\247\243\243\243rrr\244\244\244\245\245\245\245\245\245"
	"\246\246\246\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\260\260\260\247\247\247\246\246\246"
	"\246\246\246\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\247\247\247\244\244\244\246\246\246\254\254\254\251\251\251\244\244\244"
	"ooo\250\250\250\242\242\242\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\257\257\257\250\250\250\251\251\251\250\250\250"
	"\251\251\251\254\254\254\261\261\261\252\252\252\244\244\244\246\246\246"
	"\251\251\251\251\251\251\257\257\257\262\262\262\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\247\247\247\245\245\245\250\250\250ppp\250\250\250\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\247\247\247\256\256\256\250\250\250\244\244\244"
	"nnn\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\244\244\244ppp\250\250\250\243\243\243\246\246\246"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\247\247\247\245\245\245\250\250\250"
	"ppp\250\250\250\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244"
	"\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244"
	"\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244"
	"\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244"
	"\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\243\243\243"
	"\252\252\252\252\252\252\243\243\243nnn\242\242\242\243\243\243\243\243\243"
	"\244\244\244\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\252\252\252\254\254\254"
	"\250\250\250\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247"
	"\246\246\246\255\255\255\255\255\255\250\250\250\254\254\254\244\244\244"
	"jjj\251\251\251\246\246\246\244\244\244\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\265\265\265\237\237\237\233\233\233\262\262\262"
	"\246\246\246\246\246\246\246\246\246\244\244\244\243\243\243\256\256\256"
	"\262\262\262\255\255\255\255\255\255\256\256\256\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\246\246\246\247\247\247\251\251\251kkk\244\244\244\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\244\244\244"
	"\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244"
	"\244\244\244\244\244\244\244\244\244\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\244\244\244\252\252\252\247\247\247\246\246\246"
	"ppp\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\244\244\244\244\244\244\244\244\244"
	"\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244"
	"\244\244\244\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\242\242\242hhh\247\247\247\244\244\244\242\242\242"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\245\245\245\245\245\245\244\244\244\244\244\244\244\244\244\244\244\244"
	"\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244"
	"\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244\244"
	"\244\244\244\244\244\244\244\244\244\246\246\246\247\247\247\251\251\251"
	"kkk\244\244\244\245\245\245\245\245\245\245\245\245\245\245\245\245\245\245"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\251\251\251"
	"\257\257\257\261\261\261\254\254\254www\253\253\253\253\253\253\254\254\254"
	"\255\255\255\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\246\246\246\257\257\257\254\254\254"
	"\241\241\241\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\241\241\241\250\250\250\250\250\250\246\246\246\250\250\250\253\253\253"
	"rrr\260\260\260\254\254\254\253\253\253\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\247\247\247\253\253\253\247\247\247\237\237\237"
	"\242\242\242\247\247\247\262\262\262\257\257\257\251\251\251\241\241\241"
	"\226\226\226\253\253\253\223\223\223\253\253\253\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\255\255\255\256\256\256\260\260\260sss\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\252\252\252\256\256\256\256\256\256\260\260\260"
	"yyy\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\252\252\252qqq\257\257\257\254\254\254\253\253\253"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\254\254\254\254\254\254\254\254\254\255\255\255\256\256\256\260\260\260"
	"sss\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254\254"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\254\254\254\255\255\255\250\250\250rrr\250\250\250\250\250\250\251\251\251"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\262\262\262yyydddwwwsssssssssssssss"
	"oooqqq\204\204\204\256\256\256\251\251\251\247\247\247sss\253\253\253\246"
	"\246\246\251\251\251\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\236\236\236//////vvv\200\200\200\212\212\212\222\222\222PPP$$$\10"
	"\10\10"
	"111777PPPRRR\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\253\253\253\251\251\251\253"
	"\253\253ttt\253\253\253\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\247"
	"\247\247\255\255\255\256\256\256\253\253\253qqq\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\246"
	"\246\246rrr\252\252\252\245\245\245\250\250\250\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\253\253\253\251\251\251\253\253\253ttt\253\253\253\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\241\241\241\253\253\253\251\251\251\241"
	"\241\241uuu\253\253\253\250\250\250\240\240\240\241\241\241\273\273\273\250"
	"\250\250\252\252\252\243\243\243\246\246\246\267\267\267\242\242\242\247"
	"\247\247\244\244\244\256\256\256\257\257\257\250\250\250uuu\213\213\213s"
	"ss\27\27\27UUUkkk\230\230\230\226\226\226\204\204\204\340\340\340\322\322"
	"\322\245\245\245\310\310\310\331\331\331\335\335\335\310\310\310\323\323"
	"\323]]]\24\24\24\11\11\11eee~~~^^^___\222\222\222\236\236\236\350\350\350"
	"\304\304\304\304\304\304ppp\367\367\367\333\333\333\350\350\350\337\337\337"
	"\324\324\324\352\352\352\334\334\334\326\326\326\341\341\341\351\351\351"
	"\316\316\316\232\232\232\201\201\201\272\272\272\345\345\345MMM\217\217\217"
	"\234\234\234vvv\225\225\225vvv\233\233\233\224\224\224\224\224\224MMM\267"
	"\267\267\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247"
	"\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\264\264\264\241\241\241\233\233\233\245\245\245\246"
	"\246\246\235\235\235\301\301\301\234\234\234\224\224\224\266\266\266\275"
	"\275\275\223\223\223\224\224\224\263\263\263\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\244\244\244\254\254\254\241\241\241\253\253\253nnn\251\251\251\253"
	"\253\253\257\257\257\246\246\246\235\235\235\245\245\245\244\244\244\244"
	"\244\244\244\244\244\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\246"
	"\246\246\245\245\245\256\256\256\247\247\247\243\243\243\274\274\274\234"
	"\234\234\235\235\235\243\243\243\237\237\237\242\242\242\255\255\255\265"
	"\265\265\264\264\264\235\235\235\261\261\261\244\244\244\252\252\252\256"
	"\256\256\246\246\246qqq\252\252\252\246\246\246\252\252\252\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\256\256\256\251\251\251\252"
	"\252\252\251\251\251\245\245\245\246\246\246\244\244\244\250\250\250\254"
	"\254\254\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\241\241\241\252\252\252\245"
	"\245\245\262\262\262kkk\251\251\251\240\240\240\262\262\262\264\264\264\234"
	"\234\234\233\233\233\255\255\255\253\253\253\246\246\246\237\237\237\247"
	"\247\247\247\247\247\255\255\255\233\233\233\261\261\261666\177\177\177\313"
	"\313\313\225\225\225\201\201\201GGG\202\202\202\1\1\1\22\22\22\20\20\20P"
	"PPOOO\232\232\232\337\337\337\312\312\312\333\333\333\207\207\207\215\215"
	"\215\213\213\213\15\15\15\35\35\35hhh\352\352\352\335\335\335\225\225\225"
	"\337\337\337\334\334\334\310\310\310\331\331\331\344\344\344\321\321\321"
	"\327\327\327\323\323\323\344\344\344\346\346\346\334\334\334\341\341\341"
	"\331\331\331\327\327\327\331\331\331\335\335\335\347\347\347\345\345\345"
	"\336\336\336\342\342\342\306\306\306\346\346\346\342\342\342www\331\331\331"
	"\302\302\302BBB\0\0\0FFFlll\250\250\250\232\232\232\250\250\250\250\250\250"
	"\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\233\233\233"
	"\247\247\247\267\267\267\261\261\261\254\254\254\271\271\271zzz\215\215\215"
	"\227\227\227tttppp\276\276\276\264\264\264\233\233\233\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\245\245\245\255\255\255\245\245\245\260\260\260qqq\250\250"
	"\250\241\241\241\236\236\236\247\247\247\263\263\263\262\262\262\255\255"
	"\255\252\252\252\245\245\245\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\262\262\262\231\231\231\262\262\262\256\256\256\250\250\250NNN\245\245"
	"\245\261\261\261\252\252\252\247\247\247\260\260\260\261\261\261\216\216"
	"\216\261\261\261\267\267\267\257\257\257\256\256\256\261\261\261\232\232"
	"\232\246\246\246qqq\252\252\252\246\246\246\252\252\252\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\246\246\246\242\242\242\244\244"
	"\244\250\250\250\245\245\245\251\251\251\257\257\257\251\251\251\252\252"
	"\252\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\234\234\234\255\255\255\250\250"
	"\250\242\242\242{{{\240\240\240\244\244\244\266\266\266\257\257\257\262\262"
	"\262\241\241\241\263\263\263\240\240\240\240\240\240\264\264\264\227\227"
	"\227\255\255\255\251\251\251\232\232\232\263\263\263\237\237\237\236\236"
	"\236hhhttt\264\264\264\273\273\273}}}MMM555FFF\324\324\324\334\334\334\253"
	"\253\253\16\16\16\30\30\30\251\251\251\\\\\\hhh\237\237\237\255\255\255s"
	"ss\344\344\344\325\325\325\334\334\334\235\235\235\310\310\310\332\332\332"
	"\332\332\332\335\335\335\346\346\346\322\322\322\341\341\341\325\325\325"
	"\340\340\340\324\324\324\330\330\330\341\341\341\330\330\330\342\342\342"
	"\331\331\331\337\337\337\320\320\320\330\330\330\335\335\335\323\323\323"
	"\332\332\332\355\355\355\350\350\350\315\315\315\337\337\337\245\245\245"
	"\212\212\212\265\265\265\237\237\237\243\243\243\270\270\270\224\224\224"
	"\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247"
	"\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\223\223\223sss\207\207\207\210\210\210\"\"\"\345\345\345\207"
	"\207\207mmm\237\237\237\271\271\271\235\235\235\255\255\255\252\252\252\232"
	"\232\232\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\247\247\247\253\253\253\251"
	"\251\251\244\244\244jjj\250\250\250\244\244\244\246\246\246\250\250\250\257"
	"\257\257\235\235\235\246\246\246\252\252\252\246\246\246\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\253\253\253\255\255\255\246\246\246\232"
	"\232\232jjjaaaeee~~~\250\250\250\236\236\236\262\262\262\236\236\236\253"
	"\253\253\250\250\250\240\240\240\253\253\253\264\264\264\251\251\251\237"
	"\237\237\246\246\246qqq\252\252\252\246\246\246\252\252\252\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\253\253\253\250\250\250\247"
	"\247\247\246\246\246\261\261\261\262\262\262\256\256\256\267\267\267\255"
	"\255\255\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\263\263\263\247\247\247\254"
	"\254\254\226\226\226SSS{{{{{{EEE\251\251\251\243\243\243\265\265\265kkk\242"
	"\242\242\261\261\261\250\250\250\250\250\250\255\255\255\273\273\273ooo\240"
	"\240\240<<<\203\203\203\177\177\177aaa\230\230\230ZZZOOO\331\331\331VVV\243"
	"\243\243\216\216\216lllXXX\250\250\250\253\253\253\263\263\263\240\240\240"
	",,,>>>\223\223\223\262\262\262\312\312\312\345\345\345\325\325\325\254\254"
	"\254\322\322\322\324\324\324\351\351\351\345\345\345\336\336\336\324\324"
	"\324\333\333\333\316\316\316\330\330\330\335\335\335\331\331\331\324\324"
	"\324\335\335\335\325\325\325\337\337\337\333\333\333\321\321\321\331\331"
	"\331\340\340\340\326\326\326\344\344\344\337\337\337\335\335\335\344\344"
	"\344vvv\241\241\241\221\221\221\247\247\247\232\232\232\264\264\264\254\254"
	"\254\253\253\253\250\250\250\250\250\250\250\250\250\250\250\250\251\251"
	"\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\252\252\252\262\262\262\262\262\262|||\216\216"
	"\216\222\222\222\255\255\255\254\254\254\255\255\255\241\241\241\240\240"
	"\240\246\246\246\254\254\254\242\242\242\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\246\246\246\264\264\264\234\234\234www\237\237\237\267\267"
	"\267\251\251\251\217\217\217\200\200\200qqq\246\246\246\261\261\261\253\253"
	"\253\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\235\235\235\244\244"
	"\244\252\252\252\273\273\273\225\225\225\244\244\244\235\235\235\246\246"
	"\246zzz\374\374\374\26\26\26^^^~~~|||```\235\235\235\246\246\246\241\241"
	"\241\251\251\251\246\246\246qqq\252\252\252\246\246\246\252\252\252\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\261\261"
	"\261\255\255\255\244\244\244\242\242\242\243\243\243\251\251\251\243\243"
	"\243\254\254\254\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251"
	"\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\245\245\245\244\244"
	"\244\247\247\247MMM]]]{{{,,,\23\23\23\213\213\213mmm\222\222\222{{{pppll"
	"l\270\270\270\226\226\226xxx\0\0\0\322\322\322\200\200\200\226\226\226\200"
	"\200\200vvv\270\270\270BBBggg\207\207\207eee\231\231\231ccc[[[yyy\241\241"
	"\241\247\247\247\256\256\256\232\232\232\241\241\241\257\257\257}}}mmmbb"
	"b\200\200\200ffftttaaa\340\340\340\340\340\340\327\327\327\330\330\330\327"
	"\327\327\345\345\345\326\326\326\333\333\333\341\341\341\340\340\340\325"
	"\325\325\327\327\327\336\336\336\330\330\330\333\333\333\331\331\331\337"
	"\337\337\333\333\333\343\343\343\333\333\333\327\327\327\336\336\336\334"
	"\334\334\330\330\330\206\206\206\234\234\234ppp\246\246\246\246\246\246\235"
	"\235\235\237\237\237\245\245\245\250\250\250\250\250\250\250\250\250\250"
	"\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\256\256\256\256"
	"\256\256\237\237\237\257\257\257\272\272\272\235\235\235\247\247\247\252"
	"\252\252\243\243\243\250\250\250\254\254\254\246\246\246\247\247\247\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\246\246\246\246\246\246\262\262\262zzzQ"
	"QQ\203\203\203\216\216\216FFFxxx\205\205\205xxx\261\261\261\256\256\256\241"
	"\241\241\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\255\255\255\203"
	"\203\203FFF\211\211\211hhh\200\200\200___\225\225\225\322\322\322\313\313"
	"\313\354\354\354\313\313\313\337\337\337\334\334\334\331\331\331777www\207"
	"\207\207\252\252\252\246\246\246qqq\252\252\252\246\246\246\252\252\252\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\240\240\240\256"
	"\256\256\243\243\243|||{{{ooo```mmm\243\243\243\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247"
	"\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\245\245\245\250\250\250\241\241\241\242\242\242\260"
	"\260\260\264\264\264\274\274\274\242\242\242\257\257\257\252\252\252\245"
	"\245\245\246\246\246\261\261\261\246\246\246\247\247\247\251\251\251\250"
	"\250\250\247\247\247\261\261\261\247\247\247\244\244\244\241\241\241\271"
	"\271\271\257\257\257\231\231\231\273\273\273\242\242\242\244\244\244\255"
	"\255\255\260\260\260ooo\234\234\234\213\213\213[[[\177\177\177}}}\276\276"
	"\276\201\201\201\202\202\202ttt\246\246\246\246\246\246\271\271\271\255\255"
	"\255\245\245\245\244\244\244\244\244\244\252\252\252\252\252\252\263\263"
	"\263ttt\205\205\205```xxx\257\257\257ggg\200\200\200ttt\217\217\217\203\203"
	"\203\233\233\233\266\266\266\240\240\240\252\252\252\263\263\263\255\255"
	"\255\255\255\255\244\244\244\254\254\254\246\246\246\254\254\254\241\241"
	"\241\247\247\247iii\274\274\274uuu\324\324\324\321\321\321\341\341\341\335"
	"\335\335\340\340\340\331\331\331\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\327"
	"\327\327\331\331\331\335\335\335\305\305\305\350\350\350\267\267\267\314"
	"\314\314nnnHHHFFF\247\247\247\254\254\254\250\250\250\247\247\247\252\252"
	"\252\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247"
	"\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\253\253\253\247\247\247\241\241\241\246\246\246\243\243"
	"\243\270\270\270\261\261\261\251\251\251\241\241\241\240\240\240\243\243"
	"\243\237\237\237\244\244\244\262\262\262\246\246\246\254\254\254\254\254"
	"\254\250\250\250\231\231\231\265\265\265\246\246\246\253\253\253\255\255"
	"\255\244\244\244\250\250\250\252\252\252\243\243\243\247\247\247\260\260"
	"\260ddd\226\226\226xxxlllggg\260\260\260\233\233\233\233\233\233\263\263"
	"\263\244\244\244\234\234\234\266\266\266\252\252\252\270\270\270\254\254"
	"\254\243\243\243\257\257\257\271\271\271\255\255\255\263\263\263\247\247"
	"\247\302\302\302AAA\334\334\334\334\334\334\331\331\331\337\337\337\326\326"
	"\326\340\340\340\332\332\332\332\332\332\332\332\332\332\332\332\353\353"
	"\353\310\310\310\313\313\313\220\220\220~~~999\223\223\223\242\242\242\242"
	"\242\242\250\250\250\253\253\253\206\206\206\246\246\246\231\231\231\252"
	"\252\252\215\215\215\254\254\254\231\231\231\244\244\244\261\261\261\250"
	"\250\250\247\247\247\250\250\250\235\235\235\260\260\260\244\244\244\255"
	"\255\255\261\261\261\231\231\231\234\234\234\260\260\260\233\233\233\244"
	"\244\244\246\246\246\253\253\253\240\240\240\250\250\250\262\262\262\242"
	"\242\242\246\246\246\246\246\246\246\246\246\237\237\237\242\242\242\231"
	"\231\231\247\247\247\226\226\226\223\223\223\270\270\270\260\260\260\253"
	"\253\253vvv\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\252\252\252\252\252\252\254\254\254\253\253\253\245\245\245\261"
	"\261\261\260\260\260\244\244\244\250\250\250\250\250\250\267\267\267\254"
	"\254\254\237\237\237\235\235\235\242\242\242\253\253\253\250\250\250\254"
	"\254\254\257\257\257\264\264\264\237\237\237\234\234\234\257\257\257\263"
	"\263\263\244\244\244\266\266\266\254\254\254\250\250\250\241\241\241WWW\205"
	"\205\205\334\334\334\361\361\361wwwiii\221\221\221\347\347\347kkk\210\210"
	"\210%%%rrr\220\220\220\305\305\305zzz\236\236\236nnn\200\200\200\332\332"
	"\332\352\352\352\234\234\234VVVxxx\227\227\227\220\220\220\310\310\310\342"
	"\342\342EEEHHH\327\327\327lll\200\200\200AAAzzzJJJ\301\301\301\255\255\255"
	"\245\245\245\243\243\243\260\260\260\261\261\261\244\244\244\247\247\247"
	"\252\252\252{{{\256\256\256\262\262\262\224\224\224\272\272\272\336\336\336"
	"\315\315\315\323\323\323\330\330\330\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\320\320\320\344\344\344\306\306\306\327\327\327yyy555hhh\274\274\274\236"
	"\236\236\250\250\250\247\247\247\252\252\252\250\250\250\250\250\250\251"
	"\251\251\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247"
	"\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\242\242\242\251\251\251\256\256\256\256\256\256\251"
	"\251\251\257\257\257\267\267\267\256\256\256\245\245\245\252\252\252\242"
	"\242\242\244\244\244\234\234\234\244\244\244\270\270\270\227\227\227\306"
	"\306\306\246\246\246\257\257\257\246\246\246\256\256\256\260\260\260\245"
	"\245\245\256\256\256\233\233\233\244\244\244\215\215\215\244\244\244:::\366"
	"\366\366kkk\265\265\265\262\262\262fff\302\302\302\232\232\232\255\255\255"
	"\234\234\234\244\244\244\216\216\216\224\224\224HHH\254\254\254BBB\243\243"
	"\243\221\221\221qqq\222\222\222\241\241\241\334\334\334\344\344\344\344\344"
	"\344\320\320\320\327\327\327\335\335\335\337\337\337\330\330\330\321\321"
	"\321\332\332\332\332\332\332\332\332\332\332\332\332\355\355\355\311\311"
	"\311\351\351\351\347\347\347\301\301\301\316\316\316\317\317\317\345\345"
	"\345\326\326\326\334\334\334\343\343\343\244\244\244\325\325\325\323\323"
	"\323\316\316\316\345\345\345\321\321\321111\260\260\260\225\225\225\253\253"
	"\253\240\240\240\247\247\247\235\235\235\\\\\\zzz\243\243\243YYY///\\\\\\"
	"uuuzzz\242\242\242\240\240\240\243\243\243\245\245\245\236\236\236\265\265"
	"\265\252\252\252\247\247\247\245\245\245\246\246\246\241\241\241\237\237"
	"\237\272\272\272\271\271\271\251\251\251\273\273\273\270\270\270\257\257"
	"\257\252\252\252vvv\247\247\247\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\247\247\247\255\255\255\234\234\234\234\234\234\264\264"
	"\264\271\271\271\234\234\234\240\240\240\205\205\205rrr\224\224\224\244\244"
	"\244\262\262\262\260\260\260\257\257\257\244\244\244\262\262\262\226\226"
	"\226\244\244\244\212\212\212\247\247\247\245\245\245\244\244\244\242\242"
	"\242\263\263\263\236\236\236\233\233\233\237\237\237\266\266\266\262\262"
	"\262\212\212\212\203\203\203\201\201\201OOO\211\211\211bbb```\327\327\327"
	"\312\312\312\353\353\353\332\332\332\253\253\253\371\371\371\201\201\201"
	"\277\277\277\240\240\240}}}\213\213\213qqq\217\217\217\235\235\235jjj\257"
	"\257\257:::\244\244\244\220\220\220(((\245\245\245\335\335\335\324\324\324"
	"\346\346\346\200\200\200\273\273\273LLLPPPyyy\302\302\302\263\263\263\221"
	"\221\221\217\217\217\264\264\264\253\253\253\250\250\250fff\255\255\255\235"
	"\235\235\23\23\23hhh\30\30\30\357\357\357\337\337\337\335\335\335\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\352\352\352\313\313\313\353\353\353\240\240"
	"\240SSSQQQ\332\332\332333\237\237\237\247\247\247\247\247\247\251\251\251"
	"\250\250\250\250\250\250\251\251\251\250\250\250\250\250\250\250\250\250"
	"\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\250\250\250"
	"\253\253\253\237\237\237\250\250\250\242\242\242\227\227\227\223\223\223"
	"\302\302\302\240\240\240\246\246\246\252\252\252\247\247\247\247\247\247"
	"\232\232\232\257\257\257\230\230\230\251\251\251\243\243\243\251\251\251"
	"\260\260\260\246\246\246\246\246\246\243\243\243\271\271\271\251\251\251"
	"\301\301\301\260\260\260\215\215\215\310\310\310\266\266\266\215\215\215"
	"\244\244\244www\242\242\242\252\252\252\264\264\264\245\245\245{{{\305\305"
	"\305\332\332\332{{{YYY\364\364\364--->>>\336\336\336\202\202\202\207\207"
	"\207\276\276\276\326\326\326\315\315\315\345\345\345\341\341\341\336\336"
	"\336\330\330\330\340\340\340\335\335\335\332\332\332\332\332\332\332\332"
	"\332\332\332\332\337\337\337\322\322\322\312\312\312\313\313\313\340\340"
	"\340\322\322\322\335\335\335\323\323\323\321\321\321\342\342\342\333\333"
	"\333\215\215\215\346\346\346\340\340\340\335\335\335\337\337\337\326\326"
	"\326\234\234\234\271\271\271\212\212\212\211\211\211\204\204\204\206\206"
	"\206pppeee\337\337\337\335\335\335\350\350\350\303\303\303\332\332\332\266"
	"\266\266<<<\231\231\231\233\233\233\246\246\246\262\262\262\251\251\251\227"
	"\227\227\240\240\240\254\254\254\252\252\252\251\251\251\255\255\255\254"
	"\254\254\241\241\241\240\240\240\250\250\250\233\233\233\237\237\237\241"
	"\241\241\247\247\247nnn\252\252\252\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\252\252\252\242\242\242\260\260\260\256\256\256\222"
	"\222\222\336\336\336\354\354\354\300\300\300\333\333\333\341\341\341\324"
	"\324\324\325\325\325\347\347\347\332\332\332\330\330\330\345\345\345\312"
	"\312\312\351\351\351\304\304\304\224\224\224\214\214\214\247\247\247\262"
	"\262\262rrr\222\222\222jjj\200\200\200mmm\340\340\340{{{;;;yyy{{{HHH\262"
	"\262\262\177\177\177\257\257\257\342\342\342\321\321\321\344\344\344\323"
	"\323\323\340\340\340\200\200\200\330\330\330\231\231\231\223\223\223\252"
	"\252\252\222\222\222\202\202\202qqq\223\223\223\247\247\247ZZZ\274\274\274"
	"\211\211\211\257\257\257\40\40\40JJJ\4\4\4XXX```\242\242\242\202\202\202"
	"\355\355\355\344\344\344\327\327\327\332\332\332XXXAAA\223\223\223\273\273"
	"\273\253\253\253\223\223\223iii\272\272\272\251\251\251\232\232\232\251\251"
	"\251zzz]]]\326\326\326\340\340\340\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\350"
	"\350\350\311\311\311\330\330\330\361\361\361\341\341\341\334\334\334\242"
	"\242\242\226\226\226\256\256\256\264\264\264\247\247\247\247\247\247\250"
	"\250\250\251\251\251\251\251\251\250\250\250\250\250\250\250\250\250\250"
	"\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\243\243\243\247\247\247\247"
	"\247\247\260\260\260\240\240\240aaaJJJ\265\265\265\334\334\334\306\306\306"
	"\340\340\340\323\323\323\347\347\347...qqq444\265\265\265\234\234\234\250"
	"\250\250\244\244\244\246\246\246\247\247\247\252\252\252\265\265\265\241"
	"\241\241\250\250\250\252\252\252\246\246\246\262\262\262\254\254\254\257"
	"\257\257\247\247\247\276\276\276aaa\201\201\201fffddd\262\262\262\206\206"
	"\206\324\324\324\334\334\334\223\223\223\237\237\237\330\330\330\362\362"
	"\362\321\321\321\332\332\332\341\341\341\333\333\333\236\236\236\355\355"
	"\355\320\320\320\344\344\344\336\336\336\337\337\337\337\337\337\324\324"
	"\324\323\323\323\332\332\332\332\332\332\332\332\332\332\332\332\327\327"
	"\327\324\324\324\334\334\334\323\323\323\325\325\325\326\326\326\334\334"
	"\334\333\333\333\324\324\324\351\351\351\331\331\331\222\222\222\332\332"
	"\332\325\325\325\336\336\336\346\346\346\314\314\314\316\316\316\336\336"
	"\336\351\351\351\334\334\334\333\333\333\337\337\337\326\326\326\335\335"
	"\335\323\323\323\322\322\322\321\321\321\337\337\337\333\333\333\345\345"
	"\345\325\325\325\322\322\322\331\331\331\317\317\317\344\344\344\342\342"
	"\342\374\374\374nnn\206\206\206\207\207\207rrrjjjggg\303\303\303\315\315"
	"\315zzzwww\215\215\215yyy\202\202\202\177\177\177\254\254\254\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\243\243\243\237\237\237"
	"ttt\213\213\213\344\344\344\314\314\314\342\342\342\343\343\343\324\324\324"
	"\336\336\336\330\330\330\326\326\326\327\327\327\327\327\327\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\315\315\315\337\337\337\350\350\350\336\336\336"
	"\220\220\220\324\324\324\323\323\323\337\337\337>>>uuu|||~~~<<<yyy\256\256"
	"\256\205\205\205xxxssslll\\\\\\VVV\316\316\316\327\327\327\337\337\337\272"
	"\272\272\343\343\343\266\266\266\331\331\331\323\323\323\270\270\270\266"
	"\266\266\245\245\245\237\237\237\253\253\253\250\250\250\221\221\221\323"
	"\323\323\330\330\330\331\331\331\230\230\230OOOWWW\260\260\260\253\253\253"
	"fff\253\253\253\241\241\241\247\247\247~~~\0\0\0"
	"111\344\344\344\320\320"
	"\320\333\333\333\322\322\322\334\334\334\343\343\343\332\332\332\327\327"
	"\327\337\337\337\313\313\313\337\337\337\234\234\234\210\210\210eeeWWW\237"
	"\237\237\241\241\241\236\236\236\236\236\236\264\264\264\246\246\246\241"
	"\241\241\242\242\242\241\241\241\245\245\245\257\257\257\250\250\250\250"
	"\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251"
	"\251\251\246\246\246\262\262\262\241\241\241\252\252\252\257\257\257\255"
	"\255\255\252\252\252\242\242\242\220\220\220\234\234\234\322\322\322\322"
	"\322\322\322\322\322\345\345\345\325\325\325\313\313\313\325\325\325\346"
	"\346\346\337\337\337\324\324\324\337\337\337\333\333\333\312\312\312\345"
	"\345\345\265\265\265\217\217\217\251\251\251\266\266\266\201\201\201GGG\204"
	"\204\204\203\203\203\203\203\203\260\260\260\226\226\226\253\253\253\346"
	"\346\346\323\323\323\232\232\232\332\332\332\332\332\332\332\332\332\332"
	"\332\332\253\253\253\251\251\251\321\321\321\304\304\304rrr\215\215\215\244"
	"\244\244DDD\323\323\323\336\336\336\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\333\333\333\231\231\231\335\335\335\331"
	"\331\331\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\341\341\341\332\332\332\330\330\330\344"
	"\344\344\323\323\323\336\336\336\317\317\317\331\331\331\324\324\324\332"
	"\332\332\335\335\335\326\326\326\330\330\330\331\331\331\336\336\336\320"
	"\320\320\326\326\326\227\227\227\307\307\307\216\216\216\221\221\221\251"
	"\251\251\250\250\250\241\241\241\251\251\251\267\267\267\257\257\257\240"
	"\240\240eee\177\177\177\346\346\346\313\313\313\353\353\353\331\331\331\326"
	"\326\326\332\332\332\335\335\335\341\341\341\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\344\344\344\334\334\334\305\305\305\232\232\232ZZZ\357\357\357\316"
	"\316\316\317\317\317\307\307\307\317\317\317\335\335\335\332\332\332###\244"
	"\244\244\334\334\334\324\324\324\327\327\327\343\343\343\336\336\336\335"
	"\335\335\203\203\203\311\311\311\334\334\334\310\310\310\344\344\344\324"
	"\324\324kkk\244\244\244\227\227\227\233\233\233\250\250\250\272\272\272\247"
	"\247\247\244\244\244\243\243\243\247\247\247\327\327\327\326\326\326\324"
	"\324\324\232\232\232\311\311\311OOOZZZCCC|||\255\255\255\244\244\244\243"
	"\243\243555%%%MMM\333\333\333\331\331\331\323\323\323\330\330\330\323\323"
	"\323\324\324\324\345\345\345\326\326\326\335\335\335\344\344\344\345\345"
	"\345\262\262\262\262\262\262\267\267\267\236\236\236\253\253\253\250\250"
	"\250\244\244\244\247\247\247\236\236\236\257\257\257\276\276\276\254\254"
	"\254\252\252\252\251\251\251\232\232\232\250\250\250\250\250\250\250\250"
	"\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\243\243"
	"\243\233\233\233\262\262\262\242\242\242\246\246\246\273\273\273\257\257"
	"\257ddd555\314\314\314\346\346\346\340\340\340\345\345\345\275\275\275\345"
	"\345\345\362\362\362\315\315\315\327\327\327\330\330\330\321\321\321TTT\210"
	"\210\210\317\317\317\337\337\337\325\325\325\\\\\\\230\230\230\271\271\271"
	"}}}kkk\230\230\230\371\371\371\300\300\300\336\336\336\326\326\326\332\332"
	"\332\343\343\343\325\325\325\221\221\221\332\332\332\332\332\332\332\332"
	"\332\332\332\332\331\331\331\322\322\322\216\216\216\203\203\203uuu\340\340"
	"\340\326\326\326\342\342\342\331\331\331\336\336\336\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\333\333\333\231\231"
	"\231\335\335\335\331\331\331\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\331\331\331\322\322"
	"\322\324\324\324\331\331\331\336\336\336\332\332\332\351\351\351\342\342"
	"\342\342\342\342\325\325\325\332\332\332\331\331\331\333\333\333\340\340"
	"\340\327\327\327\335\335\335\334\334\334\226\226\226\360\360\360\343\343"
	"\343\262\262\262XXX\207\207\207\246\246\246vvv\235\235\235\215\215\215\350"
	"\350\350\331\331\331\342\342\342\345\345\345\305\305\305\336\336\336\320"
	"\320\320\327\327\327\340\340\340\340\340\340\334\334\334\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\321\321\321\331\331\331bbb}}}\36\36\36\336\336\336\304"
	"\304\304\352\352\352\335\335\335\334\334\334\317\317\317\330\330\330\330"
	"\330\330\332\332\332\336\336\336\333\333\333\331\331\331\327\327\327\333"
	"\333\333\326\326\326\331\331\331\325\325\325\333\333\333\337\337\337\265"
	"\265\265\213\213\213MMM\256\256\256zzz\226\226\226\257\257\257\244\244\244"
	"\234\234\234\202\202\202xxx\177\177\177\312\312\312\352\352\352\336\336\336"
	"sss\217\217\217yyy\234\234\234\241\241\241jjj\260\260\260\254\254\254\250"
	"\250\250\256\256\256mmmooo\346\346\346\324\324\324\330\330\330\325\325\325"
	"\346\346\346\350\350\350\204\204\204ggg\254\254\254\257\257\257\230\230\230"
	"\250\250\250\256\256\256\236\236\236\252\252\252\265\265\265\250\250\250"
	"EEE\27\27\27\250\250\250\337\337\337\357\357\357\342\342\342\350\350\350"
	"fff\257\257\257\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251"
	"\247\247\247\252\252\252qqq\251\251\251\265\265\265\236\236\236\244\244\244"
	"\242\242\242\241\241\241\251\251\251888\317\317\317\303\303\303\340\340\340"
	"\310\310\310\334\334\334\237\237\237\230\230\230\251\251\251vvv\342\342\342"
	"\273\273\273\317\317\317\343\343\343\341\341\341lll\227\227\227~~~\275\275"
	"\275\344\344\344\332\332\332\325\325\325\335\335\335\305\305\305\331\331"
	"\331\326\326\326\366\366\366\332\332\332\333\333\333\346\346\346\332\332"
	"\332\337\337\337\221\221\221\332\332\332\332\332\332\332\332\332\332\332"
	"\332\312\312\312\336\336\336\342\342\342\323\323\323\327\327\327\337\337"
	"\337\340\340\340\336\336\336\340\340\340\331\331\331\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\333\333\333\231\231"
	"\231\335\335\335\331\331\331\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\307\307\307\317\317"
	"\317\333\333\333\323\323\323\327\327\327\332\332\332\342\342\342\332\332"
	"\332\340\340\340\312\312\312\325\325\325\334\334\334\337\337\337\334\334"
	"\334\232\232\232\345\345\345\333\333\333AAA\230\230\230\200\200\200\276\276"
	"\276\356\356\356\36\36\36uuu\252\252\252\240\240\240\230\230\230\245\245"
	"\245]]]\177\177\177\227\227\227\326\326\326\323\323\323\327\327\327\340\340"
	"\340\324\324\324\320\320\320\330\330\330\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\300\300\300\341\341\341\330\330\330\334\334\334\227\227\227\317\317"
	"\317\347\347\347\350\350\350\320\320\320\325\325\325\315\315\315\307\307"
	"\307\335\335\335\313\313\313\334\334\334\336\336\336\335\335\335\327\327"
	"\327\326\326\326\314\314\314\350\350\350\277\277\277\237\237\237\240\240"
	"\240\253\253\253\225\225\225\211\211\211\216\216\216\207\207\207\213\213"
	"\213\205\205\205\224\224\224\261\261\261\262\262\262\245\245\245\217\217"
	"\217\10\10\10\267\267\267\302\302\302\221\221\221rrrmmm\247\247\247\252\252"
	"\252{{{\232\232\232\243\243\243\245\245\245\252\252\252\240\240\240\25\25"
	"\25\344\344\344\306\306\306\337\337\337\306\306\306\344\344\344nnn\246\246"
	"\246\237\237\237\247\247\247\254\254\254\253\253\253\254\254\254\256\256"
	"\256\262\262\262\252\252\252\242\242\242\264\264\264\242\242\242jjj~~~||"
	"|yyyfff\232\232\232\266\266\266\230\230\230\250\250\250\250\250\250\250\250"
	"\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\241\241"
	"\241\245\245\245\257\257\257\256\256\256tttMMM\334\334\334\335\335\335\300"
	"\300\300\337\337\337\351\351\351\212\212\212\235\235\235\201\201\201\345"
	"\345\345\344\344\344WWW\341\341\341\311\311\311\347\347\347\310\310\310\343"
	"\343\343\356\356\356\231\231\231\331\331\331\316\316\316\333\333\333\344"
	"\344\344\337\337\337\306\306\306\334\334\334\332\332\332\326\326\326\322"
	"\322\322\312\312\312\323\323\323\330\330\330\331\331\331\234\234\234\332"
	"\332\332\332\332\332\332\332\332\332\332\332\335\335\335\334\334\334\346"
	"\346\346\310\310\310\327\327\327\322\322\322\335\335\335\314\314\314\342"
	"\342\342\344\344\344\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\333\333\333\231\231\231\335\335\335\331\331\331\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\334\334\334\335\335\335\325\325\325\336\336\336\317"
	"\317\317\351\351\351\325\325\325\320\320\320\320\320\320\340\340\340\340"
	"\340\340\322\322\322\324\324\324\332\332\332\320\320\320\323\323\323\270"
	"\270\270qqq\231\231\231\264\264\264\243\243\243\265\265\265\244\244\244\236"
	"\236\236\242\242\242\252\252\252\275\275\275{{{\322\322\322\367\367\367\317"
	"\317\317\345\345\345\331\331\331\335\335\335\325\325\325\341\341\341\337"
	"\337\337\330\330\330\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\343\343\343\341"
	"\341\341\355\355\355\301\301\301\226\226\226\326\326\326\306\306\306\261"
	"\261\261\224\224\224\211\211\211TTTmmm\336\336\336\304\304\304\316\316\316"
	"\325\325\325\331\331\331\335\335\335\333\333\333\340\340\340\336\336\336"
	"\323\323\323\320\320\320vvv\246\246\246\276\276\276\246\246\246\233\233\233"
	"\246\246\246\233\233\233\255\255\255\233\233\233\232\232\232zzzwww\203\203"
	"\203\254\254\254rrr\204\204\204FFF\223\223\223\235\235\235\261\261\261\262"
	"\262\262www\235\235\235\256\256\256\243\243\243\262\262\262\251\251\251\266"
	"\266\266\317\317\317\344\344\344\344\344\344\332\332\332\332\332\332(((\243"
	"\243\243\255\255\255\255\255\255\234\234\234\274\274\274\250\250\250\235"
	"\235\235\245\245\245\247\247\247\255\255\255\257\257\257\257\257\257\242"
	"\242\242\236\236\236\241\241\241\233\233\233\277\277\277\240\240\240\245"
	"\245\245\253\253\253\250\250\250\250\250\250\250\250\250\250\250\250\251"
	"\251\251\247\247\247\252\252\252qqq\251\251\251\254\254\254\177\177\177l"
	"ll$$$\344\344\344\346\346\346\332\332\332\330\330\330\334\334\334\316\316"
	"\316eee\252\252\252TTT\324\324\324\324\324\324\324\324\324\215\215\215\3"
	"\3\3\245\245\245\335\335\335\322\322\322XXX\305\305\305\325\325\325\324\324"
	"\324\342\342\342\340\340\340\317\317\317\323\323\323\336\336\336\323\323"
	"\323\335\335\335\315\315\315\334\334\334\334\334\334\340\340\340\333\333"
	"\333\331\331\331\227\227\227\332\332\332\332\332\332\332\332\332\332\332"
	"\332\324\324\324\325\325\325\332\332\332\331\331\331\336\336\336\330\330"
	"\330\334\334\334\341\341\341\321\321\321\320\320\320\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\333\333\333\231\231"
	"\231\335\335\335\331\331\331\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\325\325\325\346\346"
	"\346\336\336\336\351\351\351\346\346\346\354\354\354\213\213\213fff\331\331"
	"\331\335\335\335\324\324\324\340\340\340\335\335\335\323\323\323\240\240"
	"\240\202\202\202\255\255\255~~~\242\242\242\252\252\252\237\237\237\277\277"
	"\277\245\245\245\256\256\256\241\241\241\235\235\235\260\260\260ccc\260\260"
	"\260\351\351\351\343\343\343\351\351\351\332\332\332\330\330\330\326\326"
	"\326\316\316\316bbb\241\241\241___yyysss\325\325\325\337\337\337\327\327"
	"\327\336\336\336\332\332\332\355\355\355\324\324\324\347\347\347\340\340"
	"\340\321\321\321\322\322\322\327\327\327\332\332\332\336\336\336\334\334"
	"\334\330\330\330\236\236\236\340\340\340\265\265\265\214\214\214\237\237"
	"\237\325\325\325\346\346\346\344\344\344\320\320\320\335\335\335\333\333"
	"\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\336\336"
	"\336kkk\257\257\257\261\261\261\253\253\253\252\252\252\245\245\245\253\253"
	"\253\246\246\246\224\224\224\257\257\257\241\241\241qqq\327\327\327\337\337"
	"\337\342\342\342\234\234\234\240\240\240\250\250\250\263\263\263\230\230"
	"\230\246\246\246\251\251\251\233\233\233xxx\266\266\266\264\264\264\254\254"
	"\254\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250}}}mmm\214"
	"\214\214\253\253\253\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\251\251\251\254\254\254\251"
	"\251\251\265\265\265\237\237\237\273\273\273\263\263\263jjj\253\253\253\243"
	"\243\243\202\202\202JJJ\253\253\253\331\331\331\337\337\337\322\322\322\344"
	"\344\344\303\303\303\314\314\314\210\210\210\254\254\254\245\245\245\313"
	"\313\313\324\324\324\333\333\333\246\246\246,,,\221\221\221\235\235\235/"
	"//\274\274\274\262\262\262\327\327\327\333\333\333\333\333\333\333\333\333"
	"\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333"
	"\333\333\333\332\332\332\336\336\336\334\334\334\330\330\330\236\236\236"
	"\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333"
	"\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333"
	"\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333"
	"\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333"
	"\333\333\333\333\333\333\333\333\333\333\333\333\336\336\336\326\326\326"
	"\350\350\350\322\322\322\336\336\336\333\333\333\333\333\333\333\333\333"
	"\333\333\333\333\333\333\332\332\332\237\237\237\334\334\334\325\325\325"
	"\335\335\335\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333"
	"\334\334\334\325\325\325\334\334\334\331\331\331\335\335\335\337\337\337"
	"\337\337\337\333\333\333\327\327\327\323\323\323\330\330\330\322\322\322"
	"\312\312\312\314\314\314\321\321\321|||\246\246\246\243\243\243VVVxxxxxx"
	"\341\341\341\266\266\266\225\225\225\266\266\266~~~vvv\270\270\270\251\251"
	"\251\245\245\245\247\247\247ttt\252\252\252\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\246\246\246\245\245\245\237\237\237\254\254"
	"\254\241\241\241PPP\211\211\211\271\271\271|||\306\306\306\267\267\267\256"
	"\256\256\224\224\224\255\255\255\236\236\236\260\260\260\254\254\254\253"
	"\253\253\256\256\256\251\251\251ccc\212\212\212\40\40\40\214\214\214\337"
	"\337\337\333\333\333\334\334\334\314\314\314\331\331\331\330\330\330\334"
	"\334\334\334\334\334\327\327\327\234\234\234\331\331\331\332\332\332\334"
	"\334\334\324\324\324\334\334\334\201\201\201\213\213\213\230\230\230\202"
	"\202\202\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\314\314\314pppVVV\224\224\224\267\267\267\262\262\262\234\234\234"
	"\271\271\271\245\245\245\253\253\253\230\230\230\260\260\260\212\212\212"
	"\326\326\326\342\342\342\347\347\347\337\337\337\373\373\373///\236\236\236"
	"[[[\307\307\307\227\227\227\220\220\220fff\264\264\264\262\262\262\226\226"
	"\226\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\227\227"
	"\227\232\232\232\253\253\253\234\234\234\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\262\262"
	"\262\261\261\261\253\253\253\264\264\264oooxxx\246\246\246}}}\246\246\246"
	"\246\246\246\241\241\241aaa\335\335\335rrrmmm\355\355\355\321\321\321\336"
	"\336\336\222\222\222www\261\261\261\256\256\256\276\276\276lll\336\336\336"
	"\317\317\317\330\330\330\346\346\346\322\322\322\345\345\345\336\336\336"
	"\325\325\325\343\343\343\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\327\327\327\333\333\333\334\334\334\330\330\330\235\235\235\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\320\320\320\336\336\336\322\322\322"
	"\335\335\335\311\311\311\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\332\332\332\234\234\234\333\333\333\326\326\326\333\333\333"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\311\311\311"
	"\352\352\352\305\305\305\357\357\357\317\317\317\340\340\340gggsss\177\177"
	"\177\245\245\245xxx\247\247\247---\177\177\177\177\177\177\243\243\243\246"
	"\246\246\244\244\244\306\306\306\310\310\310}}}\227\227\227\245\245\245\232"
	"\232\232\243\243\243\237\237\237\253\253\253\251\251\251\250\250\250\246"
	"\246\246\250\250\250rrr\251\251\251\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\261\261\261\255\255\255\240\240\240\235\235\235\250"
	"\250\250\246\246\246\254\254\254\215\215\215\210\210\210\352\352\352rrr\271"
	"\271\271\227\227\227\266\266\266\263\263\263\257\257\257\243\243\243\240"
	"\240\240\256\256\256\236\236\236\274\274\274\253\253\253|||vvv---\307\307"
	"\307\327\327\327\334\334\334\350\350\350\332\332\332\335\335\335\337\337"
	"\337\330\330\330\234\234\234\337\337\337\332\332\332\321\321\321\334\334"
	"\334\326\326\326\345\345\345\327\327\327\330\330\330\351\351\351\334\334"
	"\334\334\334\334\334\334\334\334\334\334\334\334\334\324\324\324\356\356"
	"\356\276\276\276\315\315\315\264\264\264\242\242\242\246\246\246\251\251"
	"\251\241\241\241\235\235\235\242\242\242\253\253\253\257\257\257fff\336\336"
	"\336\317\317\317\317\317\317\324\324\324\304\304\304\341\341\341\245\245"
	"\245\327\327\327\326\326\326---\245\245\245\220\220\220\223\223\223\245\245"
	"\245\260\260\260\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\256\256\256\250\250\250\266\266\266\270\270\270\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\256\256\256\243\243\243\254\254\254\227\227\227\246\246\246\217\217"
	"\217\245\245\245uuu\242\242\242\260\260\260\263\263\263\253\253\253\215\215"
	"\215\301\301\301\236\236\236www\333\333\333\331\331\331\212\212\212\235\235"
	"\235\253\253\253\252\252\252uuu{{{\336\336\336\350\350\350\341\341\341\305"
	"\305\305\354\354\354\316\316\316\346\346\346\346\346\346\315\315\315\334"
	"\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334"
	"\334\334\334\334\334\334\334\334\334\334\334\335\335\335\337\337\337\336"
	"\336\336\326\326\326\231\231\231\334\334\334\334\334\334\334\334\334\334"
	"\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334"
	"\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334"
	"\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334"
	"\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334"
	"\334\334\336\336\336\334\334\334\304\304\304\345\345\345\345\345\345\334"
	"\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\334\235"
	"\235\235\336\336\336\331\331\331\335\335\335\334\334\334\334\334\334\334"
	"\334\334\334\334\334\334\334\334\344\344\344\327\327\327\347\347\347\305"
	"\305\305\336\336\336ooo\264\264\264\241\241\241\275\275\275\245\245\245\235"
	"\235\235\242\242\242\254\254\254\240\240\240\244\244\244\267\267\267ttt\214"
	"\214\214\324\324\324ddd\224\224\224\254\254\254\255\255\255\261\261\261\261"
	"\261\261\250\250\250\236\236\236\247\247\247\251\251\251\247\247\247\251"
	"\251\251rrr\251\251\251\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\240\240\240\242\242\242\255\255\255\255\255\255\244\244\244sss^"
	"^^\224\224\224\256\256\256\264\264\264}}}\255\255\255\246\246\246\220\220"
	"\220\253\253\253\241\241\241\246\246\246\252\252\252\250\250\250\254\254"
	"\254\241\241\241\245\245\245\237\237\237\244\244\244\245\245\245\\\\\\\323"
	"\323\323\340\340\340\322\322\322\334\334\334\337\337\337\345\345\345\334"
	"\334\334\235\235\235\337\337\337\332\332\332\336\336\336\326\326\326\332"
	"\332\332\332\332\332\332\332\332\336\336\336\340\340\340\335\335\335\335"
	"\335\335\335\335\335\335\335\335\335\335\335\336\336\336\306\306\306\316"
	"\316\316\313\313\313\333\333\333\310\310\310\217\217\217\210\210\210\266"
	"\266\266\232\232\232\262\262\262\240\240\240\244\244\244\243\243\243\257"
	"\257\257\326\326\326\325\325\325\330\330\330\324\324\324\303\303\303\327"
	"\327\327\337\337\337\323\323\323\317\317\317%%%www\244\244\244\266\266\266"
	"\247\247\247\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\233\233\233\253\253\253\256\256\256\233\233\233\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\245\245\245\255\255\255\244\244\244\221\221\221\322\322\322\10\10\10\244"
	"\244\244|||\250\250\250\253\253\253\204\204\204\250\250\250\271\271\271\340"
	"\340\340MMM\257\257\257\334\334\334xxx\223\223\223\237\237\237\246\246\246"
	"\177\177\177\353\353\353\335\335\335\316\316\316\340\340\340\312\312\312"
	"\373\373\373\344\344\344\327\327\327\330\330\330\326\326\326\355\355\355"
	"\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335"
	"\335\335\335\335\335\335\335\335\335\335\335\335\333\333\333\337\337\337"
	"\345\345\345\335\335\335\236\236\236\335\335\335\335\335\335\335\335\335"
	"\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335"
	"\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335"
	"\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335"
	"\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335"
	"\335\335\335\316\316\316\342\342\342\324\324\324\341\341\341\346\346\346"
	"\335\335\335\335\335\335\335\335\335\335\335\335\335\335\335\340\340\340"
	"\236\236\236\343\343\343\337\337\337\340\340\340\335\335\335\335\335\335"
	"\335\335\335\335\335\335\335\335\335\326\326\326\357\357\357\363\363\363"
	"___\262\262\262\251\251\251\256\256\256\257\257\257\246\246\246\227\227\227"
	"\265\265\265\241\241\241\245\245\245\234\234\234\253\253\253|||\321\321\321"
	"\335\335\335\321\321\321}}}mmm\251\251\251\242\242\242\252\252\252\256\256"
	"\256\243\243\243\246\246\246\257\257\257\252\252\252\252\252\252\254\254"
	"\254qqq\252\252\252\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\250\250\250\252\252\252\243\243\243\244\244\244\232\232\232\246\246"
	"\246\257\257\257\245\245\245\272\272\272\242\242\242\234\234\234\262\262"
	"\262\243\243\243\272\272\272\250\250\250\247\247\247\244\244\244\256\256"
	"\256\241\241\241\254\254\254\262\262\262\232\232\232\261\261\261\241\241"
	"\241\271\271\271\247\247\247777\306\306\306\325\325\325\327\327\327\332\332"
	"\332\341\341\341\327\327\327\227\227\227\332\332\332\336\336\336\334\334"
	"\334\326\326\326\315\315\315\327\327\327\311\311\311\323\323\323\342\342"
	"\342\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\220\220"
	"\220\320\320\320\334\334\334\326\326\326\320\320\320\333\333\333\331\331"
	"\331\327\327\327\330\330\330\337\337\337\220\220\220\261\261\261{{{\346\346"
	"\346\347\347\347\324\324\324\341\341\341\333\333\333\337\337\337\334\334"
	"\334\330\330\330\342\342\342\341\341\341\330\330\330\337\337\337\200\200"
	"\200\33\33\33LLL\245\245\245\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\246\246\246\253\253\253\247\247\247\242\242\242\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\262\262\262555\256\256\256bbb\247\247\247nnn\306\306\306"
	"vvv\240\240\240\250\250\250\252\252\252\231\231\231\266\266\266\221\221\221"
	"wwwiii\212\212\212\200\200\200\205\205\205\224\224\224ccc\332\332\332\316"
	"\316\316\343\343\343\317\317\317\324\324\324\326\326\326\316\316\316\323"
	"\323\323\343\343\343\342\342\342\333\333\333\336\336\336\333\333\333\333"
	"\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333"
	"\333\333\333\333\333\333\333\333\327\327\327\332\332\332\341\341\341\327"
	"\327\327\226\226\226\333\333\333\333\333\333\333\333\333\333\333\333\333"
	"\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333"
	"\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333"
	"\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333"
	"\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\331"
	"\331\331\334\334\334\336\336\336\232\232\232\15\15\15\333\333\333\333\333"
	"\333\333\333\333\333\333\333\333\333\333\333\333\333\230\230\230\337\337"
	"\337\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333\333"
	"\333\333\333\333\312\312\312\267\267\267rrr\230\230\230qqq\265\265\265uu"
	"u\257\257\257\244\244\244\241\241\241\255\255\255\245\245\245\253\253\253"
	"\253\253\253\237\237\237\222\222\222\326\326\326\330\330\330\206\206\206"
	"\237\237\237\236\236\236\251\251\251\250\250\250\236\236\236\251\251\251"
	"\243\243\243\246\246\246\255\255\255\252\252\252\252\252\252\255\255\255"
	"ooo\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\232\232\232\253\253\253\215\215\215\214\214\214\346\346\346\322\322\322"
	"\320\320\320\341\341\341\322\322\322\221\221\221\331\331\331\331\331\331"
	"\331\331\331\331\331\331\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\330\330\330\337\337\337\322\322\322\324\324\324\33\33\33QQQ"
	"\323\323\323\342\342\342\323\323\323\326\326\326\333\333\333\327\327\327"
	"\335\335\335\327\327\327\337\337\337\224\224\224\250\250\250\225\225\225"
	"\342\342\342\326\326\326\335\335\335\327\327\327\327\327\327\323\323\323"
	"\331\331\331\331\331\331\325\325\325\341\341\341\341\341\341\324\324\324"
	"PPP\352\352\352}}}\224\224\224\264\264\264\256\256\256\252\252\252\254\254"
	"\254\247\247\247\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\213\213\213\250\250\250\306\306\306qqq\216\216\216777\314"
	"\314\314ttt\253\253\253\244\244\244\264\264\264bbbQQQ\230\230\230\321\321"
	"\321\336\336\336\322\322\322\207\207\207\335\335\335\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\337\337\337\330\330\330\332\332\332\327\327\327\335\335"
	"\335\325\325\325\353\353\353\315\315\315\341\341\341\336\336\336\330\330"
	"\330\340\340\340\325\325\325\330\330\330\324\324\324\333\333\333\332\332"
	"\332\333\333\333\341\341\341\226\226\226\331\331\331\332\332\332\332\332"
	"\332\333\333\333\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\342\342\342\335\335\335\324\324\324\23\23\23yyy\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\231\231"
	"\231\335\335\335\331\331\331\333\333\333\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\343\343\343\327\327\327\345\345\345\204\204"
	"\204\330\330\330\217\217\217NNN\244\244\244\247\247\247\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\246\246\246\207\207\207\315\315"
	"\315\337\337\337\252\252\252\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251"
	"\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\260\260\260\246\246\246\246\246\246\255\255"
	"\255XXX\325\325\325\310\310\310\357\357\357\313\313\313\206\206\206\331\331"
	"\331\331\331\331\331\331\331\331\331\331\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\330\330\330\327\327\327\313\313\313\323\323"
	"\323\313\313\313qqq\312\312\312\336\336\336\315\315\315\330\330\330\312\312"
	"\312\326\326\326\335\335\335\332\332\332\341\341\341\347\347\347ggg\226\226"
	"\226\343\343\343\337\337\337\326\326\326\333\333\333\324\324\324\342\342"
	"\342\333\333\333\323\323\323\343\343\343\307\307\307\334\334\334\330\330"
	"\330\226\226\226\215\215\215\222\222\222zzz\244\244\244\265\265\265\234\234"
	"\234\257\257\257\241\241\241\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250zzz\232\232\232jjj\254\254\254\204\204\204\222"
	"\222\222\335\335\335qqqHHH\301\301\301\264\264\264\364\364\364\314\314\314"
	"\337\337\337\336\336\336\322\322\322\341\341\341\327\327\327\327\327\327"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\336\336\336\334\334\334\326\326\326"
	"\323\323\323\323\323\323\350\350\350\325\325\325\335\335\335\330\330\330"
	"\332\332\332\340\340\340\325\325\325\325\325\325\321\321\321\325\325\325"
	"\333\333\333\332\332\332\337\337\337\335\335\335\216\216\216\331\331\331"
	"\332\332\332\332\332\332\333\333\333\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\264\264\264```\316\316\316\330\330\330"
	"\335\335\335\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\231\231\231\335\335\335\331\331\331\333\333\333\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\322\322\322\335\335\335"
	"\330\330\330\342\342\342\324\324\324\321\321\321\277\277\277\227\227\227"
	"\270\270\270\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\244\244\244\245\245\245ttt\240\240\240\254\254\254\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\257\257\257\250\250\250"
	"\250\250\250\254\254\254xxx\272\272\272jjj\334\334\334\306\306\306\226\226"
	"\226\331\331\331\331\331\331\331\331\331\331\331\331\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\331\331\331\335\335\335\337\337"
	"\337\336\336\336\333\333\333\277\277\277\306\306\306\340\340\340\332\332"
	"\332\323\323\323\323\323\323\326\326\326\335\335\335\327\327\327\331\331"
	"\331\314\314\314\353\353\353\340\340\340\322\322\322\333\333\333\333\333"
	"\333\326\326\326\324\324\324\312\312\312\310\310\310\325\325\325LLLzzzzz"
	"zmmmggg\256\256\256\222\222\222|||\260\260\260\255\255\255\263\263\263\222"
	"\222\222\262\262\262\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\264\264\264\267\267\267\253\253\253\220\220\220ccc\234"
	"\234\234\207\207\207```\225\225\225\322\322\322\330\330\330\316\316\316\342"
	"\342\342\345\345\345\333\333\333\326\326\326\317\317\317\353\353\353\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\316\316\316\331\331\331\330"
	"\330\330\333\333\333\321\321\321\316\316\316\335\335\335\335\335\335\332"
	"\332\332\316\316\316\314\314\314\340\340\340\333\333\333\342\342\342\315"
	"\315\315\330\330\330\325\325\325\333\333\333\342\342\342\226\226\226\331"
	"\331\331\332\332\332\332\332\332\333\333\333\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\336\336\336\305\305\305\307"
	"\307\307\364\364\364\311\311\311\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\231\231\231\335\335\335\331\331\331\333"
	"\333\333\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\340"
	"\340\340\315\315\315\331\331\331\334\334\334\320\320\320{{{\220\220\220|"
	"||\265\265\265\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\232\232\232\251\251\251\230\230\230\256\256\256\220\220\220\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\244\244\244"
	"\261\261\261\247\247\247\241\241\241\254\254\254\215\215\215444[[[\343\343"
	"\343\225\225\225\331\331\331\331\331\331\331\331\331\331\331\331\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\337\337\337\333\333"
	"\333\335\335\335\340\340\340\324\324\324\360\360\360\321\321\321\320\320"
	"\320\327\327\327\335\335\335\342\342\342\260\260\260\177\177\177\346\346"
	"\346\330\330\330\353\353\353\337\337\337\306\306\306\351\351\351\326\326"
	"\326\331\331\331\332\332\332\316\316\316\322\322\322\273\273\273999\216\216"
	"\216uuu\250\250\250\256\256\256]]]RRR\314\314\314kkkOOO\276\276\276\242\242"
	"\242\241\241\241\242\242\242\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\237\237\237\232\232\232\262\262\262\250\250"
	"\250\221\221\221eee}}}\200\200\200\325\325\325\334\334\334\316\316\316\353"
	"\353\353\303\303\303\317\317\317\335\335\335\321\321\321\322\322\322\347"
	"\347\347\331\331\331\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\330\330\330\342"
	"\342\342\320\320\320\327\327\327\317\317\317\342\342\342\315\315\315\324"
	"\324\324\326\326\326\331\331\331\326\326\326\337\337\337\322\322\322\333"
	"\333\333\327\327\327\332\332\332\331\331\331\331\331\331\336\336\336\223"
	"\223\223\331\331\331\332\332\332\332\332\332\333\333\333\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\330\330\330\355"
	"\355\355\335\335\335\326\326\326\320\320\320\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\231\231\231\335\335\335\331"
	"\331\331\333\333\333\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\343\343\343\315\315\315\333\333\333\323\323\323\263\263\263\231"
	"\231\231zzz<<<\233\233\233\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\256\256\256\256\256\256\272\272\272\237\237\237\305\305\305"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252"
	"qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\241\241\241\260\260\260\251\251\251\225\225\225\247\247\247\245\245\245"
	"\223\223\223\325\325\325\327\327\327\226\226\226\331\331\331\331\331\331"
	"\331\331\331\331\331\331\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\325\325\325\330\330\330\325\325\325\317\317\317\334\334\334"
	"\321\321\321\304\304\304\350\350\350\342\342\342^^^\177\177\177ccc\247\247"
	"\247\216\216\216\233\233\233\345\345\345\326\326\326\345\345\345\331\331"
	"\331\323\323\323\343\343\343\316\316\316\310\310\310\222\222\222\335\335"
	"\335\331\331\331\342\342\342\237\237\237\241\241\241\256\256\256ppp\251\251"
	"\251iii222ZZZggg\237\237\237\253\253\253\242\242\242\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\246\246\246\243\243"
	"\243\244\244\244\236\236\236\244\244\244www\330\330\330\213\213\213\325\325"
	"\325\332\332\332\345\345\345\320\320\320\320\320\320\346\346\346\326\326"
	"\326\323\323\323\340\340\340\324\324\324\333\333\333\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\300\300\300\332\332\332\327\327\327\273\273\273\220\220"
	"\220yyy\340\340\340\323\323\323\326\326\326\333\333\333\333\333\333\333\333"
	"\333\314\314\314\234\234\234\217\217\217\324\324\324\336\336\336\336\336"
	"\336\336\336\336\224\224\224\331\331\331\332\332\332\332\332\332\333\333"
	"\333\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\350\350\350\313\313\313\342\342\342\354\354\354\330\330\330\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\231\231"
	"\231\335\335\335\331\331\331\333\333\333\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\325\325\325\325\325\325\336\336\336\347\347"
	"\347\262\262\262\233\233\233\204\204\204\242\242\242\263\263\263\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\246\246\246\265\265"
	"\265\254\254\254\247\247\247\251\251\251\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\226\226\226\246\246\246\355\355\355\301\301"
	"\301\224\224\224\331\331\331\331\331\331\331\331\331\331\331\331\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\304\304\304\364\364\364vvviii\203\203\203\235"
	"\235\235\241\241\241\246\246\246\330\330\330\323\323\323\334\334\334\342"
	"\342\342\344\344\344\340\340\340\335\335\335\250\250\250\234\234\234\7\7"
	"\7\231\231\231333sss\252\252\252\234\234\234\255\255\255\236\236\236\241"
	"\241\241\256\256\256\251\251\251\247\247\247\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\246\246\246\242\242\242\250"
	"\250\250\233\233\233\260\260\260\235\235\235www\246\246\246\344\344\344\330"
	"\330\330\332\332\332\302\302\302\334\334\334\342\342\342\316\316\316\257"
	"\257\257\206\206\206\234\234\234\330\330\330\315\315\315\346\346\346\342"
	"\342\342\304\304\304\325\325\325\352\352\352\311\311\311\342\342\342JJJ\236"
	"\236\236eee\343\343\343@@@\217\217\217\353\353\353\330\330\330\340\340\340"
	"\333\333\333\323\323\323\341\341\341nnn\244\244\244\277\277\277\211\211\211"
	"\343\343\343\330\330\330\324\324\324???rrrwww\342\342\342\315\315\315\347"
	"\347\347\317\317\317\335\335\335\356\356\356\313\313\313\303\303\303\335"
	"\335\335\337\337\337\347\347\347\334\334\334\331\331\331\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\322\322\322\236"
	"\236\236\325\325\325\324\324\324\331\331\331\341\341\341\320\320\320\334"
	"\334\334\330\330\330\343\343\343\332\332\332\272\272\272\354\354\354\212"
	"\212\212\225\225\225\262\262\262\177\177\177\251\251\251\254\254\254\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\254\254\254\272\272\272\325\325\325\360"
	"\360\360\215\215\215\331\331\331\331\331\331\331\331\331\331\331\331\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\331\331\331\325\325\325}}}\275\275\275\351"
	"\351\351\267\267\267___\235\235\235\267\267\267www\340\340\340\327\327\327"
	"\337\337\337\316\316\316\233\233\233\221\221\221lll\274\274\274zzz\272\272"
	"\272rrr\244\244\244\252\252\252\250\250\250\251\251\251\260\260\260\242\242"
	"\242\254\254\254\241\241\241\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\247\247\247\243\243\243\252\252\252\247\247"
	"\247\251\251\251\232\232\232mmm\235\235\235\312\312\312\346\346\346\340\340"
	"\340\337\337\337\305\305\305\202\202\202\323\323\323~~~\221\221\221\227\227"
	"\227\333\333\333\340\340\340\313\313\313\336\336\336\337\337\337\336\336"
	"\336\327\327\327\340\340\340\325\325\325\234\234\234\254\254\254\275\275"
	"\275|||\260\260\260\206\206\206\270\270\270\310\310\310\335\335\335\343\343"
	"\343\325\325\325\334\334\334\276\276\276\236\236\236kkk\316\316\316\341\341"
	"\341\347\347\347\332\332\332\275\275\275yyy```\332\332\332\315\315\315\325"
	"\325\325\334\334\334\336\336\336\326\326\326\335\335\335\354\354\354\335"
	"\335\335\316\316\316\325\325\325\320\320\320\340\340\340\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\340\340\340\203"
	"\203\203\333\333\333\326\326\326\336\336\336\333\333\333\340\340\340\345"
	"\345\345\334\334\334\277\277\277\320\320\320\364\364\364}}}\243\243\243\251"
	"\251\251\265\265\265\316\316\316\254\254\254\225\225\225\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251"
	"\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251kkk\352\352\352\314\314\314\236\236\236\331"
	"\331\331\331\331\331\331\331\331\331\331\331\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\340\340\340\332\332\332\303\303\303\350\350\350\340\340\340sss\200"
	"\200\200ZZZ\336\336\336\322\322\322\313\313\313\343\343\343\364\364\364y"
	"yy\230\230\230\255\255\255\250\250\250\253\253\253\255\255\255\264\264\264"
	"|||\244\244\244\241\241\241\260\260\260\243\243\243\250\250\250\247\247\247"
	"\255\255\255\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\247\247\247\226\226\226\323\323\323\330\330\330"
	"\312\312\312\345\345\345\333\333\333\226\226\226\341\341\341\207\207\207"
	"\261\261\261|||\226\226\226\250\250\250\246\246\246\313\313\313\301\301\301"
	"\200\200\200\266\266\266\203\203\203\314\314\314\345\345\345\320\320\320"
	"\340\340\340\343\343\343\205\205\205}}}\242\242\242\235\235\235\233\233\233"
	"\234\234\234\247\247\247\254\254\254\254\254\254\212\212\212\257\257\257"
	"\310\310\310\331\331\331\327\327\327\\\\\\\227\227\227\240\240\240\207\207"
	"\207\314\314\314\332\332\332\336\336\336\362\362\362\220\220\220\310\310"
	"\310\350\350\350\340\340\340\333\333\333\324\324\324\326\326\326\331\331"
	"\331\333\333\333\305\305\305\334\334\334\332\332\332\343\343\343\323\323"
	"\323\320\320\320\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\345\345\345\220\220\220\340\340\340\312\312\312\331\331"
	"\331\337\337\337\347\347\347\333\333\333qqq\207\207\207zzz\265\265\265\226"
	"\226\226\250\250\250aaa\230\230\230\222\222\222___\255\255\255\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\247\247\247\315\315\315\304\304\304"
	"\223\223\223\331\331\331\331\331\331\331\331\331\331\331\331\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\273\273\273\355\355\355\337\337\337\330\330\330"
	"\333\333\333\347\347\347\320\320\320\367\367\367\317\317\317\317\317\317"
	"\320\320\320\206\206\206mmm\275\275\275\252\252\252\251\251\251\236\236\236"
	"\267\267\267\236\236\236\252\252\252}}}\245\245\245\234\234\234\257\257\257"
	"\244\244\244\246\246\246\246\246\246\247\247\247\244\244\244\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\215\215\215\320\320\320\322\322\322\324\324\324\346\346\346\313\313\313"
	"\207\207\207|||\264\264\264\252\252\252\243\243\243\263\263\263vvv\254\254"
	"\254\217\217\217ttt\236\236\236\255\255\255\250\250\250aaa\323\323\323\256"
	"\256\256\225\225\225~~~\203\203\203rrrlll\251\251\251\337\337\337\325\325"
	"\325\274\274\274yyy\205\205\205\224\224\224\316\316\316\314\314\314\320\320"
	"\320\335\335\335\333\333\333XXX\254\254\254kkkTTT\315\315\315\346\346\346"
	"\350\350\350\216\216\216\305\305\305\334\334\334\334\334\334\306\306\306"
	"\330\330\330\332\332\332\330\330\330\324\324\324\324\324\324\323\323\323"
	"\343\343\343\330\330\330\340\340\340\317\317\317\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\321\321\321\241\241\241"
	"ooo\322\322\322\347\347\347\355\355\355\320\320\320\320\320\320\301\301\301"
	"\246\246\246\245\245\245\230\230\230\255\255\255\252\252\252\211\211\211"
	"zzz\243\243\243\241\241\241\266\266\266\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247"
	"\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\262\262\262\237\237\237\345\345\345\326\326\326\234\234\234\331\331\331"
	"\331\331\331\331\331\331\331\331\331\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\350\350\350\322\322\322\337\337\337\315\315\315\336\336\336\314\314\314"
	"\344\344\344\277\277\277\334\334\334\343\343\343\337\337\337\260\260\260"
	"\254\254\254\237\237\237\244\244\244\263\263\263\254\254\254\250\250\250"
	"\251\251\251\246\246\246lll\255\255\255\250\250\250\247\247\247\250\250\250"
	"\254\254\254\243\243\243\256\256\256\247\247\247\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\210\210\210"
	"\332\332\332\330\330\330\324\324\324\331\331\331\334\334\334:::\254\254\254"
	"\241\241\241\245\245\245\247\247\247\265\265\265\314\314\314\202\202\202"
	"\272\272\272\264\264\264\235\235\235\212\212\212fff\250\250\250\340\340\340"
	"{{{LLL\273\273\273\205\205\205\236\236\236\320\320\320\326\326\326\340\340"
	"\340\345\345\345\327\327\327\332\332\332\324\324\324\341\341\341\320\320"
	"\320\332\332\332\327\327\327\335\335\335\316\316\316rrr\242\242\242\217\217"
	"\217\336\336\336\320\320\320\343\343\343\332\332\332\234\234\234\330\330"
	"\330\327\327\327\340\340\340\337\337\337\326\326\326\335\335\335\334\334"
	"\334\324\324\324\343\343\343\332\332\332\335\335\335\332\332\332\334\334"
	"\334\330\330\330\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\341\341\341]]]\205\205\205\343\343\343\214\214\214\346\346"
	"\346\263\263\263\200\200\200\236\236\236\243\243\243\247\247\247\261\261"
	"\261\246\246\246\245\245\245jjj\327\327\327\230\230\230\236\236\236\237\237"
	"\237\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\276\276\276\233\233\233vvv\341\341"
	"\341\231\231\231\322\322\322\332\332\332\326\326\326\334\334\334\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\324\324\324\342\342\342\337\337\337\353\353\353\35\35\35"
	"vvv\246\246\246\246\246\246\255\255\255\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\246\246\246qqq\252\252\252\246\246\246\252\252\252"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\256\256\256"
	"jjj\376\376\376\331\331\331\351\351\351\315\315\315\371\371\371aaa\264\264"
	"\264\253\253\253\267\267\267\240\240\240\237\237\237\236\236\236\244\244"
	"\244\221\221\221\200\200\200\201\201\201vvv\233\233\233\265\265\265___))"
	")OOO\245\245\245xxx\347\347\347\323\323\323\316\316\316\335\335\335\334\334"
	"\334\322\322\322\353\353\353\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\325\325\325\340\340\340\277\277\277\267\267\267\264\264"
	"\264xxx\335\335\335\317\317\317\340\340\340\224\224\224\331\331\331\332\332"
	"\332\332\332\332\333\333\333\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\335\335\335\334\334\334\335\335\335\335\335\335\264\264"
	"\264\214\214\214mmm\247\247\247\326\326\326\213\213\213\307\307\307\320\320"
	"\320\205\205\205\232\232\232\260\260\260\246\246\246\243\243\243\254\254"
	"\254\242\242\242\243\243\243\243\243\243\232\232\232\267\267\267\247\247"
	"\247\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\232\232\232\253\253\253\237\237"
	"\237\314\314\314\231\231\231\272\272\272\360\360\360\330\330\330\343\343"
	"\343\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\343\343\343\313\313\313\330\330\330\336\336"
	"\336aaa\204\204\204\242\242\242\244\244\244\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\246\246\246qqq\252\252\252\246\246"
	"\246\252\252\252\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\270\270\270\251\251\251\252\252\252\205\205\205|||\210\210\210\254\254"
	"\254ooommm\230\230\230\233\233\233\201\201\201\231\231\231\341\341\341\257"
	"\257\257\257\257\257\235\235\235fff\234\234\234\275\275\275\230\230\230\263"
	"\263\263999\276\276\276\215\215\215\241\241\241ttt~~~vvv\256\256\256dddx"
	"xx\354\354\354\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\317\317\317\317\317\317\344\344\344\367\367\367\225\225\225\312\312\312"
	"\337\337\337\341\341\341\316\316\316\231\231\231\331\331\331\332\332\332"
	"\332\332\332\333\333\333\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\336\336\336\332\332\332\336\336\336\326\326\326\333\333\333"
	"\300\300\300\211\211\211\247\247\247\276\276\276\251\251\251[[[\237\237\237"
	"\344\344\344\272\272\272\234\234\234\236\236\236\253\253\253uuu\330\330\330"
	"\326\326\326\202\202\202\201\201\201\246\246\246\267\267\267\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\300\300\300\231\231\231\253\253\253\177\177\177"
	"\202\202\202\347\347\347\314\314\314\325\325\325\340\340\340\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\301\301\301\362\362\362\324\324\324\305\305\305???\233\233\233"
	"\260\260\260\246\246\246\264\264\264\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\246\246\246qqq\252\252\252\246\246\246\252\252\252"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\205\205\205"
	"\242\242\242\231\231\231fffggg```\201\201\201\203\203\203\332\332\332\332"
	"\332\332\335\335\335\322\322\322\334\334\334\315\315\315\355\355\355\244"
	"\244\244\274\274\274\257\257\257\253\253\253\237\237\237\247\247\247\237"
	"\237\237\275\275\275\252\252\252\274\274\274\241\241\241\252\252\252\244"
	"\244\244\246\246\246hhh\201\201\201\313\313\313\331\331\331\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\334\334\334\326\326\326\327"
	"\327\327\315\315\315\321\321\321\351\351\351\301\301\301\334\334\334\335"
	"\335\335\224\224\224\331\331\331\332\332\332\332\332\332\333\333\333\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\340\340\340\330"
	"\330\330\336\336\336\331\331\331\333\333\333\352\352\352DDD\241\241\241\213"
	"\213\213\252\252\252}}}\316\316\316ddd\232\232\232\255\255\255wwwfff\263"
	"\263\263\321\321\321SSS\204\204\204\275\275\275\257\257\257\240\240\240\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\265\265\265\255\255\255\227\227\227\250"
	"\250\250vvvggg\363\363\363\331\331\331\346\346\346\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\336\336\336\325\325\325\337\337\337\203\203\203\260\260\260\257\257\257"
	"\250\250\250\243\243\243\246\246\246\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\246\246\246qqq\252\252\252\246\246\246\252\252\252"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\255\255\255"
	"\261\261\261\177\177\177\350\350\350\337\337\337\311\311\311\332\332\332"
	"\216\216\216\321\321\321\321\321\321\340\340\340\334\334\334\334\334\334"
	"\314\314\314\234\234\234\250\250\250\247\247\247\253\253\253\262\262\262"
	"\240\240\240\244\244\244\235\235\235\243\243\243\246\246\246\236\236\236"
	"\255\255\255\237\237\237\273\273\273\257\257\257\240\240\240\235\235\235"
	"\347\347\347\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\310\310\310\314\314\314\340\340\340\334\334\334\341\341\341"
	"\326\326\326\350\350\350\337\337\337\334\334\334\223\223\223\331\331\331"
	"\332\332\332\332\332\332\333\333\333\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\327\327\327\332\332\332\327\327\327\334\334\334"
	"\331\331\331\342\342\342\212\212\212\245\245\245\232\232\232\234\234\234"
	"\250\250\250\261\261\261\220\220\220nnnyyy\231\231\231jjjjjj\263\263\263"
	"\240\240\240\237\237\237\246\246\246\232\232\232\251\251\251\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\246\246\246\253\253\253\253\253\253\251\251\251"
	"rrr\252\252\252\200\200\200\322\322\322\241\241\241\311\311\311\363\363\363"
	"\323\323\323\332\332\332\335\335\335\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\325\325\325\344\344\344\317\317\317\335\335\335"
	"\330\330\330\336\336\336\330\330\330\345\345\345\331\331\331\327\327\327"
	"\350\350\350hhh\261\261\261\252\252\252\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\246\246\246qqq\252\252\252\246\246\246\252\252\252\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\225\225\225"
	"\256\256\256\243\243\243\256\256\256\251\251\251\267\267\267\331\331\331"
	"\324\324\324\325\325\325\333\333\333\326\326\326\330\330\330\225\225\225"
	"\330\330\330\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\320\320\320\345\345\345\350\350\350\270\270\270\266\266\266"
	"\223\223\223\335\335\335\326\326\326\217\217\217\230\230\230\246\246\246"
	"\251\251\251\243\243\243nnn\247\247\247www\355\355\355\324\324\324\327\327"
	"\327\332\332\332\333\333\333\332\332\332\327\327\327\323\323\323\331\331"
	"\331\346\346\346\330\330\330\326\326\326\327\327\327\326\326\326\321\321"
	"\321\353\353\353\217\217\217\334\334\334\330\330\330\335\335\335\334\334"
	"\334\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332~~~```\270"
	"\270\270\247\247\247\257\257\257\246\246\246\245\245\245\221\221\221\177"
	"\177\177\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247"
	"\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\246\246\246\253\253\253\253\253\253\251\251\251rrr\247\247\247y"
	"yy\316\316\316\227\227\227\351\351\351\307\307\307\345\345\345\332\332\332"
	"\324\324\324\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\351\351\351\307\307\307\323\323\323\337\337\337\315\315\315\331\331\331"
	"\362\362\362\340\340\340\321\321\321\341\341\341\313\313\313\260\260\260"
	"\271\271\271\242\242\242\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\246\246\246qqq\252\252\252\246\246\246\252\252\252\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\303\303\303\237\237\237"
	"\255\255\255\237\237\237\237\237\237\256\256\256\323\323\323\345\345\345"
	"\335\335\335\333\333\333\326\326\326\330\330\330\225\225\225\330\330\330"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\325\325\325"
	"\352\352\352\312\312\312\355\355\355\236\236\236\200\200\200\306\306\306"
	"\317\317\317\333\333\333\335\335\335\240\240\240\221\221\221\213\213\213"
	"\205\205\205\262\262\262zzz\314\314\314\312\312\312\326\326\326\330\330\330"
	"\332\332\332\332\332\332\332\332\332\330\330\330\331\331\331\310\310\310"
	"\314\314\314\317\317\317\324\324\324\332\332\332\341\341\341\363\363\363"
	"\331\331\331\213\213\213\324\324\324\327\327\327\326\326\326\334\334\334"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\335\335\335\247\247\247"
	"ttt\215\215\215\240\240\240\246\246\246\227\227\227\273\273\273YYY\271\271"
	"\271\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247"
	"\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\246\246\246\253\253\253\253\253\253\251\251\251rrr\254\254\254\241\241"
	"\241\225\225\225\257\257\257\202\202\202\337\337\337\311\311\311\327\327"
	"\327\337\337\337\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\324\324\324\362\362\362\204\204\204\200\200\200\226\226\226%%%\240\240"
	"\240\244\244\244\244\244\244\252\252\252\260\260\260\200\200\200\230\230"
	"\230\240\240\240\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\246\246"
	"\246qqq\252\252\252\246\246\246\252\252\252\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\240\240\240\254\254\254\250\250"
	"\250\234\234\234\250\250\250VVV\337\337\337\326\326\326\325\325\325\333\333"
	"\333\326\326\326\330\330\330\225\225\225\330\330\330\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\343\343\343\316\316\316\342\342"
	"\342\305\305\305\330\330\330\320\320\320\364\364\364\332\332\332\334\334"
	"\334\340\340\340\336\336\336\322\322\322\322\322\322\336\336\336\334\334"
	"\334???\254\254\254\357\357\357\327\327\327\331\331\331\331\331\331\331\331"
	"\331\331\331\331\331\331\331\342\342\342===\277\277\277uuu\310\310\310\344"
	"\344\344\326\326\326\326\326\326\331\331\331\216\216\216\322\322\322\322"
	"\322\322\326\326\326\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\345\345\345\226\226\226\35\35\35\253\253\253\235\235\235\246\246"
	"\246\247\247\247\237\237\237\273\273\273\234\234\234\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251"
	"\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\246\246\246\253\253"
	"\253\253\253\253\251\251\251rrr\250\250\250\273\273\273\256\256\256\201\201"
	"\201\200\200\200\256\256\256\357\357\357\330\330\330\334\334\334\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\244\244\244\305\305"
	"\305\247\247\247\254\254\254\244\244\244\273\273\273\236\236\236\237\237"
	"\237\244\244\244\245\245\245\207\207\207\300\300\300\221\221\221\300\300"
	"\300\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\246\246\246qqq\252\252"
	"\252\246\246\246\252\252\252\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\272\272\272\240\240\240\240\240\240YYY\340\340"
	"\340\302\302\302\320\320\320\347\347\347\315\315\315\333\333\333\326\326"
	"\326\330\330\330\225\225\225\330\330\330\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\317\317\317\342\342\342\344\344\344\341\341"
	"\341\346\346\346\331\331\331\310\310\310\355\355\355\340\340\340\335\335"
	"\335\334\334\334\315\315\315\320\320\320\347\347\347\337\337\337\314\314"
	"\314\244\244\244\305\305\305\330\330\330\332\332\332\331\331\331\330\330"
	"\330\331\331\331\332\332\332\364\364\364\330\330\330\235\235\235\266\266"
	"\266xxx\335\335\335\344\344\344\245\245\245\336\336\336\226\226\226\331\331"
	"\331\323\323\323\331\331\331\327\327\327\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\321\321\321\232\232\232\250\250\250\302\302\302\251\251"
	"\251\262\262\262\264\264\264\252\252\252\253\253\253\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252"
	"\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\246\246"
	"\246\253\253\253\253\253\253\251\251\251rrr\246\246\246\223\223\223\252\252"
	"\252\222\222\222\240\240\240vvvNNN\333\333\333\321\321\321\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\352\352\352\242\242\242\257"
	"\257\257\243\243\243\247\247\247\237\237\237\243\243\243\252\252\252\270"
	"\270\270\250\250\250\226\226\226\337\337\337hhh\240\240\240\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\246\246\246qqq\252\252\252\246\246\246\252"
	"\252\252\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\244\244\244\250\250\250\301\301\301\324\324\324\360\360\360\325"
	"\325\325\340\340\340\321\321\321\322\322\322\333\333\333\326\326\326\330"
	"\330\330\225\225\225\330\330\330\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\337\337\337\335\335\335\342\342\342\327\327\327\336"
	"\336\336\307\307\307\350\350\350\331\331\331\331\331\331\323\323\323\325"
	"\325\325\344\344\344\342\342\342\316\316\316\333\333\333\334\334\334\201"
	"\201\201kkk\332\332\332\332\332\332\330\330\330\330\330\330\330\330\330\332"
	"\332\332\327\327\327\312\312\312ddd\235\235\235\251\251\251\225\225\225o"
	"oo~~~\321\321\321\212\212\212\331\331\331\332\332\332\337\337\337\343\343"
	"\343\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\341\341\341!!!\263\263"
	"\263\234\234\234\252\252\252\213\213\213\234\234\234\244\244\244\262\262"
	"\262\243\243\243\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251"
	"\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\246\246\246\253\253\253\253\253\253\251\251\251rrr\250\250"
	"\250\251\251\251\251\251\251\250\250\250ddd\307\307\307\245\245\245\202\202"
	"\202\355\355\355\341\341\341\335\335\335\327\327\327\336\336\336\331\331"
	"\331ggg\242\242\242\236\236\236\257\257\257\252\252\252\251\251\251\250\250"
	"\250\224\224\224\235\235\235\256\256\256\243\243\243rrr\246\246\246\234\234"
	"\234\243\243\243\255\255\255\243\243\243\257\257\257\221\221\221\243\243"
	"\243\250\250\250\247\247\247\257\257\257\242\242\242\246\246\246qqq\252\252"
	"\252\246\246\246\252\252\252\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\222\222\222\244\244\244iii\336\336\336\333\333"
	"\333\332\332\332\332\332\332\332\332\332\332\332\332\331\331\331\332\332"
	"\332\331\331\331\220\220\220\335\335\335\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\337\337\337\325\325"
	"\325\307\307\307\254\254\254iii\313\313\313\334\334\334\324\324\324\327\327"
	"\327\330\330\330\330\330\330\326\326\326\315\315\315zzz\263\263\263\212\212"
	"\212\253\253\253\220\220\220\264\264\264{{{jjj\214\214\214\235\235\235\244"
	"\244\244\263\263\263\335\335\335\317\317\317\343\343\343\312\312\312\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\333\333\333\331"
	"\331\331\336\336\336\320\320\320\323\323\323\322\322\322\342\342\342\325"
	"\325\325\350\350\350\317\317\317\332\332\332\332\332\332\332\332\332\332"
	"\332\332\322\322\322\333\333\333\334\334\334\331\331\331\334\334\334\346"
	"\346\346\341\341\341\346\346\346\340\340\340\325\325\325\177\177\177\200"
	"\200\200fff\263\263\263\255\255\255\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251"
	"\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\246\246\246\253\253\253\253\253\253\251\251\251rrr\250"
	"\250\250\251\251\251\251\251\251\250\250\250\224\224\224\266\266\266|||\260"
	"\260\260\216\216\216\332\332\332\332\332\332\332\332\332\307\307\307\340"
	"\340\340|||\233\233\233\240\240\240\257\257\257\257\257\257\252\252\252\224"
	"\224\224\247\247\247\271\271\271\227\227\227\32\32\32\234\234\234YYY\311"
	"\311\311\231\231\231\241\241\241\252\252\252\247\247\247\255\255\255\252"
	"\252\252\250\250\250\247\247\247\243\243\243\256\256\256\246\246\246qqq\252"
	"\252\252\246\246\246\252\252\252\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\272\272\272{{{\345\345\345\320\320\320\333"
	"\333\333\332\332\332\332\332\332\332\332\332\332\332\332\331\331\331\332"
	"\332\332\331\331\331\220\220\220\335\335\335\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\316\316\316\336"
	"\336\336\332\332\332\207\207\207\277\277\277\223\223\223\273\273\273\350"
	"\350\350\334\334\334\327\327\327\330\330\330\341\341\341\314\314\314\325"
	"\325\325\333\333\333\345\345\345\303\303\303\330\330\330\317\317\317LLL\251"
	"\251\251\250\250\250\236\236\236\247\247\247\241\241\241\241\241\241ttt\337"
	"\337\337\340\340\340\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\323\323\323\306\306\306\330\330\330\336\336\336\351\351\351\266"
	"\266\266\211\211\211\365\365\365\311\311\311\331\331\331\332\332\332\332"
	"\332\332\332\332\332\332\332\332\330\330\330\353\353\353\334\334\334\325"
	"\325\325\346\346\346\341\341\341\347\347\347]]]\226\226\226\270\270\270\254"
	"\254\254EEE\235\235\235\224\224\224\261\261\261\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\246\246\246\253\253\253\253\253\253\251"
	"\251\251rrr\250\250\250\251\251\251\251\251\251\250\250\250\270\270\270\262"
	"\262\262\264\264\264\233\233\233\245\245\245\273\273\273\320\320\320\345"
	"\345\345\330\330\330\312\312\312|||\222\222\222\246\246\246\245\245\245\254"
	"\254\254\272\272\272\246\246\246\271\271\271\206\206\206iii\237\237\237\210"
	"\210\210\202\202\202\177\177\177\247\247\247\266\266\266\246\246\246\236"
	"\236\236\246\246\246\250\250\250\250\250\250\255\255\255\246\246\246\253"
	"\253\253\246\246\246qqq\252\252\252\246\246\246\252\252\252\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\217\217\217\234"
	"\234\234\316\316\316\325\325\325\327\327\327\332\332\332\332\332\332\332"
	"\332\332\332\332\332\331\331\331\332\332\332\331\331\331\220\220\220\335"
	"\335\335\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\340\340\340\330\330\330\316\316\316\306\306\306vvvf"
	"ff\310\310\310\333\333\333\321\321\321\333\333\333\340\340\340\327\327\327"
	"\331\331\331\316\316\316\345\345\345\310\310\310\352\352\352\334\334\334"
	"\334\334\334EEE\246\246\246\240\240\240\261\261\261\245\245\245\233\233\233"
	"\242\242\242\323\323\323222\261\261\261\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\361\361\361\325\325\325\310\310\310\324\324\324"
	"666[[[\231\231\231\313\313\313\336\336\336\350\350\350\332\332\332\332\332"
	"\332\332\332\332\332\332\332\321\321\321\333\333\333\301\301\301\324\324"
	"\324\224\224\224\313\313\313///\243\243\243\263\263\263\261\261\261\242\242"
	"\242\202\202\202\245\245\245\274\274\274\230\230\230\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\246\246\246\253\253\253\253\253"
	"\253\251\251\251rrr\250\250\250\251\251\251\251\251\251\250\250\250\260\260"
	"\260\256\256\256\270\270\270\241\241\241\271\271\271\254\254\254\305\305"
	"\305\324\324\324\355\355\355\314\314\314\346\346\346\252\252\252\244\244"
	"\244\273\273\273\245\245\245\326\326\326\332\332\332\216\216\216\240\240"
	"\240\252\252\252\252\252\252\251\251\251\265\265\265\240\240\240\237\237"
	"\237222\234\234\234sss\227\227\227\247\247\247\251\251\251\245\245\245\247"
	"\247\247\247\247\247\246\246\246qqq\252\252\252\246\246\246\252\252\252\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\246"
	"\246\246\230\230\230\331\331\331\337\337\337\316\316\316\332\332\332\332"
	"\332\332\332\332\332\332\332\332\331\331\331\332\332\332\331\331\331\220"
	"\220\220\335\335\335\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\342\342\342\334\334\334\321\321\321\343"
	"\343\343\236\236\236\255\255\255\273\273\273\344\344\344\341\341\341\326"
	"\326\326\333\333\333\342\342\342\306\306\306\321\321\321\331\331\331\360"
	"\360\360\310\310\310\342\342\342\206\206\206uuu\256\256\256\240\240\240\250"
	"\250\250\234\234\234\237\237\237\272\272\272\242\242\242\255\255\255\215"
	"\215\215\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\342"
	"\342\342\301\301\301\322\322\322}}}\236\236\236\225\225\225\264\264\2643"
	"33\347\347\347\324\324\324\332\332\332\332\332\332\332\332\332\332\332\332"
	"\336\336\336\304\304\304bbb\253\253\253\210\210\210jjj\245\245\245\247\247"
	"\247\250\250\250\250\250\250\251\251\251jjj\227\227\227\237\237\237\252\252"
	"\252\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252"
	"\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\246\246"
	"\246\253\253\253\253\253\253\251\251\251rrr\250\250\250\251\251\251\251\251"
	"\251\250\250\250\244\244\244\264\264\264\252\252\252\236\236\236\235\235"
	"\235\250\250\250\207\207\207\200\200\200\340\340\340\335\335\335\324\324"
	"\324\244\244\244jjj\204\204\204\207\207\207\316\316\316\355\355\355\247\247"
	"\247\220\220\220\255\255\255\245\245\245\240\240\240\237\237\237\245\245"
	"\245\251\251\251\260\260\260888\305\305\305\200\200\200\\\\\\\251\251\251"
	"\251\251\251\250\250\250\241\241\241\246\246\246qqq\252\252\252\246\246\246"
	"\252\252\252\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\260\260\260\235\235\235\331\331\331\330\330\330\335\335\335"
	"\332\332\332\332\332\332\332\332\332\332\332\332\331\331\331\332\332\332"
	"\331\331\331\220\220\220\335\335\335\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\335\335\335\306\306\306"
	"\307\307\307\350\350\350\271\271\271\250\250\250\253\253\253{{{\310\310\310"
	"\326\326\326\322\322\322\336\336\336\322\322\322\330\330\330\331\331\331"
	"\330\330\330\325\325\325]]]\247\247\247zzz\252\252\252\256\256\256\250\250"
	"\250\243\243\243\243\243\243\252\252\252\245\245\245\242\242\242\216\216"
	"\216\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\322\322"
	"\322\240\240\240\254\254\254\256\256\256\251\251\251\247\247\247\265\265"
	"\265\246\246\246\261\261\261\323\323\323\332\332\332\332\332\332\332\332"
	"\332\332\332\332\325\325\325\327\327\327\220\220\220\243\243\243ppp\256\256"
	"\256\256\256\256\241\241\241\254\254\254\251\251\251\235\235\235rrrxxx\213"
	"\213\213\243\243\243\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247"
	"\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\253\253\253\244\244\244\237\237\237\252\252\252\344"
	"\344\344\341\341\341\322\322\322\340\340\340\334\334\334\344\344\344\337"
	"\337\337\334\334\334\267\267\267\234\234\234\253\253\253\245\245\245\253"
	"\253\253\234\234\234\247\247\247\245\245\245\262\262\262\236\236\236\215"
	"\215\215\215\215\215\246\246\246\245\245\245\246\246\246\250\250\250\243"
	"\243\243\247\247\247qqq\252\252\252\245\245\245\251\251\251\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\300\300\300\233"
	"\233\233\326\326\326\332\332\332\336\336\336\332\332\332\332\332\332\332"
	"\332\332\332\332\332\333\333\333\326\326\326\330\330\330\225\225\225\330"
	"\330\330\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\333"
	"\333\333\320\320\320\336\336\336\324\324\324\334\334\334\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332xxx\254\254\254\211\211\211\340\340\340\316\316\316\343\343\343\317"
	"\317\317\322\322\322\342\342\342\337\337\337\354\354\354\215\215\215\273"
	"\273\273\211\211\211\204\204\204\250\250\250\250\250\250\250\250\250\250"
	"\250\250\264\264\264\244\244\244\261\261\261\270\270\270qqq\325\325\325\321"
	"\321\321\334\334\334\334\334\334\333\333\333\316\316\316~~~\265\265\265\237"
	"\237\237\255\255\255\251\251\251\251\251\251\254\254\254\206\206\206\335"
	"\335\335\273\273\273\322\322\322\326\326\326\325\325\325\324\324\324\340"
	"\340\340|||\246\246\246\263\263\263\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\245\245\245vvv\307\307\307xxx\256\256\256\256\256\256"
	"\243\243\243\262\262\262\251\251\251\253\253\253\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254"
	"\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\243\243\243"
	"\236\236\236\235\235\235\254\254\254\263\263\263nnn\210\210\210qqq\277\277"
	"\277\330\330\330\326\326\326\245\245\245\200\200\200\207\207\207ooo\242\242"
	"\242\261\261\261\237\237\237\246\246\246\266\266\266\253\253\253\252\252"
	"\252\267\267\267\253\253\253\251\251\251\253\253\253\250\250\250\244\244"
	"\244\252\252\252\247\247\247qqq\252\252\252\245\245\245\251\251\251\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\305\305"
	"\305aaa\332\332\332\336\336\336\320\320\320\332\332\332\332\332\332\332\332"
	"\332\332\332\332\333\333\333\326\326\326\330\330\330\225\225\225\330\330"
	"\330\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\343\343"
	"\343\327\327\327\313\313\313\333\333\333\314\314\314\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\272\272\272\300\300\300\244\244\244\304\304\304\332\332\332\332\332"
	"\332\333\333\333\312\312\312\354\354\354ttt\240\240\240\273\273\273\236\236"
	"\236\270\270\270iii\250\250\250\250\250\250\250\250\250\250\250\250\251\251"
	"\251\247\247\247\252\252\252\247\247\247\217\217\217\331\331\331\331\331"
	"\331\347\347\347\336\336\336\205\205\205\221\221\221\264\264\264\247\247"
	"\247\255\255\255\247\247\247\237\237\237\262\262\262\246\246\246RRRZZZhh"
	"h\325\325\325\320\320\320\307\307\307\321\321\321\332\332\332\346\346\346"
	"\232\232\232\243\243\243\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\245\245\245\\\\\\ttt\224\224\224\245\245\245\260\260\260\252"
	"\252\252\240\240\240\255\255\255\237\237\237\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253"
	"\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\226\226\226\242"
	"\242\242\242\242\242\252\252\252\251\251\251\263\263\263\246\246\246\236"
	"\236\236\273\273\273mmm\231\231\231\333\333\333\351\351\351\343\343\343\321"
	"\321\321\261\261\261\257\257\257\250\250\250\250\250\250\257\257\257\270"
	"\270\270\240\240\240\250\250\250\227\227\227\244\244\244\243\243\243\247"
	"\247\247\255\255\255\247\247\247\247\247\247qqq\252\252\252\245\245\245\251"
	"\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\243\243\243ggg\302\302\302\341\341\341\330\330\330\332\332\332\332"
	"\332\332\332\332\332\332\332\332\333\333\333\326\326\326\330\330\330\225"
	"\225\225\330\330\330\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\315\315\315\346\346\346yyy\357\357\357\340\340\340\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\333\333\333\340\340\340\246\246\246\243\243\243\337\337\337\340"
	"\340\340\202\202\202\265\265\265\234\234\234\260\260\260\254\254\254\267"
	"\267\267\252\252\252\251\251\251ooo\250\250\250\250\250\250\250\250\250\250"
	"\250\250\240\240\240\255\255\255\251\251\251\244\244\244\254\254\254\262"
	"\262\262\342\342\342\321\321\321\334\334\334\254\254\254\233\233\233\251"
	"\251\251\252\252\252\250\250\250\253\253\253\240\240\240\262\262\262\246"
	"\246\246\242\242\242\227\227\227\305\305\305\324\324\324\337\337\337\314"
	"\314\314\321\321\321\341\341\341\325\325\325\333\333\333~~~\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\253\253\253\200\200\200999="
	"==\273\273\273\254\254\254\242\242\242\234\234\234\245\245\245\251\251\251"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247"
	"\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\266\266\266\255\255\255\242\242\242\240\240\240\256\256\256"
	"\235\235\235\253\253\253\243\243\243\253\253\253\255\255\255\256\256\256"
	"rrr\303\303\303\324\324\324\341\341\341\262\262\262\253\253\253\252\252\252"
	"\250\250\250\231\231\231\260\260\260\227\227\227\252\252\252\271\271\271"
	"\255\255\255\245\245\245\244\244\244\250\250\250\250\250\250\247\247\247"
	"qqq\252\252\252\245\245\245\251\251\251\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\263\263\263MMM\326\326\326\351\351\351"
	"\317\317\317\332\332\332\332\332\332\332\332\332\332\332\332\333\333\333"
	"\326\326\326\330\330\330\225\225\225\330\330\330\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\334\334\334\316\316\316'''@@@\302\302"
	"\302\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\323\323\323\330\330\330\312\312\312sss\203\203"
	"\203vvv\271\271\271\236\236\236\265\265\265\240\240\240\231\231\231\250\250"
	"\250\231\231\231\266\266\266|||\250\250\250\250\250\250\250\250\250\250\250"
	"\250\251\251\251\242\242\242\260\260\260\226\226\226\247\247\247{{{\337\337"
	"\337\343\343\343\342\342\342\223\223\223\232\232\232\255\255\255\246\246"
	"\246\247\247\247\254\254\254\243\243\243\260\260\260\250\250\250\260\260"
	"\260\251\251\251\231\231\231\320\320\320ZZZ\274\274\274\334\334\334\316\316"
	"\316\337\337\337\323\323\323\230\230\230\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\245\245\245hhh\272\272\272yyy|||\275\275\275"
	"\227\227\227\240\240\240\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254"
	"\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\256\256\256"
	"\247\247\247\253\253\253\247\247\247\244\244\244\252\252\252\254\254\254"
	"\243\243\243\250\250\250\244\244\244\263\263\263\233\233\233\267\267\267"
	"\345\345\345\330\330\330\262\262\262\262\262\262\255\255\255\244\244\244"
	"\247\247\247\233\233\233lllooosss~~~\246\246\246\256\256\256\243\243\243"
	"\252\252\252\247\247\247qqq\252\252\252\245\245\245\251\251\251\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\241\241\241"
	"\257\257\257SSS\322\322\322\334\334\334\332\332\332\332\332\332\332\332\332"
	"\332\332\332\333\333\333\326\326\326\330\330\330\225\225\225\330\330\330"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\321\321\321"
	"\327\327\327\337\337\337\312\312\312\335\335\335\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\321\321\321\310\310\310\347\347\347\221\221\221\246\246\246\231\231\231"
	"\203\203\203~~~\376\376\376\256\256\256\237\237\237\252\252\252\243\243\243"
	"\263\263\263rrr\250\250\250\250\250\250\250\250\250\250\250\250\240\240\240"
	"\255\255\255\245\245\245\271\271\271\240\240\240\247\247\247\343\343\343"
	"\322\322\322\177\177\177\237\237\237\245\245\245\254\254\254\242\242\242"
	"\247\247\247\244\244\244\246\246\246\244\244\244\263\263\263\254\254\254"
	"\252\252\252\250\250\250|||\260\260\260\236\236\236\246\246\246\334\334\334"
	"\332\332\332\226\226\226\231\231\231\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\241\241\241uuujjjmmm\243\243\243\271\271\271\233"
	"\233\233\241\241\241\260\260\260\242\242\242\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253"
	"\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\247\247\247\233\233\233\253\253\253zzzy"
	"yyeee\257\257\257\215\215\215\216\216\216fff\300\300\300\323\323\323```\217"
	"\217\217\334\334\334\326\326\326\327\327\327\332\332\332\321\321\321\213"
	"\213\213\213\213\213\247\247\247\234\234\234\241\241\241\241\241\241\252"
	"\252\252\262\262\262\245\245\245\245\245\245\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\253\253\253\237"
	"\237\237\252\252\252QQQ\374\374\374\333\333\333\314\314\314\334\334\334\322"
	"\322\322\335\335\335\350\350\350\335\335\335\223\223\223\336\336\336\344"
	"\344\344\343\343\343\332\332\332\335\335\335\327\327\327\325\325\325\326"
	"\326\326\323\323\323\330\330\330\335\335\335\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\333\333\333\333\333\333\332\332\332\331\331\331\331\331\331\330"
	"\330\330\332\332\332\332\332\332\335\335\335\344\344\344\316\316\316\344"
	"\344\344\354\354\354zzz\243\243\243\246\246\246\253\253\253\253\253\253\251"
	"\251\251rrr\250\250\250\251\251\251\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\241\241\241\251\251\251\337"
	"\337\337ggg\250\250\250\255\255\255\251\251\251\246\246\246\246\246\246\251"
	"\251\251\250\250\250\243\243\243\255\255\255\243\243\243\245\245\245\250"
	"\250\250bbb\237\237\237\256\256\256\254\254\254jjjxxx\237\237\237\253\253"
	"\253\245\245\245\254\254\254\264\264\264\226\226\226\263\263\263\241\241"
	"\241ooo\274\274\274\177\177\177\246\246\246\223\223\223\256\256\256\251\251"
	"\251\241\241\241\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\247\247\247\254\254\254\253\253\253\250\250"
	"\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\267\267\267\231\231\231\231\231\231\243\243\243\253\253"
	"\253\253\253\253\221\221\221iii\251\251\251\307\307\307\346\346\346\322\322"
	"\322\335\335\335\311\311\311\320\320\320\350\350\350\326\326\326\332\332"
	"\332\323\323\323\340\340\340^^^\247\247\247\260\260\260\256\256\256\235\235"
	"\235\265\265\265\252\252\252\242\242\242\254\254\254\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\253\253"
	"\253\242\242\242\247\247\247YYY\312\312\312\325\325\325\350\350\350\333\333"
	"\333\334\334\334\317\317\317\330\330\330\341\341\341\222\222\222\322\322"
	"\322\306\306\306\327\327\327\330\330\330\337\337\337\324\324\324\333\333"
	"\333\333\333\333\327\327\327\325\325\325\335\335\335\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\333\333\333\333\333\333\332\332\332\332\332\332\331\331"
	"\331\330\330\330\337\337\337\331\331\331\316\316\316\337\337\337\341\341"
	"\341\324\324\324\277\277\277\202\202\202\250\250\250\246\246\246\253\253"
	"\253\253\253\253\251\251\251rrr\250\250\250\251\251\251\251\251\251\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\261\261"
	"\261\217\217\217\225\225\225wwwttt\243\243\243\254\254\254\243\243\243\250"
	"\250\250\250\250\250\243\243\243\242\242\242\255\255\255\242\242\242\252"
	"\252\252\260\260\260\330\330\330ZZZ\253\253\253\247\247\247\223\223\223\262"
	"\262\262\257\257\257\252\252\252\247\247\247\247\247\247\247\247\247\236"
	"\236\236\231\231\231\256\256\256sss\247\247\247\203\203\203gggOOO\265\265"
	"\265\244\244\244\236\236\236\266\266\266\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253\253"
	"\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\244\244\244\261\261\261\273\273\273\244\244"
	"\244\234\234\234\245\245\245\241\241\241\252\252\252\231\231\231\344\344"
	"\344\321\321\321\333\333\333\351\351\351\340\340\340\331\331\331\315\315"
	"\315\331\331\331\327\327\327\333\333\333\323\323\323\217\217\217888\254\254"
	"\254\250\250\250\255\255\255\263\263\263\253\253\253\246\246\246\244\244"
	"\244\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\244\244\244\246\246\246\244\244\244\235\235\235\225\225"
	"\225\304\304\304\323\323\323\341\341\341\317\317\317\324\324\324\337\337"
	"\337\307\307\307\265\265\265\322\322\322\204\204\204\317\317\317\336\336"
	"\336\351\351\351\350\350\350\323\323\323\320\320\320\335\335\335\334\334"
	"\334\331\331\331\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\336\336\336\322\322\322\323\323"
	"\323\340\340\340\335\335\335\324\324\324\351\351\351\236\236\236\251\251"
	"\251\243\243\243\246\246\246\253\253\253\253\253\253\251\251\251rrr\250\250"
	"\250\251\251\251\251\251\251\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\227\227\227\274\274\274\237\237\237\261\261"
	"\261\331\331\331\220\220\220\255\255\255\245\245\245\254\254\254\243\243"
	"\243\250\250\250\255\255\255\237\237\237\254\254\254\231\231\231\303\303"
	"\303\251\251\251ZZZ\211\211\211\265\265\265\236\236\236\250\250\250\242\242"
	"\242\256\256\256\220\220\220\234\234\234\236\236\236\273\273\273\216\216"
	"\216\265\265\265qqqvvv\241\241\241xxxFFF\250\250\250\244\244\244\244\244"
	"\244\261\261\261\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251"
	"\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\254\254\254\244\244\244\246\246\246\226\226\226\243\243\243\265\265"
	"\265\241\241\241\246\246\246\256\256\256\337\337\337\326\326\326\332\332"
	"\332\321\321\321\344\344\344\310\310\310\327\327\327\324\324\324\331\331"
	"\331\334\334\334\330\330\330\227\227\227\336\336\336\317\317\317\350\350"
	"\350\351\351\351vvv\245\245\245\304\304\304\224\224\224\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251"
	"\251\256\256\256\246\246\246\276\276\276\234\234\234\267\267\267}}}\244\244"
	"\244|||zzz\201\201\201eee\200\200\200\267\267\267\231\231\231\275\275\275"
	"\212\212\212\311\311\311\333\333\333\322\322\322\344\344\344\324\324\324"
	"\333\333\333\326\326\326\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\331\331\331"
	"\331\331\331\332\332\332\333\333\333\333\333\333\316\316\316\336\336\336"
	"\341\341\341\335\335\335\340\340\340\333\333\333\250\250\250\236\236\236"
	"\256\256\256\254\254\254\246\246\246\253\253\253\253\253\253\251\251\251"
	"rrr\250\250\250\251\251\251\251\251\251\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\251\251\251\245\245\245\234\234\234"
	"\277\277\277\271\271\271\255\255\255\251\251\251\246\246\246\246\246\246"
	"\251\251\251\237\237\237\246\246\246\246\246\246\247\247\247|||vvv\232\232"
	"\232\\\\\\\324\324\324}}}\236\236\236\214\214\214\241\241\241\253\253\253"
	"\256\256\256\232\232\232\265\265\265zzz\331\331\331\230\230\230iii\256\256"
	"\256\221\221\221\244\244\244\262\262\262\263\263\263\264\264\264\227\227"
	"\227\242\242\242\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251"
	"\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\256\256\256\245\245\245\252\252\252\250\250\250\251\251\251\246\246"
	"\246\255\255\255\254\254\254\236\236\236\320\320\320\346\346\346\325\325"
	"\325\331\331\331\330\330\330\346\346\346\327\327\327\336\336\336\335\335"
	"\335\327\327\327\337\337\337\216\216\216\340\340\340\321\321\321\332\332"
	"\332\341\341\341\341\341\341sss\232\232\232\261\261\261\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247"
	"\247\234\234\234\262\262\262\241\241\241\246\246\246\244\244\244\250\250"
	"\250\227\227\227\257\257\257\255\255\255\234\234\234\254\254\254www\236\236"
	"\236\261\261\261\246\246\246\240\240\240tttVVV\253\253\253\341\341\341\324"
	"\324\324\334\334\334\325\325\325\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\331"
	"\331\331\331\331\331\332\332\332\333\333\333\333\333\333\335\335\335\323"
	"\323\323\323\323\323\331\331\331\325\325\325\327\327\327\201\201\201\255"
	"\255\255\241\241\241\251\251\251\246\246\246\253\253\253\253\253\253\251"
	"\251\251rrr\250\250\250\251\251\251\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\242\242\242\263\263\263\250"
	"\250\250\250\250\250\245\245\245\247\247\247\245\245\245\255\255\255\250"
	"\250\250\244\244\244\236\236\236\253\253\253\236\236\236\254\254\254\233"
	"\233\233\326\326\326\221\221\221\262\262\262\345\345\345qqq\255\255\255\246"
	"\246\246\256\256\256\233\233\233\242\242\242\260\260\260ttt\321\321\321\213"
	"\213\213qqqrrr\250\250\250\266\266\266\250\250\250\241\241\241\237\237\237"
	"\244\244\244\264\264\264\253\253\253\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\250\250\250\254\254\254\254\254\254"
	"\252\252\252qqq\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\256\256\256\231\231\231\241\241\241\240\240\240\327\327\327"
	"\327\327\327\327\327\327\327\327\327\327\327\327\327\327\327\327\327\327"
	"\327\327\327\327\327\327\327\327\327\333\333\333\232\232\232\336\336\336"
	"\332\332\332\334\334\334\324\324\324\327\327\327\232\232\232\246\246\246"
	"\243\243\243\250\250\250\234\234\234\252\252\252\253\253\253\250\250\250"
	"\245\245\245\245\245\245\247\247\247\252\252\252\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\252\252\252"
	"\251\251\251\254\254\254qqq\252\252\252\255\255\255\241\241\241\252\252\252"
	"\225\225\225\227\227\227\307\307\307\326\326\326\344\344\344\327\327\327"
	"\333\333\333\327\327\327\327\327\327\327\327\327\327\327\327\327\327\327"
	"\332\332\332\332\332\332\331\331\331\331\331\331\353\353\353\323\323\323"
	"\321\321\321\335\335\335\265\265\265\306\306\306\331\331\331\314\314\314"
	"\337\337\337\265\265\265\205\205\205\262\262\262\246\246\246\243\243\243"
	"\251\251\251\250\250\250\254\254\254\254\254\254\252\252\252qqq\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\246\246\246"
	"\330\330\330\252\252\252mmmxxx\276\276\276\243\243\243\260\260\260\215\215"
	"\215nnn\337\337\337\342\342\342\333\333\333\307\307\307]]]vvv\250\250\250"
	"\253\253\253\255\255\255\246\246\246\256\256\256\260\260\260\251\251\251"
	"\237\237\237\241\241\241\261\261\261\261\261\261\232\232\232\237\237\237"
	"\253\253\253\247\247\247\252\252\252\243\243\243\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\252\252\252"
	"\251\251\251\254\254\254qqq\252\252\252\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\247\247\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\245\245\245\253\253\253\246\246\246\252\252\252www\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\227\227\227"
	"\222\222\222III\275\275\275\322\322\322\322\322\322\322\322\322\322\322\322"
	"\322\322\322\322\322\322\322\322\322\322\322\322\322\322\322\322\322\322"
	"\325\325\325\232\232\232\326\326\326\320\320\320\330\330\330\340\340\340"
	"\343\343\343\242\242\242\241\241\241\230\230\230\253\253\253\251\251\251"
	"\234\234\234\256\256\256\244\244\244\252\252\252\251\251\251\253\253\253"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\251\251\251\245\245\245\247\247\247ttt\252\252\252"
	"\247\247\247\251\251\251\243\243\243\264\264\264HHH\300\300\300\326\326\326"
	"\320\320\320\322\322\322\321\321\321\322\322\322\322\322\322\322\322\322"
	"\322\322\322\322\322\322\327\327\327\330\330\330\330\330\330\330\330\330"
	"\331\331\331\210\210\210\314\314\314\346\346\346\313\313\313\331\331\331"
	"\325\325\325\307\307\307sss\243\243\243\265\265\265\241\241\241\250\250\250"
	"\252\252\252\245\245\245\245\245\245\253\253\253\246\246\246\252\252\252"
	"www\247\247\247\247\247\247\247\247\247\247\247\247\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\247\247\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247"
	"\253\253\253\224\224\224\345\345\345\265\265\265}}}\251\251\251\235\235\235"
	"\246\246\246vvv\324\324\324\317\317\317\336\336\336\313\313\313\304\304\304"
	"fffFFF\227\227\227\215\215\215yyy\253\253\253\214\214\214\226\226\226\226"
	"\226\226\254\254\254\243\243\243\242\242\242\235\235\235\265\265\265\251"
	"\251\251\251\251\251\256\256\256\240\240\240\234\234\234\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\251"
	"\251\251\245\245\245\247\247\247ttt\252\252\252\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\247\247tttttttttttttttttttttttttttttttttttttttt"
	"tttttttttttttttttttttttttttttttttttttttttttttttrrrxxxssswwwCCCtttttttttt"
	"ttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttzzz777\237"
	"\237\237\246\246\246\231\231\231\231\231\231\231\231\231\231\231\231\231"
	"\231\231\231\231\231\231\231\231\231\231\231\231\231\231\231\231\231\234"
	"\234\234bbb\235\235\235\227\227\227\237\237\237\211\211\211\214\214\214\16"
	"\16\16\231\231\231LLLvvvyyyggg\207\207\207nnnrrrssswwwwwwsssssssssssssss"
	"ssssssssssssssstttttttttttttttttttttttttttvvvrrrttt@@@www{{{lll~~~bbbSSS"
	"\213\213\213\235\235\235\224\224\224\226\226\226\230\230\230\231\231\231"
	"\231\231\231\231\231\231\231\231\231\231\231\231\227\227\227\227\227\227"
	"\234\234\234\234\234\234]]]xxx***\225\225\225\230\230\230\237\237\237\230"
	"\230\230\231\231\231\202\202\202hhhnnnooozzznnn{{{rrrxxxssswwwCCCttttttt"
	"tttttssssssssssssssssssssssssssssssttttttttttttttttttttttttttttttvvvpppJ"
	"JJ\263\263\263666pppkkk\214\214\214AAA\241\241\241\236\236\236\242\242\242"
	"\222\222\222fffhhh\0\0\0///\34\34\34yyydddyyyxxxqqqGGG<<<\210\210\210vvv"
	"^^^jjjwwwjjj|||\201\201\201ttttttttttttttttttttttttttttttttttttttttttttt"
	"ttttttttttttvvvrrrttt@@@wwwttttttttttttttt\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\246\246\246\252\252\252\253\253\253\251\251"
	"\251ppp\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\236\236\236vvv```\336\336\336\331\331\331\331\331\331\331\331\331\331"
	"\331\331\331\331\331\331\331\331\331\331\331\331\331\331\331\331\331\331"
	"\331\331\335\335\335\234\234\234\340\340\340\334\334\334\336\336\336\334"
	"\334\334\334\334\334\341\341\341\224\224\224\354\354\354\351\351\351vvv\211"
	"\211\211\231\231\231\255\255\255\243\243\243\254\254\254\243\243\243\243"
	"\243\243\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\252\252\252ooo\250\250\250\251"
	"\251\251\250\250\250\247\247\247\251\251\251{{{\304\304\304\326\326\326\346"
	"\346\346\331\331\331\333\333\333\331\331\331\331\331\331\331\331\331\331"
	"\331\331\331\331\331\340\340\340\340\340\340\333\333\333\334\334\334hhhz"
	"zz\345\345\345\317\317\317\355\355\355\345\345\345III\202\202\202\260\260"
	"\260\247\247\247\263\263\263\251\251\251\241\241\241\257\257\257\244\244"
	"\244\246\246\246\252\252\252\253\253\253\251\251\251ppp\250\250\250\250\250"
	"\250\250\250\250\250\250\250\247\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247"
	"\247\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\266\266\266\247\247"
	"\247\255\255\255\314\314\314\337\337\337DDDWWW\255\255\255\267\267\267\342"
	"\342\342\327\327\327\327\327\327\334\334\334\264\264\264\254\254\254\241"
	"\241\241fff\227\227\227\262\262\262\220\220\220\225\225\225\247\247\247\235"
	"\235\235\270\270\270___\300\300\300\210\210\210\353\353\353\204\204\204|"
	"||\247\247\247\255\255\255\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\252\252\252ooo\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\235\235\235\200\200\200"
	"\327\327\327\334\334\334\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\333\333\333\231\231\231\335\335\335\331\331\331\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\323\323\323\362\362\362\217\217\217\270\270\270"
	"\232\232\232\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\255\255\255"
	"\307\307\307\335\335\335\334\334\334\320\320\320\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\316\316\316\347\347\347\315\315\315"
	"\305\305\305\333\333\333\343\343\343\335\335\335\313\313\313\332\332\332"
	"\324\324\324\252\252\252\250\250\250\237\237\237\237\237\237\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254"
	"\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\252\252\252\250\250\250\236\236\236"
	"\324\324\324\331\331\331\207\207\207\264\264\264\224\224\224\252\252\252"
	"\253\253\253\267\267\267\202\202\202\242\242\242\245\245\245RRR\203\203\203"
	"VVV\247\247\247\242\242\242\252\252\252\257\257\257{{{\263\263\263\210\210"
	"\210\250\250\250\347\347\347\327\327\327\327\327\327\332\332\332\325\325"
	"\325\216\216\216~~~\232\232\232\273\273\273\221\221\221\200\200\200\261\261"
	"\261\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251"
	"\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254"
	"\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\245\245\245\233\233\233\347\347\347\313\313"
	"\313\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\333\333\333\231\231"
	"\231\335\335\335\331\331\331\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\325\325\325\317\317\317\257\257\257[[[\304\304\304\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251"
	"\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\255\255\255\177\177\177\323\323\323\326\326"
	"\326\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\347\347\347\343\343\343\324\324\324\232\232\232\340\340\340\326\326"
	"\326\331\331\331\334\334\334\337\337\337qqq\245\245\245\252\252\252\237\237"
	"\237\244\244\244\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247\252\252"
	"\252\251\251\251\243\243\243\245\245\245\353\353\353\240\240\240\261\261"
	"\261\256\256\256\254\254\254\235\235\235\233\233\233\257\257\257\257\257"
	"\257\255\255\255zzzbbb\243\243\243\263\263\263\267\267\267\263\263\263\250"
	"\250\250\243\243\243\244\244\244\246\246\246\177\177\177ooo\215\215\215\340"
	"\340\340\336\336\336\346\346\346\337\337\337\331\331\331\261\261\261\260"
	"\260\260\206\206\206\227\227\227\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251"
	"\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\247\247\247\254\254\254\253\253\253\250\250\250qqq\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\273"
	"\273\273\217\217\217\235\235\235\325\325\325\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\333\333\333\231\231\231\335\335\335\331\331\331\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\321\321\321\327\327\327\324"
	"\324\324\331\331\331rrr\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251"
	"\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\232"
	"\232\232\261\261\261\333\333\333\315\315\315\347\347\347\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\316\316\316\323\323\323\337"
	"\337\337)))\323\323\323\340\340\340\330\330\330\344\344\344\303\303\303\263"
	"\263\263\252\252\252\237\237\237\246\246\246\252\252\252\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253"
	"\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\246\246\246\247\247\247\247\247\247\251\251\251\241"
	"\241\241\256\256\256\234\234\234\302\302\302\205\205\205\213\213\213\214"
	"\214\214\252\252\252\227\227\227\270\270\270\236\236\236bbb\247\247\247\247"
	"\247\247\247\247\247\242\242\242\242\242\242\232\232\232\265\265\265\242"
	"\242\242\250\250\250\213\213\213\233\233\233\242\242\242\352\352\352\315"
	"\315\315\317\317\317\361\361\361\314\314\314\234\234\234\247\247\247\254"
	"\254\254\222\222\222\236\236\236\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247"
	"\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\237\237\237\241"
	"\241\241\270\270\270\345\345\345\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\333\333\333\231\231\231\335\335\335\331\331\331\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\324\324\324\331\331\331\323\323\323\341"
	"\341\341WWW\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\245\245\245\236"
	"\236\236\223\223\223\330\330\330\321\321\321\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\325\325\325\332\332\332\333\333\333\375"
	"\375\375\345\345\345\310\310\310\344\344\344\303\303\303\360\360\360\270"
	"\270\270\272\272\272\245\245\245\251\251\251\244\244\244\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253"
	"\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\246\246\246\245\245\245\245\245\245\266"
	"\266\266\255\255\255\260\260\260\236\236\236\265\265\265lll\210\210\210\215"
	"\215\215\270\270\270...\17\17\17???000___\253\253\253III\200\200\200\251"
	"\251\251\230\230\230\273\273\273\232\232\232\243\243\243\244\244\244\256"
	"\256\256\246\246\246aaammm\261\261\261\273\273\273\306\306\306{{{\301\301"
	"\301\222\222\222\220\220\220\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247"
	"\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\260\260\260\262\262"
	"\262\240\240\240\261\261\261\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\333\333\333\231\231\231\335\335\335\331\331\331\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\333\333\333\316\316\316\343\343\343www\253\253"
	"\253\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247"
	"\247\373\373\373\307\307\307\343\343\343\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\331\331\331\311\311\311\344\344\344\270\270"
	"\270\335\335\335\323\323\323\332\332\332\344\344\344\314\314\314\343\343"
	"\343\271\271\271\245\245\245\253\253\253\237\237\237\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253\253"
	"\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247\242\242"
	"\242\242\242\242\262\262\262\252\252\252\242\242\242\247\247\247\225\225"
	"\225\241\241\241\245\245\245\254\254\254\260\260\260JJJ\242\242\242\266\266"
	"\266yyy\232\232\232\263\263\263\241\241\241\246\246\246\231\231\231\250\250"
	"\250\264\264\264\233\233\233\233\233\233\243\243\243\270\270\270\202\202"
	"\202\250\250\250\217\217\217|||\224\224\224&&&\262\262\262\256\256\256\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253"
	"\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\243\243\243\266\266\266\261\261\261\220\220\220\331"
	"\331\331\323\323\323\336\336\336\323\323\323\342\342\342\333\333\333\332"
	"\332\332\331\331\331\332\332\332\333\333\333\333\333\333\231\231\231\335"
	"\335\335\331\331\331\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\324"
	"\324\324\332\332\332\331\331\331\225\225\225\265\265\265\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251"
	"\251\251\247\247\247\252\252\252qqq\251\251\251\251\251\251\250\250\250\247"
	"\247\247\250\250\250\251\251\251\250\250\250\255\255\255|||\331\331\331\330"
	"\330\330\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\330\330\330\335\335\335sss\325"
	"\325\325\353\353\353\333\333\333uuu\257\257\257\251\251\251\250\250\250\244"
	"\244\244\225\225\225\240\240\240\250\250\250\245\245\245\246\246\246\253"
	"\253\253\253\253\253\251\251\251rrr\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\255\255\255mmm\245"
	"\245\245\244\244\244\235\235\235\240\240\240\262\262\262\251\251\251\254"
	"\254\254\215\215\215\304\304\304\240\240\240\247\247\247\260\260\260\245"
	"\245\245\250\250\250ooo\245\245\245\247\247\247\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247"
	"\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\243"
	"\243\243\246\246\246\255\255\255\200\200\200\325\325\325\332\332\332\330"
	"\330\330\323\323\323\333\333\333\332\332\332\331\331\331\332\332\332\333"
	"\333\333\333\333\333\231\231\231\335\335\335\331\331\331\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\331\331\331\354\354\354\241\241\241\227"
	"\227\227\227\227\227\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251"
	"\251\251\251\251\251\250\250\250\247\247\247\250\250\250\251\251\251\251"
	"\251\251\263\263\263\347\347\347\300\300\300\325\325\325\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\343\343\343\342\342\342EEE\335\335\335\313\313\313\313"
	"\313\313sss\243\243\243\253\253\253\255\255\255\265\265\265\232\232\232\226"
	"\226\226\261\261\261\253\253\253\246\246\246\253\253\253\253\253\253\251"
	"\251\251rrr\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\251\251\251xxx\241\241\241\311\311\311\230"
	"\230\230\311\311\311\221\221\221\257\257\257fff\340\340\340\323\323\323\320"
	"\320\320JJJ\246\246\246\227\227\227\262\262\262\254\254\254\264\264\264\221"
	"\221\221\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253"
	"\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\235\235\235\261\261\261\240\240\240\261\261\261\225"
	"\225\225\320\320\320\321\321\321\332\332\332\332\332\332\333\333\333\332"
	"\332\332\331\331\331\332\332\332\333\333\333\333\333\333\231\231\231\335"
	"\335\335\331\331\331\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\335"
	"\335\335\316\316\316\300\300\300\246\246\246\244\244\244\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251"
	"\251\251\247\247\247\252\252\252qqq\251\251\251\251\251\251\250\250\250\247"
	"\247\247\250\250\250\251\251\251\243\243\243ttt\330\330\330\345\345\345\342"
	"\342\342\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\330\330\330\310\310\310\235"
	"\235\235\340\340\340\337\337\337\336\336\336}}}\251\251\251\250\250\250\230"
	"\230\230\214\214\214RRR\266\266\266\200\200\200\242\242\242\246\246\246\253"
	"\253\253\253\253\253\251\251\251rrr\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\241\241\241rrr\261"
	"\261\261\234\234\234\263\263\263AAA\221\221\221\242\242\242\355\355\355\325"
	"\325\325\323\323\323\333\333\333\206\206\206\244\244\244\255\255\255\253"
	"\253\253\334\334\334^^^\307\307\307\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252"
	"\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\247"
	"\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\245\245\245\244"
	"\244\244\253\253\253\252\252\252\213\213\213\324\324\324\275\275\275\353"
	"\353\353\333\333\333\332\332\332\331\331\331\332\332\332\333\333\333\333"
	"\333\333\231\231\231\335\335\335\331\331\331\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\324\324\324\227\227\227\246\246\246\225\225\225\242"
	"\242\242\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\251"
	"\251\251\250\250\250\247\247\247\250\250\250\251\251\251\253\253\253\216"
	"\216\216\322\322\322\332\332\332\327\327\327\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\325\325\325\323\323\323\333\333\333\307\307\307\327\327\327\353"
	"\353\353\204\204\204\252\252\252\254\254\254sssEEE\322\322\322:::\215\215"
	"\215\254\254\254\246\246\246\253\253\253\253\253\253\251\251\251rrr\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\251\251\251sss\234\234\234\257\257\257111\330\330\330\317"
	"\317\317\351\351\351\316\316\316\355\355\355\302\302\302\356\356\356\217"
	"\217\217\263\263\263\244\244\244\253\253\253\334\334\334\320\320\320\230"
	"\230\230\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253"
	"\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\262\262\262\242\242\242\254\254\254\242\242\242\241"
	"\241\241\265\265\265\246\246\246\212\212\212\242\242\242\333\333\333\332"
	"\332\332\331\331\331\332\332\332\333\333\333\333\333\333\231\231\231\335"
	"\335\335\331\331\331\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\331"
	"\331\331\215\215\215\262\262\262\243\243\243\250\250\250\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251"
	"\251\251\247\247\247\252\252\252qqq\251\251\251\251\251\251\250\250\250\247"
	"\247\247\250\250\250\251\251\251\252\252\252\211\211\211\326\326\326\351"
	"\351\351\334\334\334\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\341\341\341\317"
	"\317\317\305\305\305\324\324\324\232\232\232\257\257\257\233\233\233\231"
	"\231\231\261\261\261\341\341\341\301\301\301\321\321\321uuu\261\261\261\252"
	"\252\252\246\246\246\253\253\253\253\253\253\251\251\251rrr\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\266\266\266\200\200\200\260\260\260\242\242\242\346\346\346\333"
	"\333\333\324\324\324\332\332\332\316\316\316\350\350\350\312\312\312\320"
	"\320\320\334\334\334\340\340\340mmm\221\221\221\331\331\331\342\342\342\336"
	"\336\336\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253"
	"\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\252"
	"\252\252\243\243\243\257\257\257\247\247\247\226\226\226\333\333\333\332"
	"\332\332\331\331\331\332\332\332\333\333\333\333\333\333\231\231\231\335"
	"\335\335\331\331\331\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\334\334\334\324\324\324\347\347\347\320\320\320\353"
	"\353\353ggg\245\245\245\254\254\254\246\246\246\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247"
	"\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\256\256\256\202\202\202\315\315\315\330\330\330\326"
	"\326\326\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\316\316\316\336\336\336\322"
	"\322\322\244\244\244\226\226\226\257\257\257\257\257\257\247\247\247\236"
	"\236\236\323\323\323\343\343\343\334\334\334\211\211\211\247\247\247\244"
	"\244\244\247\247\247\253\253\253\252\252\252\251\251\251qqq\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\233\233\233\243\243\243\254\254\254\257\257\257\253"
	"\253\253\226\226\226\177\177\177}}}\312\312\312\334\334\334\331\331\331\331"
	"\331\331\332\332\332\331\331\331\330\330\330\330\330\330\331\331\331\331"
	"\331\331\332\332\332\334\334\334\331\331\331\342\342\342\332\332\332\337"
	"\337\337\263\263\263\264\264\264\235\235\235\253\253\253\243\243\243\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253"
	"\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\254"
	"\254\254\251\251\251\245\245\245\254\254\254\253\253\253\333\333\333\332"
	"\332\332\331\331\331\332\332\332\333\333\333\333\333\333\231\231\231\335"
	"\335\335\331\331\331\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\340\340\340\312\312\312\337\337\337\331\331\331\213"
	"\213\213\245\245\245\244\244\244\246\246\246\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251"
	"\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\245\245\245\257\257\257\307\307\307\336"
	"\336\336\340\340\340\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\322\322\322\331"
	"\331\331\217\217\217\237\237\237\255\255\255\255\255\255\264\264\264\240"
	"\240\240\247\247\247\346\346\346\327\327\327\331\331\331\261\261\261\256"
	"\256\256\253\253\253\247\247\247\253\253\253\252\252\252\251\251\251qqq\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\234\234\234\270\270\270\262\262\262\270"
	"\270\270\214\214\214kkk\212\212\212\325\325\325\320\320\320\327\327\327\331"
	"\331\331\331\331\331\332\332\332\331\331\331\330\330\330\330\330\330\331"
	"\331\331\331\331\331\332\332\332\341\341\341\327\327\327\340\340\340\324"
	"\324\324\344\344\344\343\343\343jjj\245\245\245\226\226\226\252\252\252\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253"
	"\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\244"
	"\244\244\260\260\260\246\246\246\247\247\247\243\243\243\333\333\333\332"
	"\332\332\331\331\331\332\332\332\333\333\333\333\333\333\231\231\231\335"
	"\335\335\331\331\331\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\315\315\315\352\352\352\334\334\334\321\321\321\247"
	"\247\247\254\254\254\262\262\262\253\253\253\242\242\242\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251"
	"\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\266\266\266\254\254\254\207\207\207\251"
	"\251\251\317\317\317\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\334\334\334\333"
	"\333\333\333\333\333\256\256\256\246\246\246\233\233\233\251\251\251\245"
	"\245\245\210\210\210\326\326\326\321\321\321\215\215\215\237\237\237\245"
	"\245\245\250\250\250\247\247\247\253\253\253\252\252\252\251\251\251qqq\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\240\240\240\277\277\277xxx\344\344\344\330"
	"\330\330\274\274\274\225\225\225\344\344\344\321\321\321\351\351\351\331"
	"\331\331\331\331\331\332\332\332\331\331\331\330\330\330\330\330\330\331"
	"\331\331\331\331\331\332\332\332\327\327\327\334\334\334\325\325\325\334"
	"\334\334\321\321\321\325\325\325\363\363\363555\234\234\234\254\254\254\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253"
	"\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\242"
	"\242\242\261\261\261\250\250\250\247\247\247\213\213\213\333\333\333\332"
	"\332\332\331\331\331\332\332\332\333\333\333\333\333\333\231\231\231\335"
	"\335\335\331\331\331\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\327\327\327\224\224\224lll^^^\256\256\256\233\233\233"
	"\267\267\267\262\262\262\240\240\240\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247"
	"\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\246\246\246\240\240\240\205\205\205\330\330\330"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\335\335\335\306\306\306\326\326\326"
	"\256\256\256\262\262\262\250\250\250\267\267\267\237\237\237\207\207\207"
	"\327\327\327\337\337\337ppp\255\255\255\257\257\257\256\256\256\247\247\247"
	"\253\253\253\252\252\252\251\251\251qqq\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\247\247\247\244\244\244\210\210\210\323\323\323\326\326\326\353\353\353"
	"\237\237\237\333\333\333\323\323\323\315\315\315\331\331\331\331\331\331"
	"\332\332\332\331\331\331\330\330\330\330\330\330\331\331\331\331\331\331"
	"\332\332\332\333\333\333\335\335\335\315\315\315\342\342\342\327\327\327"
	"\350\350\350\333\333\333\306\306\306\272\272\272\241\241\241\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253\253\253"
	"\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251"
	"\257\257\257\251\251\251\261\261\261bbb\333\333\333\332\332\332\331\331\331"
	"\332\332\332\333\333\333\333\333\333\231\231\231\335\335\335\331\331\331"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\260\260\260\245\245\245\257\257\257\262\262\262\245\245\245\266\266\266"
	"\240\240\240\254\254\254\252\252\252\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247"
	"\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\252\252\252\265\265\265\266\266\266{{{\343\343\343\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\335\335\335\332\332\332ttt\265\265\265\233\233\233"
	"\243\243\243\246\246\246\247\247\247\237\237\237\333\333\333\272\272\272"
	"\246\246\246\235\235\235\240\240\240\243\243\243\247\247\247\253\253\253"
	"\252\252\252\251\251\251qqq\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\254\254\254\206\206\206\332\332\332\345\345\345\327\327\327\225\225\225"
	"\342\342\342\316\316\316\336\336\336\331\331\331\331\331\331\332\332\332"
	"\331\331\331\330\330\330\330\330\330\331\331\331\331\331\331\332\332\332"
	"\334\334\334\316\316\316\335\335\335\334\334\334\322\322\322\332\332\332"
	"\324\324\324\312\312\312\350\350\350\260\260\260\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\247\247\247\254\254\254\253\253\253\250\250\250"
	"qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\242\242\242\251\251\251"
	"\252\252\252\251\251\251~~~\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\333\333\333\231\231\231\335\335\335\331\331\331\332\332\332"
	"\310\310\310\326\326\326\350\350\350\300\300\300vvv\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\252\252\252"
	"\251\251\251\271\271\271\177\177\177\357\357\357\331\331\331\337\337\337"
	"\324\324\324\340\340\340\330\330\330\360\360\360\313\313\313\337\337\337"
	"\303\303\303\334\334\334sss\253\253\253\253\253\253\253\253\253\253\253\253"
	"\247\247\247\235\235\235\257\257\257\244\244\244\241\241\241\261\261\261"
	"\242\242\242\252\252\252\251\251\251\247\247\247\254\254\254\253\253\253"
	"\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\253\253\253\250\250\250"
	"]]]\323\323\323\331\331\331\333\333\333\231\231\231\335\335\335\331\331\331"
	"\332\332\332\326\326\326\327\327\327\327\327\327\336\336\336\350\350\350"
	"\340\340\340\337\337\337\343\343\343\326\326\326\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\333\333\333\334\334\334\327\327\327"
	"\313\313\313lll\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252"
	"qqq\251\251\251\251\251\251\251\251\251\250\250\250\247\247\247\247\247\247"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247"
	"\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\244\244\244\257\257\257\247\247\247\223\223\223"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\333\333\333"
	"\231\231\231\335\335\335\331\331\331\332\332\332\344\344\344\323\323\323"
	"\343\343\343\350\350\350ppp\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\245\245\245\251\251\251\270\270\270"
	"\236\236\236\341\341\341\324\324\324\345\345\345\321\321\321\340\340\340"
	"\325\325\325\336\336\336\334\334\334\331\331\331\356\356\356\322\322\322"
	"\214\214\214\230\230\230\233\233\233\261\261\261\247\247\247\253\253\253"
	"\247\247\247\252\252\252\257\257\257\260\260\260\250\250\250\243\243\243"
	"\251\251\251\247\247\247\247\247\247\254\254\254\253\253\253\250\250\250"
	"qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\257\257\257\256\256\256\214\214\214"
	"\327\327\327\340\340\340\333\333\333\231\231\231\335\335\335\331\331\331"
	"\332\332\332\333\333\333\337\337\337\340\340\340\322\322\322\330\330\330"
	"\324\324\324\322\322\322\330\330\330\333\333\333\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\335\335\335\333\333\333\331\331\331"
	"\301\301\301mmm\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252"
	"qqq\251\251\251\251\251\251\250\250\250\250\250\250\250\250\250\247\247\247"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247"
	"\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\246\246\246\252\252\252\244\244\244mmm\333\333\333\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\333\333\333\231\231\231"
	"\335\335\335\331\331\331\332\332\332\326\326\326\322\322\322\342\342\342"
	"\224\224\224\236\236\236\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\241\241\241\245\245\245\245\245\245"
	"\246\246\246\201\201\201\356\356\356\305\305\305\334\334\334\327\327\327"
	"\336\336\336\316\316\316\323\323\323\343\343\343\342\342\342ggg\273\273\273"
	"\225\225\225\241\241\241\263\263\263\255\255\255\244\244\244\250\250\250"
	"\246\246\246\260\260\260\245\245\245\246\246\246\256\256\256\251\251\251"
	"\252\252\252\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\241\241\241\240\240\240\250\250\250\327\327\327"
	"\327\327\327\333\333\333\231\231\231\335\335\335\331\331\331\332\332\332"
	"\342\342\342\334\334\334\325\325\325\345\345\345\337\337\337\330\330\330"
	"\341\341\341\336\336\336\330\330\330\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\330\330\330\333\333\333\315\315\315\340\340\340"
	"\226\226\226\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252"
	"qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247"
	"\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\246\246\246\251\251\251\241\241\241~~~\333\333\333\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\333\333\333\231\231\231"
	"\335\335\335\331\331\331\332\332\332\334\334\334\323\323\323\36\36\36\233"
	"\233\233\261\261\261\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251"
	"\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\246\246\246\260\260\260\256\256\256\245"
	"\245\245\267\267\267\253\253\253\353\353\353\330\330\330\331\331\331\327"
	"\327\327\344\344\344\344\344\344\273\273\273rrr\253\253\253\306\306\306\255"
	"\255\255\233\233\233\251\251\251\245\245\245\252\252\252\251\251\251\250"
	"\250\250\235\235\235\250\250\250\250\250\250\242\242\242\244\244\244\250"
	"\250\250\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\254\254\254\251\251\251\247\247\247\205\205\205\337"
	"\337\337\333\333\333\231\231\231\335\335\335\331\331\331\332\332\332\325"
	"\325\325\332\332\332\344\344\344\330\330\330\337\337\337\335\335\335\334"
	"\334\334\331\331\331\326\326\326\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\324\324\324\332\332\332\325\325\325\335\335\335}}}\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\247"
	"\247\247\247\247\247\250\250\250\251\251\251\251\251\251\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253"
	"\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251"
	"\251\251\243\243\243\245\245\245\232\232\232\312\312\312\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\333\333\333\231\231\231\335"
	"\335\335\331\331\331\332\332\332\342\342\342\255\255\255\252\252\252\256"
	"\256\256\247\247\247\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251"
	"\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\246\246\246\240\240\240\250\250\250\245"
	"\245\245\230\230\230qqq\344\344\344\340\340\340\325\325\325\334\334\334\336"
	"\336\336\322\322\322\347\347\347\233\233\233\256\256\256\226\226\226\267"
	"\267\267\243\243\243\257\257\257\243\243\243\253\253\253\246\246\246\254"
	"\254\254\254\254\254\243\243\243\251\251\251\250\250\250\255\255\255\244"
	"\244\244\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\243\243\243\237\237\237\242\242\242ttt\336\336\336\333"
	"\333\333\231\231\231\335\335\335\331\331\331\332\332\332\242\242\242\177"
	"\177\177\205\205\205lllwww\236\236\236\341\341\341\335\335\335\327\327\327"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\325\325\325"
	"\332\332\332\333\333\333\342\342\342\262\262\262\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\251\251\251\247\247\247\252\252\252qqq\251\251\251\247\247\247\247\247\247"
	"\250\250\250\251\251\251\251\251\251\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\247\247\247\254\254\254\253\253\253\250\250\250"
	"qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\243\243\243\250\250\250"
	"\243\243\243\214\214\214\313\313\313\333\333\333\326\326\326\332\332\332"
	"\330\330\330\334\334\334\321\321\321\236\236\236hhh\333\333\333\316\316\316"
	"\327\327\327yyy\233\233\233\260\260\260\244\244\244\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\212\212\212\322\322\322"
	"\317\317\317\240\240\240\216\216\216\214\214\214\210\210\210\227\227\227"
	"\257\257\257\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254"
	"\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\267\267\267"
	"\241\241\241\244\244\244\200\200\200\352\352\352\330\330\330```\241\241\241"
	"\221\221\221\264\264\264\255\255\255\261\261\261\243\243\243\252\252\252"
	"\245\245\245\245\245\245\206\206\206\305\305\305xxx\340\340\340\330\330\330"
	"\331\331\331\315\315\315\327\327\327\323\323\323\311\311\311\340\340\340"
	"\226\226\226\255\255\255\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\226\226\226\275\275\275\235\235\235\236\236\236\246\246\246\231\231\231"
	"\243\243\243vvv\267\267\267\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\247\247\247\255\255\255\255\255\255\333\333\333"
	"\347\347\347\333\333\333\334\334\334\333\333\333\326\326\326\332\332\332"
	"\272\272\272\214\214\214\360\360\360www\223\223\223\271\271\271\270\270\270"
	"\236\236\236\246\246\246\260\260\260\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\261\261\261\241\241\241\264\264\264"
	"\264\264\264\243\243\243\231\231\231\241\241\241\253\253\253\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253\253\253"
	"\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\240\240\240\252\252\252"
	"\254\254\254\262\262\262\260\260\260\252\252\252qqq\235\235\235\260\260\260"
	"\261\261\261\235\235\235\236\236\236\256\256\256\245\245\245\251\251\251"
	"\226\226\226\266\266\266\266\266\266MMM\304\304\304\336\336\336\331\331\331"
	"\330\330\330\351\351\351\330\330\330\315\315\315\315\315\315\266\266\266"
	"\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\244\244\244"
	"\246\246\246\303\303\303ppp\250\250\250\230\230\230\231\231\231lll\240\240"
	"\240\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254"
	"\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\255\255\255\240\240\240\235\235\235\342\342\342\345\345\345\335\335"
	"\335\333\333\333\330\330\330\331\331\331\335\335\335\341\341\341\243\243"
	"\243\324\324\324\264\264\264\255\255\255\227\227\227\240\240\240\252\252"
	"\252\253\253\253\242\242\242\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\261\261\261\246\246\246\241\241\241\241\241"
	"\241\246\246\246\254\254\254\236\236\236\262\262\262\254\254\254\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\247\247\247\254\254\254\253\253\253\250\250"
	"\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\254\254\254\250\250\250\234\234"
	"\234\252\252\252\255\255\255\234\234\234___\263\263\263\246\246\246\245\245"
	"\245\251\251\251\254\254\254\253\253\253\245\245\245\242\242\242\253\253"
	"\253\224\224\224\241\241\241\271\271\271\213\213\213\323\323\323\344\344"
	"\344\320\320\320\311\311\311\324\324\324\343\343\343\333\333\333\236\236"
	"\236\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\233\233"
	"\233\264\264\264\235\235\235+++uuu\300\300\300\261\261\261lll\233\233\233"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254"
	"\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\254\254\254\252\252\252yyy\323\323\323\324\324\324\331\331\331\326\326\326"
	"\325\325\325\337\337\337\320\320\320\331\331\331\217\217\217{{{\216\216\216"
	"\243\243\243\246\246\246\241\241\241\256\256\256\244\244\244\236\236\236"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247"
	"\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\256\256\256\253\253\253\236\236\236\234\234\234\250\250\250\254\254\254"
	"\246\246\246\263\263\263\254\254\254\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\255\255\255\247\247\247\243\243\243\237\237\237\245\245\245"
	"\226\226\226ooo\222\222\222\266\266\266\253\253\253\247\247\247\247\247\247"
	"\242\242\242\255\255\255\255\255\255\242\242\242\234\234\234\265\265\265"
	"\261\261\261\241\241\241\233\233\233mmmkkkGGG\216\216\216\304\304\304\247"
	"\247\247\261\261\261\244\244\244\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\262\262\262\252\252\252\245\245\245\240\240\240\353\353\353\243"
	"\243\243[[[rrr\235\235\235\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\246\246\246\255\255\255{{{\314\314\314\342\342\342"
	"\337\337\337\321\321\321\326\326\326\316\316\316\217\217\217\247\247\247"
	"qqq\252\252\252\245\245\245\251\251\251\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\247\247\247\254\254\254\253\253\253\250\250\250"
	"qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\246\246\246qqq\252\252\252\246\246\246\252\252\252"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\251\251\251\252\252\252\243\243\243"
	"\241\241\241\254\254\254\251\251\251\246\246\246\242\242\242\257\257\257"
	"\255\255\255\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\254\254\254\237\237\237\254\254\254\227\227\227\260\260\260\256\256\256"
	"\253\253\253\231\231\231\260\260\260\350\350\350ccc\245\245\245www\242\242"
	"\242\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254"
	"\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\230\230\230\234\234\234\345\345\345\326\326\326\317\317"
	"\317\344\344\344\322\322\322\213\213\213lll\247\247\247qqq\252\252\252\245"
	"\245\245\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247"
	"\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\246\246\246qqq\252\252\252\246\246\246\252\252\252\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\236\236\236\237\237\237\250\250\250ppp\212\212\212u"
	"uu\307\307\307\243\243\243\277\277\277\245\245\245\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\230\230\230\262\262\262\231\231\231"
	"\252\252\252\261\261\261\254\254\254\255\255\255\203\203\203DDD\250\250\250"
	"\212\212\212\241\241\241ttt\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\230\230\230\252\252\252\237\237\237"
	"\351\351\351\330\330\330\351\351\351\335\335\335\356\356\356KKK\253\253\253"
	"\247\247\247qqq\252\252\252\245\245\245\251\251\251\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253\253\253"
	"\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\246\246\246qqq\252\252\252\246\246\246"
	"\252\252\252\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\235\235\235\246\246\246"
	"\244\244\244\265\265\265GGG\252\252\252\253\253\253\264\264\264\252\252\252"
	"\244\244\244\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\251\251\251\246\246\246\263\263\263\257\257\257\310\310\310"
	"\253\253\253\357\357\357\202\202\202\240\240\240\273\273\273\247\247\247"
	"qqq\241\241\241\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247"
	"\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\244\244\244\241\241\241\234\234\234\326\326\326\333\333\333"
	"\321\321\321\353\353\353\373\373\373\247\247\247\264\264\264\247\247\247"
	"qqq\252\252\252\245\245\245\251\251\251\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\247\247\247\254\254\254\253\253\253\250\250\250"
	"qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\246\246\246qqq\252\252\252\246\246\246\252\252\252"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\260\260\260\231\231\231\237\237\237"
	"\231\231\231\275\275\275\246\246\246\245\245\245\225\225\225\255\255\255"
	"\226\226\226\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\252\252\252\235\235\235\214\214\214\304\304\304```\340\340\340{{{\303\303"
	"\303\263\263\263\251\251\251\242\242\242\262\262\262{{{\242\242\242\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253\253"
	"\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\242\242"
	"\242\233\233\233NNN\341\341\341\342\342\342\343\343\343\227\227\227aaa\275"
	"\275\275\251\251\251\247\247\247qqq\252\252\252\245\245\245\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251"
	"\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254"
	"\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\246\246\246qqq\252"
	"\252\252\246\246\246\252\252\252\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\262"
	"\262\262\246\246\246\266\266\266\252\252\252\207\207\207\260\260\260\240"
	"\240\240\241\241\241\256\256\256\275\275\275\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\262\262\262\245\245\245\265\265\265CCC\376"
	"\376\376\317\317\317]]]\247\247\247\243\243\243\240\240\240\250\250\250\253"
	"\253\253vvv\243\243\243\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\247"
	"\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\245\245\245\221\221\221\303\303\303\324\324\324\336"
	"\336\336\345\345\345\304\304\304\220\220\220\255\255\255\254\254\254\247"
	"\247\247qqq\252\252\252\245\245\245\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253\253\253\250"
	"\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\246\246\246qqq\252\252\252\246\246\246\252"
	"\252\252\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252"
	"\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\247"
	"\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\243\243\243\226\226\226\327\327\327\340\340\340\321"
	"\321\321\354\354\354ddd\266\266\266\236\236\236\253\253\253\247\247\247q"
	"qq\252\252\252\245\245\245\251\251\251\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\247\247\247\254\254\254\253\253\253\250\250\250"
	"qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\246\246\246qqq\252\252\252\246\246\246\252\252\252"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252"
	"qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247"
	"\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\240\240\240\272\272\272\235\235\235\344\344\344\355\355\355"
	"\336\336\336\273\273\273\264\264\264\253\253\253\243\243\243\247\247\247"
	"qqq\252\252\252\245\245\245\251\251\251\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\247\247\247\254\254\254\253\253\253\250\250\250"
	"qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\246\246\246qqq\252\252\252\246\246\246\252\252\252"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\247\247\247\247\247\247\247\247\247\247\247\247\247\247\247\250\250\250"
	"\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252"
	"qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247"
	"\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\224\224\224\233\233\233///\344\344\344\364\364\364vvv\235\235"
	"\235\255\255\255\241\241\241\254\254\254\247\247\247qqq\252\252\252\245\245"
	"\245\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247"
	"\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\246\246\246qqq\252\252\252\246\246\246\252\252\252\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253\253"
	"\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\236\236"
	"\236\252\252\252\263\263\263444KKK\312\312\312\211\211\211\247\247\247\270"
	"\270\270\246\246\246\247\247\247qqq\252\252\252\245\245\245\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251"
	"\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\247\247\247\254"
	"\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\246\246\246qqq\252"
	"\252\252\246\246\246\252\252\252\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\250\250\250\250\250\250\250\250\250\250\250\250\251"
	"\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\252\252\252\255\255\255\257\257\257\251\251\251nnn\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\245\245\245\255\255\255\252"
	"\252\252ccc\16\16\16CCC\256\256\256\200\200\200\251\251\251\246\246\246\247"
	"\247\247ooo\254\254\254\251\251\251\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\253\253\253\253\253\253\256\256\256ppp\252\252\252\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\252\252\252\255\255\255\257\257\257\251"
	"\251\251nnn\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\247\247\247\247\247\247\247"
	"\247\247\247\247\247\247\247\247\247\247\247ooo\254\254\254\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\253\253\253\253\253\253\256"
	"\256\256ppp\252\252\252\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\247"
	"\247\247\254\254\254\256\256\256\255\255\255ttt\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\243\243\243\263\263\263\244\244\244\245\245\245\235"
	"\235\235\235\235\235\265\265\265\252\252\252\240\240\240\266\266\266\250"
	"\250\250qqq\254\254\254\250\250\250\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\253\253\253\253\253\253\255\255\255rrr\253\253\253\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\247\247\247\254\254\254\256\256\256\255"
	"\255\255ttt\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\253\253\253\253\253\253\253\253\253\253"
	"\253\253\253\253\253\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\250\250\250qqq\254\254\254\250\250\250\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\251\251\251\253\253\253\253\253\253\255"
	"\255\255rrr\253\253\253\251\251\251\251\251\251\251\251\251\251\251\251\251"
	"\251\251\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\251"
	"\251\251\255\255\255\252\252\252\251\251\251rrr\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\264\264\264\250\250\250\246\246\246\235\235\235\243"
	"\243\243\252\252\252\247\247\247\263\263\263\236\236\236\257\257\257\247"
	"\247\247rrr\252\252\252\245\245\245\250\250\250\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\250\250\250\252\252\252sss\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\251\251\251\255\255\255\252\252\252\251"
	"\251\251rrr\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\247\247\247\247\247\247\247\247\247\247"
	"\247\247\247\247\247\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\247\247\247rrr\252\252\252\245\245\245\250"
	"\250\250\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\252\252\252\252\252\252\252\252\252\252\252\252\250\250\250\252"
	"\252\252sss\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252\252"
	"\252\252\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\245"
	"\245\245\253\253\253\251\251\251\254\254\254www\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\247\247\247\234\234\234\262\262\262\256\256\256\256"
	"\256\256\244\244\244\250\250\250\247\247\247\270\270\270\240\240\240\246"
	"\246\246sss\251\251\251\244\244\244\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\251\251\251\247\247\247\251\251\251sss\252\252\252\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\245\245\245\253\253\253\251\251\251\254"
	"\254\254www\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\246\246\246\246\246\246\246\246\246\246"
	"\246\246\246\246\246\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\246\246\246\246\246\246\246"
	"\246\246\246\246\246\246\246\246\246\246\246sss\251\251\251\244\244\244\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247\247\251"
	"\251\251sss\252\252\252\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\255\255\255\247\247\247\252\252\252vvv\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\237\237\237\252\252\252\250\250\250\253\253\253\245"
	"\245\245\252\252\252\244\244\244\252\252\252\244\244\244\244\244\244\246"
	"\246\246uuu\251\251\251\243\243\243\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\252\252\252\246\246\246\250\250\250uuu\253\253\253\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\255\255\255\247\247\247\252"
	"\252\252vvv\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\251\251\251\251\251\251\251"
	"\251\251\251\251\251\251\251\251\246\246\246uuu\251\251\251\243\243\243\251"
	"\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\252\252\252\246\246\246\250"
	"\250\250uuu\253\253\253\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\247"
	"\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\241\241\241\243\243\243\233\233\233\244\244\244\265\265\265\231"
	"\231\231\177\177\177\244\244\244\275\275\275\257\257\257\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\253"
	"\253\253\256\256\256\256\256\256\247\247\247\245\245\245\217\217\217\275"
	"\275\275\250\250\250\251\251\251\226\226\226\263\263\263\237\237\237\261"
	"\261\261\234\234\234\200\200\200\252\252\252\252\252\252\252\252\252\252"
	"\252\252\245\245\245\244\244\244\246\246\246\252\252\252\252\252\252\257"
	"\257\257\242\242\242\252\252\252\261\261\261\256\256\256\252\252\252\245"
	"\245\245\252\252\252\260\260\260\256\256\256\250\250\250\260\260\260\236"
	"\236\236\261\261\261\237\237\237\247\247\247\247\247\247\253\253\253\253"
	"\253\253\253\253\253\261\261\261\247\247\247\256\256\256\244\244\244\251"
	"\251\251\256\256\256\245\245\245\242\242\242\250\250\250\253\253\253uuu\250"
	"\250\250\241\241\241\250\250\250\234\234\234\240\240\240\272\272\272\260"
	"\260\260\235\235\235\237\237\237\225\225\225\260\260\260\263\263\263\256"
	"\256\256\257\257\257\251\251\251\247\247\247\245\245\245\257\257\257\244"
	"\244\244\240\240\240\243\243\243\241\241\241\254\254\254\253\253\253\253"
	"\253\253\252\252\252\247\247\247\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251"
	"\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\247\247\247\254\254\254\253\253\253\250\250\250qqq\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\262\262\262\235\235\235\275\275\275\231"
	"\231\231\232\232\232\255\255\255...jjj&&&\236\236\236\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\237\237"
	"\237\250\250\250\250\250\250\244\244\244\246\246\246\255\255\255\227\227"
	"\227\236\236\236\233\233\233\261\261\261\247\247\247\257\257\257\253\253"
	"\253\244\244\244rrr\245\245\245\245\245\245\245\245\245\245\245\245\253\253"
	"\253\250\250\250\247\247\247\253\253\253\251\251\251\264\264\264\241\241"
	"\241\246\246\246\242\242\242\241\241\241\246\246\246\255\255\255\244\244"
	"\244\235\235\235\236\236\236\241\241\241\240\240\240\256\256\256\246\246"
	"\246\264\264\264\244\244\244\235\235\235\256\256\256\256\256\256\247\247"
	"\247\235\235\235\252\252\252\234\234\234\246\246\246\251\251\251\234\234"
	"\234\262\262\262\250\250\250\260\260\260\254\254\254ooo\250\250\250\241\241"
	"\241\254\254\254\255\255\255\257\257\257\235\235\235\262\262\262\255\255"
	"\255\263\263\263\253\253\253\242\242\242\257\257\257\247\247\247\243\243"
	"\243\247\247\247\254\254\254\254\254\254\245\245\245\270\270\270\251\251"
	"\251\246\246\246\253\253\253\252\252\252\253\253\253\253\253\253\251\251"
	"\251\246\246\246\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251\247\247"
	"\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\247\247\247\254\254\254\253\253\253\250\250\250qqq\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\262\262\262\232\232\232\271\271\271\216\216\216\212\212"
	"\212\324\324\324eee\262\262\262\227\227\227\257\257\257\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\252\252"
	"\252\247\247\247\244\244\244\254\254\254\243\243\243\251\251\251\236\236"
	"\236\251\251\251\244\244\244\257\257\257\256\256\256\254\254\254\262\262"
	"\262\243\243\243\201\201\201\246\246\246\246\246\246\246\246\246\246\246"
	"\246\242\242\242\245\245\245\250\250\250\246\246\246\251\251\251\240\240"
	"\240\260\260\260\245\245\245\253\253\253\232\232\232\242\242\242\264\264"
	"\264\256\256\256\245\245\245\250\250\250\230\230\230\252\252\252\241\241"
	"\241\274\274\274iiiwww\271\271\271\212\212\212VVVsss{{{\277\277\277\252\252"
	"\252\251\251\251\256\256\256\251\251\251\265\265\265\255\255\255\243\243"
	"\243\237\237\237uuu\251\251\251\261\261\261\257\257\257\240\240\240\242\242"
	"\242\256\256\256\263\263\263\241\241\241\231\231\231\211\211\211\241\241"
	"\241\251\251\251\251\251\251\247\247\247\252\252\252\250\250\250\253\253"
	"\253\277\277\277\250\250\250\232\232\232\254\254\254\246\246\246\244\244"
	"\244\246\246\246\244\244\244\246\246\246\255\255\255\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253\253"
	"\253\250\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\241\241\241:::WWW\351"
	"\351\351\320\320\320\335\335\335zzz\217\217\217\266\266\266\243\243\243\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251"
	"\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\251\251\251\263\263\263\247\247\247\247\247\247\251\251\251\216"
	"\216\216\242\242\242\226\226\226\214\214\214\346\346\346\342\342\342\320"
	"\320\320@@@rrrNNN\253\253\253\253\253\253\253\253\253\253\253\253\252\252"
	"\252\246\246\246\245\245\245\253\253\253\250\250\250\244\244\244\245\245"
	"\245\252\252\252\255\255\255\247\247\247}}}\355\355\355\346\346\346\324\324"
	"\324\347\347\347~~~\237\237\237\327\327\327\342\342\342\321\321\321\330\330"
	"\330\363\363\363\340\340\340\317\317\317\341\341\341\313\313\313\354\354"
	"\354\177\177\177\215\215\215\317\317\317\344\344\344\314\314\314\374\374"
	"\374\177\177\177\213\213\213bbb\300\300\300\301\301\301\331\331\331\354\354"
	"\354\316\316\316\202\202\202\362\362\362\306\306\306\343\343\343\301\301"
	"\301\335\335\335\341\341\341\223\223\223\227\227\227\207\207\207|||bbb\221"
	"\221\221\236\236\236\301\301\301\237\237\237\253\253\253\243\243\243\254"
	"\254\254\251\251\251\246\246\246\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\251\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\247\247\247\254\254\254\253\253\253\250"
	"\250\250qqq\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\245\245\245JJJ\264\264\264\320"
	"\320\320\333\333\333\320\320\320FFF\273\273\273\241\241\241\246\246\246\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251"
	"\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\245\245\245\241\241\241\205\205\205uuu\207\207\207\241\241\241\206"
	"\206\206\337\337\337\323\323\323\315\315\315\314\314\314\342\342\342\335"
	"\335\335\346\346\346\213\213\213\220\220\220\220\220\220\220\220\220\220"
	"\220\220\224\224\224\214\214\214\224\224\224\261\261\261\256\256\256\246"
	"\246\246\250\250\250\251\251\251vvv\220\220\220\300\300\300\327\327\327\341"
	"\341\341\345\345\345\333\333\333\343\343\343\331\331\331\337\337\337\326"
	"\326\326\335\335\335\341\341\341\311\311\311\316\316\316\340\340\340\331"
	"\331\331\337\337\337\325\325\325\332\332\332\321\321\321\325\325\325\335"
	"\335\335\332\332\332\322\322\322\344\344\344\321\321\321\211\211\211\331"
	"\331\331\346\346\346\331\331\331\313\313\313\323\323\323\330\330\330\331"
	"\331\331\341\341\341\330\330\330\335\335\335\342\342\342\334\334\334\324"
	"\324\324\334\334\334\327\327\327\336\336\336\275\275\275\222\222\222DDDr"
	"rrtttddd\230\230\230\252\252\252\253\253\253\247\247\247\247\247\247\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\251\251\251\247\247\247\252\252\252qqq\251"
	"\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\244\244\244\245\245\245\254\254\254\261\261\261\257"
	"\257\257\264\264\264\252\252\252\253\253\253\236\236\236\254\254\254\255"
	"\255\255\247\247\247\257\257\257\254\254\254\235\235\235\252\252\252\256"
	"\256\256\257\257\257\254\254\254rrr\251\251\251\251\251\251\251\251\251\251"
	"\251\251\251\251\251\254\254\254\237\237\237\247\247\247\252\252\252\250"
	"\250\250\250\250\250\243\243\243\252\252\252\263\263\263\237\237\237\250"
	"\250\250\250\250\250\227\227\227\252\252\252\236\236\236\256\256\256\254"
	"\254\254\245\245\245\264\264\264\250\250\250\246\246\246\247\247\247\251"
	"\251\251\263\263\263999\214\214\214\326\326\326\330\330\330{{{\370\370\370"
	"\351\351\351\327\327\327\310\310\310\340\340\340ddd\233\233\233\272\272\272"
	"\245\245\245\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\251\251\251"
	"\251\251\251\250\250\250\230\230\230\253\253\253\254\254\254\235\235\235"
	"\250\250\250\234\234\234\246\246\246\246\246\246\260\260\260\246\246\246"
	"\250\250\250\245\245\245\243\243\243\241\241\241\243\243\243\262\262\262"
	"\211\211\211lllXXX___\236\236\236\243\243\243\202\202\202\177\177\177ttt"
	"uuu\203\203\203\207\207\207\202\202\202zzz\206\206\206PPP\277\277\277\253"
	"\253\253\216\216\216\210\210\210\266\266\266yyy\245\245\245\224\224\224\331"
	"\331\331\235\235\235~~~\177\177\177\352\352\352\346\346\346\326\326\326\317"
	"\317\317\331\331\331\332\332\332\333\333\333\332\332\332\331\331\331\326"
	"\326\326\336\336\336\332\332\332\332\332\332\224\224\224\331\331\331\331"
	"\331\331\331\331\331\331\331\331\337\337\337\334\334\334\334\334\334\326"
	"\326\326\251\251\251\255\255\255\263\263\263\327\327\327\333\333\333\323"
	"\323\323\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\333\333\333\232\232\232\336\336\336\332\332\332\334\334\334\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\321\321\321\323\323\323\336\336\336\330"
	"\330\330\332\332\332\332\332\332\336\336\336\275\275\275\217\217\217\242"
	"\242\242\244\244\244\257\257\257\253\253\253\270\270\270\245\245\245\252"
	"\252\252\253\253\253\245\245\245\251\251\251\247\247\247\252\252\252qqq\251"
	"\251\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\252\252\252\251\251\251\246\246\246\252\252\252\256"
	"\256\256\240\240\240\263\263\263\254\254\254\246\246\246\245\245\245\263"
	"\263\263\245\245\245\263\263\263\245\245\245\247\247\247\250\250\250\255"
	"\255\255\252\252\252\253\253\253uuu\250\250\250\250\250\250\250\250\250\250"
	"\250\250\247\247\247\243\243\243\255\255\255\245\245\245\242\242\242\226"
	"\226\226\266\266\266\221\221\221uuuxxxsss\242\242\242\243\243\243\253\253"
	"\253\254\254\254\252\252\252\260\260\260\272\272\272\242\242\242\251\251"
	"\251\250\250\250\243\243\243\237\237\237\253\253\253\243\243\243\223\223"
	"\223\243\243\243\323\323\323\346\346\346\343\343\343\324\324\324\325\325"
	"\325\332\332\332\336\336\336\333\333\333$$$\254\254\254\243\243\243\263\263"
	"\263\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\252\252\252\250\250\250\250\250\250\251\251"
	"\251\253\253\253\233\233\233\244\244\244\253\253\253\237\237\237\251\251"
	"\251\237\237\237\254\254\254\246\246\246\263\263\263iii\302\302\302\354\354"
	"\354\352\352\352\324\324\324\336\336\336\320\320\320\333\333\333\211\211"
	"\211\325\325\325\306\306\306\350\350\350\326\326\326\326\326\326\331\331"
	"\331\332\332\332\326\326\326\325\325\325\324\324\324\314\314\314\335\335"
	"\335\311\311\311\313\313\313\331\331\331\344\344\344\314\314\314\343\343"
	"\343\331\331\331\327\327\327\310\310\310\330\330\330\315\315\315\337\337"
	"\337\340\340\340\351\351\351\324\324\324\333\333\333\325\325\325\337\337"
	"\337\331\331\331\332\332\332\333\333\333\332\332\332\331\331\331\326\326"
	"\326\336\336\336\332\332\332\332\332\332\224\224\224\331\331\331\331\331"
	"\331\331\331\331\331\331\331\311\311\311\327\327\327\342\342\342\334\334"
	"\334\330\330\330\325\325\325\342\342\342\322\322\322\335\335\335\331\331"
	"\331\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\333\333\333\232\232\232\336\336\336\332\332\332\334\334\334\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\334\334\334\333\333\333\331\331\331\333\333"
	"\333\325\325\325\345\345\345\340\340\340\330\330\330\304\304\304\324\324"
	"\324\324\324\324\344\344\344\316\316\316\342\342\342\200\200\200\204\204"
	"\204\254\254\254\253\253\253\251\251\251\247\247\247\252\252\252qqq\251\251"
	"\251\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\241\241\241\247\247\247\260\260\260\247\247\247\243\243"
	"\243\265\265\265\227\227\227\250\250\250\261\261\261\244\244\244\237\237"
	"\237\254\254\254\230\230\230\245\245\245\255\255\255\251\251\251\261\261"
	"\261\250\250\250\251\251\251vvv\247\247\247\247\247\247\247\247\247\247\247"
	"\247\250\250\250\257\257\257\235\235\235\252\252\252\257\257\257\305\305"
	"\305rrr\260\260\260\330\330\330\334\334\334\322\322\322(((tttzzzvvv\204\204"
	"\204\204\204\204\263\263\263\262\262\262\224\224\224\245\245\245\257\257"
	"\257\266\266\266\207\207\207\202\202\202rrr\230\230\230\340\340\340\341\341"
	"\341\302\302\302\343\343\343\327\327\327\336\336\336\326\326\326\315\315"
	"\315\225\225\225\256\256\256\231\231\231\230\230\230\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\247\247\247\247\247\247\250\250\250\252\252\252\254\254\254\255\255"
	"\255\247\247\247\246\246\246\267\267\267\240\240\240mmmmmm\226\226\226\214"
	"\214\214\366\366\366\334\334\334\316\316\316\314\314\314\336\336\336\323"
	"\323\323\351\351\351\306\306\306\243\243\243\322\322\322\347\347\347\321"
	"\321\321\315\315\315\342\342\342\323\323\323\331\331\331\331\331\331\333"
	"\333\333\333\333\333\331\331\331\320\320\320\322\322\322\311\311\311\353"
	"\353\353\311\311\311\360\360\360\312\312\312\354\354\354\314\314\314\343"
	"\343\343\336\336\336\341\341\341\333\333\333\325\325\325\312\312\312\343"
	"\343\343\335\335\335\327\327\327\330\330\330\331\331\331\332\332\332\333"
	"\333\333\332\332\332\331\331\331\326\326\326\336\336\336\332\332\332\332"
	"\332\332\224\224\224\331\331\331\331\331\331\331\331\331\331\331\331\352"
	"\352\352\341\341\341\316\316\316\331\331\331\330\330\330\325\325\325\333"
	"\333\333\341\341\341\333\333\333\327\327\327\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\333\333\333\232\232\232\336"
	"\336\336\332\332\332\334\334\334\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\331\331\331\334"
	"\334\334\333\333\333\330\330\330\332\332\332\331\331\331\330\330\330\320"
	"\320\320\331\331\331\345\345\345\322\322\322\352\352\352\307\307\307\317"
	"\317\317\341\341\341\263\263\263\255\255\255\263\263\263\240\240\240\251"
	"\251\251\247\247\247\252\252\252qqq\251\251\251\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\253\253\253\246"
	"\246\246\245\245\245\261\261\261\262\262\262\264\264\264\225\225\225\213"
	"\213\213\274\274\274xxx}}}www\177\177\177ggg\353\353\353\327\327\327\336"
	"\336\336\334\334\334\324\324\324\231\231\231\223\223\223\223\223\223\223"
	"\223\223\223\223\223\205\205\205www\216\216\216|||yyy{{{\247\247\247\224"
	"\224\224\351\351\351\314\314\314\327\327\327\334\334\334\323\323\323\345"
	"\345\345\334\334\334\334\334\334\341\341\341\341\341\341\342\342\342\327"
	"\327\327\323\323\323\342\342\342\354\354\354\327\327\327\330\330\330\327"
	"\327\327\342\342\342\345\345\345\335\335\335\313\313\313\342\342\342\327"
	"\327\327\330\330\330\332\332\332\306\306\306\201\201\201\245\245\245\241"
	"\241\241\256\256\256\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\250\250\250\250\245\245\245\251\251\251\252"
	"\252\252\247\247\247\242\242\242\247\247\247\244\244\244ssswww\344\344\344"
	"\333\333\333\321\321\321\333\333\333\324\324\324\336\336\336\327\327\327"
	"\320\320\320\321\321\321\331\331\331\351\351\351\334\334\334\331\331\331"
	"\233\233\233\325\325\325\333\333\333\334\334\334\331\331\331\324\324\324"
	"\340\340\340\334\334\334\333\333\333\327\327\327\326\326\326\327\327\327"
	"\345\345\345\314\314\314\350\350\350\337\337\337\304\304\304\340\340\340"
	"\333\333\333\332\332\332\334\334\334\344\344\344\345\345\345\321\321\321"
	"\326\326\326\335\335\335\324\324\324\336\336\336\345\345\345\324\324\324"
	"\336\336\336\331\331\331\332\332\332\333\333\333\332\332\332\331\331\331"
	"\326\326\326\336\336\336\332\332\332\332\332\332\224\224\224\331\331\331"
	"\331\331\331\331\331\331\331\331\331\337\337\337\330\330\330\327\327\327"
	"\336\336\336\330\330\330\320\320\320\341\341\341\331\331\331\337\337\337"
	"\321\321\321\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\333\333\333\232\232\232\336\336\336\332\332\332\334\334\334"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\330\330\330\331\331\331\332\332\332\332\332\332"
	"\330\330\330\330\330\330\330\330\330\337\337\337\337\337\337\342\342\342"
	"\324\324\324\330\330\330BBB\240\240\240\243\243\243\246\246\246\245\245\245"
	"\260\260\260\242\242\242\251\251\251\247\247\247\252\252\252qqq\251\251\251"
	"\250\250\250\250\250\250\250\250\250\250\250\250\250\250\250\253\253\253"
	"\255\255\255\247\247\247\250\250\250\242\242\242\246\246\246\261\261\261"
	"\250\250\250\260\260\260\241\241\241\235\235\235\271\271\271\201\201\201"
	"zzzsssttt\14\14\14\224\224\224\340\340\340\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\335\335\335\334\334\334\327\327\327\226\226"
	"\226\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\324\324\324\227\227\227\260\260\260\222\222"
	"\222\177\177\177\220\220\220\254\254\254\237\237\237\254\254\254\245\245"
	"\245\250\250\250\254\254\254\254\254\254\250\250\250\250\250\250\250\250"
	"\250\246\246\246\250\250\250\251\251\251\263\263\263\241\241\241\264\264"
	"\264\206\206\206\204\204\204\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\333\333\333\326\326"
	"\326\330\330\330\225\225\225\330\330\330\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\331\331\331\332\332\332\333\333\333\332\332"
	"\332\331\331\331\331\331\331\331\331\331\324\324\324\327\327\327\225\225"
	"\225\331\331\331\332\332\332\332\332\332\333\333\333\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\333\333\333\232\232\232\336\336\336\332\332"
	"\332\334\334\334\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\227\227\227\236\236\236\244\244\244\240\240\240\262\262"
	"\262\244\244\244\245\245\245\254\254\254\253\253\253\251\251\251\245\245"
	"\245\246\246\246\203\203\203\234\234\234\250\250\250\250\250\250\250\250"
	"\250\250\250\250\250\250\250\243\243\243\247\247\247\251\251\251\247\247"
	"\247\265\265\265\225\225\225\237\237\237\254\254\254zzz\177\177\177vvvee"
	"e\215\215\215\376\376\376\324\324\324\352\352\352\333\333\333\347\347\347"
	"\307\307\307\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\335\335\335\334\334\334\327\327\327\226\226\226\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\317\317\317\221\221\221\326\326\326\325\325\325\335\335\335\262\262\262"
	"\215\215\215\205\205\205}}}\246\246\246\245\245\245\242\242\242\247\247\247"
	"\246\246\246\254\254\254\250\250\250\256\256\256\261\261\261\240\240\240"
	"vvvkkk}}}\255\255\255\354\354\354\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\333\333\333\326"
	"\326\326\330\330\330\225\225\225\330\330\330\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\331\331\331\332\332\332\333\333\333\332"
	"\332\332\331\331\331\331\331\331\331\331\331\324\324\324\327\327\327\225"
	"\225\225\331\331\331\332\332\332\332\332\332\333\333\333\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\333\333\333\232\232\232\336\336\336\332"
	"\332\332\334\334\334\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\204\204\204\221\221\221\241\241\241\216\216\216aaa}"
	"}}sss^^^\220\220\220\253\253\253\247\247\247\267\267\267vvv\254\254\254\246"
	"\246\246\246\246\246\246\246\246\246\246\246\246\246\246\216\216\216\217"
	"\217\217\223\223\223uuu\376\376\376\314\314\314\322\322\322\342\342\342\332"
	"\332\332\337\337\337\332\332\332\320\320\320\317\317\317\327\327\327\335"
	"\335\335\323\323\323\320\320\320\317\317\317\347\347\347\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\335\335\335\334\334\334\327"
	"\327\327\226\226\226\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\216\216\216\333"
	"\333\333\333\333\333\323\323\323\333\333\333\334\334\334\325\325\325\327"
	"\327\327\322\322\322\332\332\332\323\323\323\327\327\327\333\333\333\311"
	"\311\311\323\323\323\347\347\347\335\335\335\323\323\323\317\317\317\334"
	"\334\334\327\327\327\340\340\340\326\326\326\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\333"
	"\333\333\326\326\326\330\330\330\225\225\225\330\330\330\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\331\331\331\332\332\332\333"
	"\333\333\332\332\332\331\331\331\331\331\331\331\331\331\324\324\324\327"
	"\327\327\225\225\225\331\331\331\332\332\332\332\332\332\333\333\333\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\333\333\333\232\232\232\336"
	"\336\336\332\332\332\334\334\334\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\321\321\321\342\342\342\327\327\327\333"
	"\333\333\332\332\332\331\331\331\332\332\332\327\327\327\336\336\336\324"
	"\324\324\346\346\346\346\346\346\242\242\242\326\326\326\217\217\217\217"
	"\217\217\217\217\217\217\217\217\217\217\217\336\336\336\316\316\316\354"
	"\354\354\334\334\334\337\337\337\314\314\314\335\335\335\341\341\341\333"
	"\333\333\324\324\324\317\317\317\306\306\306\317\317\317\314\314\314\341"
	"\341\341\327\327\327\332\332\332\335\335\335\337\337\337\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\335\335\335\334\334\334\327"
	"\327\327\226\226\226\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\334\334\334\223\223\223\322"
	"\322\322\320\320\320\325\325\325\330\330\330\321\321\321\312\312\312\343"
	"\343\343\325\325\325\331\331\331\333\333\333\327\327\327\327\327\327\313"
	"\313\313\325\325\325\334\334\334\323\323\323\335\335\335\325\325\325\327"
	"\327\327\342\342\342\327\327\327\324\324\324\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\333"
	"\333\333\326\326\326\330\330\330\225\225\225\330\330\330\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\331\331\331\332\332\332\333"
	"\333\333\332\332\332\331\331\331\331\331\331\331\331\331\324\324\324\327"
	"\327\327\225\225\225\331\331\331\332\332\332\332\332\332\333\333\333\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\333\333\333\232\232\232\336"
	"\336\336\332\332\332\334\334\334\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\330\330\330\336\336\336\337\337\337\335"
	"\335\335\315\315\315\333\333\333\330\330\330\324\324\324\334\334\334\344"
	"\344\344\351\351\351\346\346\346\220\220\220\362\362\362\334\334\334\334"
	"\334\334\334\334\334\334\334\334\334\334\334\321\321\321\345\345\345\274"
	"\274\274\331\331\331\324\324\324\320\320\320\321\321\321\326\326\326\331"
	"\331\331\342\342\342\332\332\332\331\331\331\337\337\337\336\336\336\333"
	"\333\333\322\322\322\332\332\332\322\322\322\325\325\325\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\335\335\335\334\334\334\327"
	"\327\327\226\226\226\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\334\334\334\222\222\222\330"
	"\330\330\331\331\331\342\342\342\331\331\331\332\332\332\346\346\346\326"
	"\326\326\317\317\317\333\333\333\334\334\334\333\333\333\333\333\333\347"
	"\347\347\333\333\333\324\324\324\336\336\336\323\323\323\340\340\340\326"
	"\326\326\326\326\326\322\322\322\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\333"
	"\333\333\326\326\326\330\330\330\225\225\225\330\330\330\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\331\331\331\332\332\332\333"
	"\333\333\332\332\332\331\331\331\331\331\331\331\331\331\324\324\324\327"
	"\327\327\225\225\225\331\331\331\332\332\332\332\332\332\333\333\333\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\333\333\333\232\232\232\336"
	"\336\336\332\332\332\334\334\334\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\315\315\315\327\327\327\306\306\306\344"
	"\344\344\326\326\326\332\332\332\334\334\334\335\335\335\324\324\324\304"
	"\304\304\311\311\311\341\341\341\201\201\201\300\300\300\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\330\330\330\336\336\336\342\342\342\332"
	"\332\332\234\234\234\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\333\333\333\234\234\234\336"
	"\336\336\331\331\331\335\335\335\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\335"
	"\335\335\331\331\331\336\336\336\234\234\234\327\327\327\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\340\340\340\341\341\341\332"
	"\332\332\230\230\230\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\233\233\233\336"
	"\336\336\332\332\332\337\337\337\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\333"
	"\333\333\327\327\327\336\336\336\235\235\235\331\331\331\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\333\333\333\334\334\334\341\341\341\333"
	"\333\333\234\234\234\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\342\342\342\236\236\236\342"
	"\342\342\336\336\336\334\334\334\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\337"
	"\337\337\337\337\337\343\343\343\234\234\234\331\331\331\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\335\335\335\336\336\336\341\341\341\333"
	"\333\333\230\230\230\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\342\342\342\235\235\235\342"
	"\342\342\336\336\336\335\335\335\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\332\335"
	"\335\335\336\336\336\342\342\342\235\235\235\333\333\333\332\332\332\332"
	"\332\332\332\332\332\332\332\332\332\332\332\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\323\323\323\325\325\325\336\336\336\326"
	"\326\326\226\226\226\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\333\333\333\226\226\226\335"
	"\335\335\331\331\331\327\327\327\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\333\333\333\334\334\334\226\226\226\323\323\323\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\325\325\325\327\327\327\336\336\336\327"
	"\327\327\223\223\223\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\333\333\333\226\226\226\335"
	"\335\335\332\332\332\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\330\327"
	"\327\327\332\332\332\334\334\334\227\227\227\324\324\324\330\330\330\330"
	"\330\330\330\330\330\330\330\330\330\330\330\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\333\333\333\337\337\337\337\337\337\322"
	"\322\322\223\223\223\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\230\230\230\334"
	"\334\334\330\330\330\335\335\335\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\327"
	"\327\327\332\332\332\330\330\330\235\235\235\330\330\330\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\333\333\333\340\340\340\336\336\336\324"
	"\324\324\221\221\221\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\327\327\327\231\231\231\334"
	"\334\334\327\327\327\334\334\334\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\326\327"
	"\327\327\332\332\332\330\330\330\235\235\235\330\330\330\326\326\326\326"
	"\326\326\326\326\326\326\326\326\326\326\326\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\223\223\223\227\227\227\223\223\223\231"
	"\231\231fff\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\226\226\226```\226\226\226\216\216\216\231"
	"\231\231\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\226\226\226\226\226\226\223"
	"\223\223ddd\233\233\233\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\223"
	"\223\223\230\230\230\222\222\222\233\233\233eee\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\230"
	"\230\230aaa\226\226\226\215\215\215\230\230\230\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222\222"
	"\222\222\226\226\226\227\227\227\223\223\223ccc\232\232\232\222\222\222\222"
	"\222\222\222\222\222\222\222\222\222\222\222",};
